2002-4-28	Fred Gleason <fredg@wava.com>
	* Initial package creation
	* Created basic structure for Core Audio Engine (ALSA).  PW and DC
	commands work.
	* Created 'conf' directory for sample configurations.
	* Created 'cae.conf-sample' in 'conf' directory.
2002-5-8       Fred Gleason <fredg@wava.com>
	* Fixed up some parser logic in 'main.c'
	* Implemented the 'CR' and 'DL' commands.
2002-6-14       Fred Gleason <fredg@wava.com>
	* Added basic read-only support in RWaveFile
	* Started work on CartChunk read support in RWaveFile
2002-6-16       Fred Gleason <fredg@wava.com>
	* More work on CartChunk support
2002-6-17       Fred Gleason <fredg@wava.com>
	* More work on CartChunk support
2002-6-18       Fred Gleason <fredg@wava.com>
	* Finished basic read-only support for CartChunk in RWaveFile.
	* Finished basic read-only support for BEXT chunk in RWaveFile.
	* Started work on playout support (seekWave() and readWave()
	methods in RWaveFile)
	* Created RPlayStream class
2002-6-22       Fred Gleason <fredg@wava.com>
	* Finished basic (QTimer-based) playout support in RPlayStream
2002-6-23       Fred Gleason <fredg@wava.com>
	* Added autoconf macros for ALSA and HPI detection.
	* Added RTransportButton, an audio transport button widget.
2002-6-24       Fred Gleason <fredg@wava.com>
	* Completed RTransportButton.
	* Added RSoundCard, an audio card abstraction class.
2002-6-25       Fred Gleason <fredg@wava.com>
	* Added HPI support to RPlayStream.
	* Reworked RSoundCard to be a shadow of RPvtSoundCard
2002-6-27       Fred Gleason <fredg@wava.com>
	* Rearranged the public methods in RPlayStream so to make it
	possible to change the audio device dynamically.
	* Added 'RSoundSelector', an audio device selector widget based on
	'QListBox'.
	* Tweaks and cleanups in the HPI code in RPlayStream
	* Added ALSA device enumeration in RPvtSoundCard.  Still needs
	refining.
2002-7-1        Fred Gleason <fredg@wava.com>
	* Added 'RPlayMeter', a playback audio level meter.
	* More work on mixer support in 'RPvtSoundCard'.
2002-7-2        Fred Gleason <fredg@wava.com>
	* Completed meter & mixer support in 'RPlayStream'.
	* Added positioning support to 'RPlayStream'.
2002-7-3        Fred Gleason <fredg@wava.com>
	* Added autofade support to 'RPvtSoundCard' and 'RPlayStream'.
	* Moved all the enums in 'RPvtSoundCard' to 'RSoundCard'.
	* Prettied up the layout in 'qwav'.
	* Added 'RSlider', an audio- and touchscreen-friendly slider class.
	* Moved all audio-related enums into 'RSoundCard'
	* Moved all "general purpose" enums into 'Radio' in libradio.
2002-7-8        Fred Gleason <fredg@wava.com>
	* Got 'RSlider' working in 'Up' mode, for the audio faders.  Still
	needs work for other orientations.
2002-7-9        Fred Gleason <fredg@wava.com>
	* Added 'Down' mode for 'RSlider'.
	* Added 'Left' and 'Right' modes for 'RSlider', which is now 
	substantially complete.
	* Modified 'RTransportButton' so as to use a proper color palette.
	* Added proper disable/enable support to 'RTransportButton' -i.e. 
	the widget now greys out properly when disabled.
	* Deleted 'wavhdr.c'.  Ancient history!
2002-7-10       Fred Gleason <fredg@wava.com>
	* Moved the following widgets to 'libradio':
	'RTransportButton', 'RPlayMeter', 'RSlider', 'RSoundCard',
	'RPvtSoundCard', 'RPlayStream', 'RWaveFile', and 'RSoundSelector'.
2002-7-14       Fred Gleason <fredg@wava.com>
	* Fixed a bug in 'configure.in' and 'Makefile.am' that was causing
	'make' to attempt to link ALSA and HPI even when those libraries
	were not present.
2002-7-15       Fred Gleason <fredg@wava.com>
	* Changed 'Makefile.am' to be compatible with new libradio layout.
	* Added a test to 'configure.in' for libradio.
2002-7-15       Fred Gleason <fredg@wava.com>
	* Changed 'qwav' to get the name of the wavefile to load via a
	dialog box, rather than passing it on the command line.
2002-7-16       Fred Gleason <fredg@wava.com>
	* Fixed the position slider, which had been broken during the
	changes made yesterday.
	* Added the feature to 'qwav' where the name of the loaded WAV
	file will appear on the title bar.  If the WAV file contains a
	cart chunk, the title from the cart chunk will appear instead.
	* Fixed a bug whereby exiting (using an HPI device) 'qwav' while 
	audio was playing would cause audio to continue to play out for 
	up to several seconds after temination, and result in incorrect 
	level meter reading upon next program startup.
2002-7-21        Fred Gleason <fredg@wava.com>
	* Added Mext chunk support to 'qwav'.
2002-7-23        Fred Gleason <fredg@wava.com>
	* Renamed 'qwav.h' to 'rdplay.h'.
	* Renamed 'qwav.cpp' to 'rdplay.cpp'.
	* Added 'rdrecord.cpp' and 'rdrecord.h', a record application.
2002-7-25        Fred Gleason <fredg@wava.com>
	* Fixed a bug in 'rdplay.cpp' that was causing the 'Format' button
	to display incorrect information on the MPEG Mode and MPEG Flags
	fields.
	* Fixed formatting of various fields in the 'Cart' button dialog
	box.
2002-7-26        Fred Gleason <fredg@wava.com>
	* Worked on button logic in 'rdrecord' to make it more like a
	"real" recorder.
2002-7-29        Fred Gleason <fredg@wava.com>
	* Added format settings controls to the front panel of 'rdrecord'.
	* Added a 'Meta Data' button to 'rdrecord' to bring up a dialog
	box to enter meta data info.
2002-7-30        Fred Gleason <fredg@wava.com>
	* Finished adding meta-data write support to RDRecord.
2002-8-1         Fred Gleason <fredg@wava.com>
	* Disabled ALSA support in 'configure.in' and 'Makefile.am'
	* Added a 'utils' directory for utility programs.
	* Imported 'RDPlay' and RDRecord' from the 'sndtools' package.
	* Updated NEWS, INSTALL and README for release.
	* Changed the version number in 'configure.in' to 0.1.0.
	* Imported the ChangeLog from 'sndtools' into this file so as to
	preserve the development history for RDRecord and RDPlay.
	* Released v0.1.0.
2002-8-2         Fred Gleason <fredg@wava.com>
	* Added a 'docs' directory for documentation.
	* Added 'cart_schema.txt' in the 'docs' directory, describing the
	layout of the CART and CUTS tables.
2002-8-3         Fred Gleason <fredg@wava.com>
	* Added 'cae.h', 'cae.cpp', 'cae_socket.h' and 'cae_socket.cpp',
	the beginnings of a new C++ based CAE implementation.
2002-8-6         Fred Gleason <fredg@wava.com>
	* Implemented the Drop Connection (DC) command in 'cae.cpp'.
	* Implemented the Password Authenticate (PW) command in 'cae.cpp'.
	* Implemented the Load Playback (LP) command in 'cae.cpp'.
	* Implemented the Unload Playback (UP) command in 'cae.cpp'.
	* Implemented the Play Position (PP) command in 'cae.cpp'.
	* Implemented the Play (PY) command in 'cae.cpp'.
	* Implemented the Stop Playback (SP) command in 'cae.cpp'.
	* Deleted 'main.c', 'init.c', 'alsa.c', 'conflib.c', conflib.h',
	'globals.c', 'globals.h', 'wavhdr.c' and 'wavhdr.h' from the
	'cae/' directory.  All from the (now defunct) C implementation of
	CAE.
	* Implemented the Load Record (LR) command in 'cae.cpp'.
	* Implemented the Unload Record (UR) command in 'cae.cpp'.
	* Implemented the Record (RD) command in 'cae.cpp'.
	* Implemented the Stop Record (SR) command in 'cae.cpp'.
2002-8-7         Fred Gleason <fredg@wava.com>
	* Implemented the Record Start (RS) status update in 'cae.cpp'
	* Fixed various bugs in 'cae.cpp' to make things work.
	* Implemented the <speed> and <pitch-flag> fields in the
	Play (PY) command in 'cae.cpp'.  The parser demands them, but
	they currently do nothing.
2002-8-8         Fred Gleason <fredg@wava.com>
	* Created a 'docs/tables/' subdirectory to hold database table
	layouts.
	* Moved 'docs/cart_schema.txt' to 'docs/table/cart.txt' and split
	off the CUTS data in it to 'docs/table/cuts.txt'
	* Created 'docs/table/users.txt' to document the USERS table.
	* Created 'docs/table/services.txt' to document the SERVICES
	table.
2002-8-9         Fred Gleason <fredg@wava.com>
	* Fixed a bug that was causing CAE to segfault when sent a
	'DC!' command while playing a file.
	* Implemented the <length> argument to the Play (PY) command,
	as specified in CAE Protocol Spec 0.5.
	* Implemented the revised speed units (tenths of percent) for
	the <speed> argument to the Play (PY) command, in corformance
	to CAE Protocol Spec 0.5.
	* Added a 'AllowNonstandardRates=Yes|No' diretive to 'cae.conf'.
2002-8-19        Fred Gleason <fredg@wava.com>
	* Added a check at the startup of 'cae' that will exit with an
	error if unable to bind the configured TCP socket.
	* Increased the maximum number of TCP connections to 'cae' to 32
	and streamlined the signal/slot mechanism for handling them.
2002-8-21        Fred Gleason <fredg@wava.com>
	* Added a GPL comment header to 'rdplay.h'.
2002-9-27 Fred Gleason <fredg@wava.com>
	* Added an 'rdadmin' directory.
	* Added 'rdadmin.cpp' and 'rdadmin.h'.
	* Added 'conf/rd.conf-sample'.
2002-9-30 Fred Gleason <fredg@wava.com>
	* Added 'rdadmin/login.h' and 'rdadmin/login.cpp'
	* Added 'rdadmin/list_users.h' and rdadmin/list_users.cpp'.
2002-10-01 Fred Gleason <fredg@wava.com>
	* Fixed a bug in RDRecord that was causing a MEXT chunk to be
	generated on all files, even, non-MPEG ones.
	* Added 'rdadmin/list_users.cpp' and 'rdadmin/list_user.h'.
	* Added 'rdadmin/edit_user.cpp' and 'rdadmin/edit_user.h'.
2002-10-02 Fred Gleason <fredg@wava.com>
	* Added 'lib/rdpasswd.cpp' and 'lib/rdpasswd.h', a password
	entry widget.
	* Finished User Management support in RDAdmin.
2002-10-03 Fred Gleason <fredg@wava.com>
	* Added 'ripcd/ripcd.cpp', 'ripcd/ripcd.h',
	ripcd/ripcd_socket.cpp' and 'ripcd/ripcd_socket.h', the Rivendell
	Interprocess Communication daemon.
2002-10-07 Fred Gleason <fredg@wava.com>
	* Added 'lib/ripc.cpp' and 'lib/ripc.h', a class for communicating
	with ripcd.
	* Added RDLogin, a login application.
	* Added CUTS and CART table creation to 'scripts/create_db'.
	* Added RDLibrary, a cart library manager.  Still lots of work
	to do!
	* Changed the font sizes in RDLogin to bring them into conformance
	with the "standard" sizes.
2002-10-08 Fred Gleason <fredg@wava.com>
	* Fixed a bug in ripcd that was causing it to fail to start when
	unable to get a connection to an X server.
	* Added SERVICES table creation to 'scripts/create_db'.
	* Stubbed out Services management in RDAdmin.
2002-10-09 Fred Gleason <fredg@wava.com>
	* Completed Services management in RDAdmin.
	* Renamed the CART_NUMBER record in CART to NUMBER.
2002-10-10 Fred Gleason <fredg@wava.com>
	* Completed the 'RDCart' class.
	* Started work on the 'RDEditCart' class.
	* Started a redesign of the audio permissions scheme to assign
	permissions by group rather than by each individual cut.
	* Added a GROUPS table.
	* Added a AUDIO_PERMS table.
	* Removed the SERVICES_* fields from the CART table.
	* Added a 'RDGroup' class.  Still lots of work to be done.
	* Started adding Group Administration support to RDAdmin.
2002-10-17 Fred Gleason <fredg@wava.com>
	* Removed the ID field from the GROUPS table.
	* Completed the 'RDGroups' class.
	* Removed the ID field from the SERVICES table.
	* Rewrote the 'RDService' class to use synchronous DB updates.
	* Rewrote the 'RDUser' class to use synchronous DB updates.
	* Rewrote RDAdmin to use the new container classes and DB
	structure.
2002-10-18 Fred Gleason <fredg@wava.com>
	* Completed Group support in RDAdmin.
	* Completed preliminary Cart Add/Edit/Delete support in RDLibrary.
2002-10-21 Fred Gleason <fredg@wava.com>
	* More work on RDLibrary.
2002-10-22 Fred Gleason <fredg@wava.com>
	* Moved 'RDEditCart' from 'lib/' to 'rdlibrary/'.
	* Renamed table DISPLAYS to STATIONS.
2002-10-25 Fred Gleason <fredg@wava.com>
	* Added a default entry for the 'STATIONS' table in
	'scripts/create_db'.
	* Modified 'ripcd' to use the new 'STATIONS' table.
	* Modified 'RDLogin' to use the new 'STATIONS' table.
	* Modified 'RDAdmin' to use the new 'STATIONS' table.
	* Started work on configuration support for RDLibrary in RDAdmin.
2002-10-28 Fred Gleason <fredg@wava.com>
	* Completed configuration support for RDLibrary in RDAdmin.
2002-10-29 Fred Gleason <fredg@wava.com>
	* Started work on the Record widget for RDLibrary.
	* Renamed 'cae' to 'caed'.
	* Changed 'caed' to detach upon startup, unless the '-d' option
	is specified.
2002-10-30 Fred Gleason <fredg@wava.com>
	* Fixed a bug in 'caed' that was causing it to fail at startup
	with a 'cannot connect to X server' message.
	* Removed parameter defaults from function headers.  Needed to get
	things to compile under gcc 3.2.
	* Added a 'RDCae' class, to abstract a connection to 'caed'.
	* More work on the Record Machine in RDLibrary.
2002-10-31 Fred Gleason <fredg@wava.com>
	* More work on the Record Machine in RDLibrary.
2002-11-04 Fred Gleason <fredg@wava.com>
	* Completed basic functionality in the Record Machine in
	RDLibrary.
2002-11-07 Fred Gleason <fredg@wava.com>
	* Added destructors to most classes.
	* Changed 'caed' to work with the revised 'RSoundCard' class.
	* Changed 'rdplay' to work with the revised 'RSoundCard' class.	
	* Changed 'rdrecord' to work with the revised 'RSoundCard' class.
	* Changed 'rdlibrary' to work with the revised 'RSoundCard' class.
2002-11-18 Fred Gleason <fredg@wava.com>
	* Added AES/EBU support to RDLibrary.
	* Added AES/EBU Sync Error Alarm to RDLibrary's Cut Recorder.
2002-11-24 Fred Gleason <fredg@wava.com>
	* Updated the CAE spec to 0.6.  Changed the meaning of the 'layer'
	parameter in 'LR' so that 1 = Layer 2 and 2 = Layer 3.
	* Changed 'caed' to use the revised spec.
	* Changed 'rdlibrary' to use the revised spec.
	* Fixed a bug in 'caed' that was causing a segfault upon execution
	of a 'UP' command.
	* Fixed various bugs in RDLibrary.
2002-11-25 Fred Gleason <fredg@wava.com>
	* Added an audio editor widget to 'RDLibrary'.  Still very
	preliminary, lots of work/debugging remains!
2002-12-02 Fred Gleason <fredg@wava.com>
	* Worked on 'edit_audio.cpp'.
2002-12-03 Fred Gleason <fredg@wava.com>
	* More work on 'edit_audio.cpp'.  Basic waveform display, panning
	and scaling now working for PCM16 and MPEG-1 L2 files (with BWF
	energy data).
2002-12-04 Fred Gleason <fredg@wava.com>
	* Rewrite of 'RDLibrary'.  HPI_HSUBSYS, RSoundCard and
	RDLibraryConf are all now global resources.
	* More work on 'edit_audio.cpp'.  Audio playout now works.
	Playback cursor updates work, but consume insane amounts of CPU.
	Lots more work needed.
2002-12-05 Fred Gleason <fredg@wava.com>
	* Fixed excessive CPU utilization problem in 'edit_audio.cpp'.
	* Starting work on cuepoint cursors in 'edit_audio.cpp'.
2002-12-11 Fred Gleason <fredg@wava.com>
	* More work on 'edit_audio.cpp'.
2002-12-16 Fred Gleason <fredg@wava.com>
	* Added the TRIGGERS table.
	* Brought the table documentation in 'docs/tables' up to date.
	* Changed RDCut to be in conformance with new table structure.
	* Move work on 'edit_audio.cpp'.
2002-12-17 Fred Gleason <fredg@wava.com>
	* Added TALK_START_POINT and TALK_END_POINT fields to the CUTS
	table.
	* Added appropriate methods to 'RDCut' to access TALK_START_POINT
	and TALK_END_POINT.
	* Lots more work on 'edit_audio.cpp'.  Cursors now all work.
	Still more work needed.
2002-12-18 Fred Gleason <fredg@wava.com>
	* Changed the mouse button bindings in 'edit_audio.cpp' so that
	Left=position playback cursor, Middle=position selected
	meta-cursor.
	* Added SEGUE_START_POINT and SEGUE_END_POINT fields to the 'CUTS'
	table.
	* Added appropriate methods to 'RDCut' to access SEGUE_START_POINT
	and SEGUE_END_POINT.
	* More work on 'edit_audio.cpp'.
2002-12-20 Fred Gleason <fredg@wava.com>
	* Changed the cue point fields in the CUTS table to use signed
	ints.
	* Rearranged the user interface in 'edit_audio.cpp'.
2002-12-23 Fred Gleason <fredg@wava.com>
	* More work on 'edit_audio.cpp'.
2002-12-24 Fred Gleason <fredg@wava.com>
	* More work on 'edit_audio.cpp'.  Got the counters mostly working,
	all play modes work.
2002-12-29 Fred Gleason <fredg@wava.com>
	* Completed 'edit_audio.cpp'.  All functions work.
2002-12-30 Fred Gleason <fredg@wava.com>
	* Added 'VOX_THRESHOLD', 'TRIM_THRESHOLD', 'RECORD_GPI',
	'PLAY_GPI', 'STOP_GPI', 'DEFAULT_RECORD_MODE' and
	'DEFAULT_TRIM_STATE' fields to the RDLIBRARY table, along with
	appropriate accessor methods in 'RDLibraryConf'.
	* Added 'WEIGHT' field to the CUTS table, along with appropriate
	accessors methods in 'RDCut'.
2002-12-31 Fred Gleason <fredg@wava.com>
	* Added the new configuration parameters to the RDLibrary module
	in RDAdmin.
2003-01-03 Fred Gleason <fredg@wava.com>
	* Added VOX and AutoTrim support to the Recorder in RDLibrary.
	* Fixed a bug in 'RDCae' that was causing random crashes.
	* Added a 'CLIPBOARD' table, for storing cut data in the audio
	clipboard.
	* Added 'toClipboard()' and 'fromClipboard()' methods to 'RDCut'.
2003-01-06 Fred Gleason <fredg@wava.com>
	* Added clipboard support to RDLibrary.
2003-01-08 Fred Gleason <fredg@salemradiolabs.com>
	* Rearranged the order of the play buttons in 'edit_audio.cpp'.
	* Changed the region play button so as to take it's accent color
	from the currently selected marker color.
	* Rearranged the position counters in 'edit_audio.cpp'.
	* Swaped the mouse button bindings between Left and Center.
	* Added 'START_DATE', 'END_DATE', 'START_DAYPART' and
	'END_DAYPART' fields to the CUTS table, along with appropriate
	accessor methods in 'RDCut'.
	* Fixed a bug in 'EditRDLibrary' that was causing 'setInputType()'
	to write incorrect values into the database.
2003-01-10 Fred Gleason <fredg@salemradiolabs.com>
	* Calibrated RDLibrary, RDPlay and RDRecord to use -16 dBFS as 
	"reference" level.
	* Added a level meter to the audio editor in RDLibrary.
	* Added lines to the waveform display in RDLibrary's audio editor
	to indicate reference level.
	* Added 'PLAY_GAIN' field to the 'CUTS' table, along with
	appropriate accessor methods in 'RDCut'.
	* Added the ability to set the playout gain in the audio editor in
	RDLibrary.
	* Fixed a bug in the audio editor in RDLibrary that was clipping
	the marker arrows when placed at the extreme edges of the waveform
	area.
	* Added the ability to drag markers in the audio editor in
	RDLibrary.
2003-01-13 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the marker buttons in RDLibrary's audio editor as
	follows:  Start >> Cut Start, End >> Cut End, Seg Start >> Segue
	Start, Seg End >> Segue End.
	* Changed the Region counter label in RDLibrary's audio editor to
	reflect the currently selected region.
	* Fixed a bug in RDLibrary's audio editor where it was possible to
	place a tail marker before it's coresponding head marker.
	* Changed RDLibrary's audio editor so that placing a marker will
	also place it's complimentary marker at the start/end of the audio
	if it does not already exist.
	* Removed the ability to remove Cut Start/End markers from the
	right-click menu in RDLibrary's audio editor.
	* Changed the right-click menu in RDLibrary's audio editor so that
	the Talk, Segue and Hook markers can only be deleted in pairs.
	* Changed the Talk marker color in RDLibrary's audio editor to
	dark yellow.
	* Changed the play gain control in RDLibrary's audio editor from a
	slider to a large spin box.
	* Added head and tail trim buttons to RDLibrary's audio editor,
	along with settable thresholds.
	* Changed the RDLibrary's audio editor so that the play cursor now
	moves automatically to the position of a newly-moved head marker.
2003-01-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added typomatic auto-repeat to the Cut Gain buttons in
	RDLibrary's audio editor.
	* Fixed a bug in RDLibrary's audio editor where placing a TalkEnd
	marker would reposition an existing TalkStart marker to the
	beginning of the audio cut.
	* Fixed a bug in RDLibrary's audio editor where the FadeUp marker
	could be positioned after the FadeDown marker, and vice-versa.
	* Added 'effectiveStart()' and 'effectiveEnd()' methods to
	'RDCut'.
	* Changed RDLibrary's audio editor so that placing a new marker
	for the first time will cause it's opposite marker to be placed at
	the Start or End marker position, rather than at the absolute
	start or end of the audio.
	* Fixed a bug in RDLibrary's audio editor that was causing the
	incorrect mouse cursor to be displayed in certain areas of the
	screen.
	* Changed the zoom behavior in RDLibrary's audio editor so that
	the playback cursor will always be visible on screen following a
	zoom.
	* Changed the label on the 'Hook Start' marker button from 'Hook
	Strt' to 'Hook Start'.
2003-01-15 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the direct HPI dependencies from all code, as part of
	preparations for proper ALSA support.  All driver dependencies are
	now confined to 'libradio'.
2003-01-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed the Autoconf configuration so as to autodetect and build
	both HPI and ALSA support properly.
2003-01-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RDGpo', a utility program to test general purpose output
	(GPO) devices.
	* Added 'RDGpi', a utility program to test general purpose input
	(GPI) devices.
	* Added 'docs/GPIO.txt', a note on configuring and testing GPIO
	devices.
2003-01-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'GS', 'GI' and 'GO' commands to 'caed', in complaiance
	with Core Engine Protocol v0.6.
	* Added card usage notes and pinout data to 'docs/GPIO.txt'.
	* Added methods for GPIO support to 'RDCae'.
2003-01-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'start_rd' and 'kill_rd' scripts, for automatically
	starting and terminating Rivendell system daemons.
	* Added pid logging to 'caed' and 'ripcd'.
	* Added 'rdgen' in 'utils/', a program for generating arbitrary
	tones in WAV files.  Adapted from 'wavgen' in 'wavlib-2.4.2'.
	* Renamed 'create_db' as 'rd_create_db'.
	* Fixed a bug in 'edit_audio.cpp' that was causing the widget
	sometimes to default to 'Loop' mode upon startup without any
	indication on the Loop button.
	* Fixed a bug in 'edit_audio.cpp' that was causing audio playout
	to continue even after exiting the widget.
	* Fixed a bug in 'edit_audio.cpp' where repositioning the playback
	cursor while playing was generating a spurious pause.
	* Changed the behavior of RDLibrary's audio editor so that placing
	a tail marker will reposition the play cursor to three seconds
	before the tail marker location, or at the corresponding head
	marker, if that is close than three seconds before.
	* Decreased the default zoom gain in RDLibrary's audio editor by 3
	dB.
	* Fixed a bug in 'edit_audio.cpp' that was causing markers to be
	displayed even if they were not active.
	* Renamed the 'Tail Trim' and 'Head Trim' buttons in RDLibrary's
	audio editor to 'Start Trim' and 'End Trim'.
	* Renamed the 'Record' button in RDLibrary's cart editor to
	'Record/Label'.
	* Changed the font size of the cut buttons in RDLibrary's cart
	editor from 16 to 14 point.
2003-01-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added some SuSE-specific advice regarding proper placement of
	the 'start_rd' script in 'inittab'.
	* Fixed a bug in 'edit_audio.cpp' whereby the region length was
	being inserted into the overall length counter.
	* Fixed a bug in 'edit_audio.cpp' whereby moving the cursors would
	corrupt the reference level line display.
	* Changed RDLibrary's audio edtiro so that the marker counters'
	contents are highlighted when it's coressponding button is depressed.
	* Changed RDLibrary's audio editor so that it's possible to
	de-select a marker button.  With no marker selected, a left mouse
	click will now position the playback cursor.
	* Fixed a bug in 'edit_audio.cpp' that was causing the 'Hook'
	color and label to show up in the region size counter when the
	'Fade Up' button was selected.
	* Added a 'Remove Marker' button to RDLibrary's audio editor.
	When depressed, pressing one of the marker buttons will delete the
	corresponding pair of markers.
2003-01-27 Fred Gleason <fredg@salemradiolabs.com>
	* Changed RDLibrary's audio editor so that Cursor Play will stop
	at a given marker if one of it's corresponding buttons is
	selected.
	* Changed RDLibrary's audio editor so that selecting a start
	marker button will resposition to play cursor to that marker.
	* Changed RDLibrary's audio editor so that selecting an end marker
	will reposition the play cursor to three seconds before that
	marker, or at it's corresponding start marker, whichever is
	closer.
	* Removed the Region Play button from RDLibrary's audio editor.
	* Relabeled the Stop button as the Pause in RDLibrary's audio
	editor.
	* Added a Stop button to RDLibrary's audio editor that causes the
	playback cursor to be respositioned to it position when one of the
	play buttons was activated.
	* Changed the key bindings in RDLibrary's audio editor so that the
	space bat toggles between Cursor Play and Stop.
	* Changed the level range of the playback meter in RDLibrary's
	audio editor to be -36 dbFS to -8 dbFS (-20 to +8).
	* Fixed a bug in 'edit_audio.cpp' that was causing nonsense values
	to appear in the Region counter of RDLibrary's audio editor when
	no marker buttons were selected.
2003-02-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in the Autoconf configuration that was causing Qt's
	Meta Object Compiler (moc) files to be included in distribution
	tarballs.
2003-02-05 Fred Gleason <fredg@salemradiolabs.com>
	* Began implementing the 'Frankeneditor' layout in RDLibrary's
	audio editor.
2003-02-10 Fred Gleason <fredg@salemradiolabs.com>
	* Finished implementing the 'Frankeneditor' layout in RDLibrary's
	audio editor.
	* Added the ability to enter marker positions by typing into the
	counter widgets in RDLibrary's audio editor.
2003-02-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'edit_audio.cpp' that was causing the current 
	counter readout to lose it's highlighting after a manual data
	entry.
	* Disabled drag and drop capability in the counters in RDLibrary's
	audio editor.
	* Changed the parser for the marker counters so as to allow
	various shorthand forms of time value entries to work.
	* Fixed a bug in 'edit_audio.cpp' that was causing the marker
	counters to fail to revert to the previous value if an "out of
	bounds" value was keyed in manually.
	* Fixed a bug in 'edit_audio.cpp' that was allowing markers to be
	placed outside of the Start and End markers.
	* Changed the colors for the Fade, Talk and Segue markers in
	RDLibrary's audio editor to yellow, blue and cyan, respectively.
2003-02-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'edit_audio.cpp' that was causing the marker
	readout for FadeUp and FadeDown to appear in the wrong position.
	* Added a 'Goto' button section to RDLibrary's audio editor, with
	'Cursor', 'Home' and 'End' buttons.
	* Fixed a bug in 'edit_audio.cpp' that was preventing Start
	markers from being moved to the left and End markers from being
	moved to the right.
	* Added a 'TAIL_PREROLL' field to the 'RD_LIBRARY' table, along
	with appropriate accessor methods in 'RDLibraryConf'.
	* Added a 'Tail Preroll' spinbox in the RDLibrary configuration
	screen in 'RDAdmin'.
	* Modified RDLibrary's audio editor so as to use the
	'TAIL_PREROLL' field value to determine the distance to offset the
	play cursor when placing a tail marker.
	* Fixed a bug in 'edit_audio.cpp' whereby the Remove Marker
	buttono was not being fully reset after pressing a marker button
	when in 'Remove' mode.
	* Added a 'MarkerButton' class as part of RDLibrary.
	* Fixed a bug in 'edit_audio.cpp' that was causing the space bar
	to fail to toggle audio playback after operation of a marker
	buttons.
	* Fixed a bug in 'edit_audio.cpp' that was causing spurious end
	markers to be generated when deselecting a start marker button
	with no marker placed.
2003-02-18 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the behavior of the 'Goto Cursor' button in RDLibrary's
	audio editor so as to center the cursor in the waveform display.
	* Reworked the layout of Start/End Date and Daypart fields in
	RDLibrary's audio recorder.
2003-02-19 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'edit_audio.cpp' whereby it was possible to place
	the End marker beyond the end of the actual audio.
	* Fixed a bug in 'edit_audio.cpp' that had broken looping mode.
	* Added a feature whereby the space to the right of the end of the
	audio in RDLibrary's audio editor is greyed out.
	* Fixed a bug in 'edit_audio.cpp' that was causing a the marker
	time field to blank out after it's associated marker button was
	deselected.
	* Hacked 'edit_audio.cpp' to make the left and right waveforms
	appear to align.  Still not really convinced that we have this
	right.
	* Changed RDLibrary's 'MarkerButton' base class from
	'QPushButton' to 'RPushButton'.
	* Changed RDLibrary's audio editor so as to make the marker
	buttons flash to indicate an active selection.
	* Added key bindings for 'Home', 'End' and 'Delete' to RDLibrary's
	audio editor.
2003-02-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'rdlibrary/marker_edit.h' and 'rdlibrary/marker_edit.cpp'.
	* Fixed a bug in 'edit_audio.cpp' that was causing the spacebar
	to clear the value of a selected marker.
	* Fixed a bug in 'edit_audio.cpp' that was causing the marker
	arrow positions to fail to update when outside the main frame of
	the waveform window.
	* Added sanity checks to RDLibrary's audio editor to prevent any
	other markers from being present before the Start or after the End
	marker.
2003-02-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added default values to the 'START_DATE', 'END_DATE',
	'START_DAYPART' and 'END_DAYPART' fields in the 'CUTS' table.
	* Removed the 'airDateValid()' and 'daypartValid()' methods from
	'RDCut'.
	* Added default value for the 'ORIGIN_DATETIME' field in the
	'CUTS' table.
	* Added read-only 'Origin', 'Last Played' and '# of Plays'
	controls to RDLibrary's recorder.
	* Added a 'Weight' control to RDLibrary's recorder.
	* Added a horizontal divider line to the 'Record/Label' and
	'Import/Export' buttons in RDLibrary's cart editor.
	* Hid the 'Import/Export' and 'Rip' buttons in RDLibrary's cart
	editor.
	* Changed RDLibrary's recorder so to use the symbolic workstation
	name (as set in RDAdmin) for the origin name, instead of the raw
	hostname/display pair.
	* Combined the 'ORIGIN_DATETIME' and 'ORIGIN_NAME' fields into one
	column in RDLibrary's cart editor cut list.
	* Added the 'START_DATE', 'END_DATE', 'START_DAYPART' and
	'END_DAYPART' fields to RDLibrary's cart editor cut list.
	* Added accessor methods for 'GROUP_NAME' to 'RDCart'.
	* Added a 'Group' control to RDLibrary's cart editor.
	* Implemented simple filtering in RDLibrary.
	* Added indices for 'ALBUM', 'LABEL' and 'USER_DEFINED' fields in
	the 'CART' table.
2003-02-25 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the 'START_DATE' and 'END_DATE' fields in the 'CUTS'
	table to 'START_DATETIME' and 'END_DATETIME', and updated data
	type and accessor methods accordingly.
	* Updated RDLibrary's recorder to use the new 'START_DATETIME' and
	'END_DATETIME' fields.
	* Fixed a bug in 'marker_edit.cpp' where the 'Home' and 'End' keys
	were being processed by the widget instead of being passed
	through.
	* Changed the behavior of RDLibrary's audio editor so that
	positioning of a Start or End marker that leaves a FadeUp or
	FadeDown marker outside the active range deletes said marker
	instead of relocating it.
	* Fixed a bug in 'edit_audio.cpp' where the Region counter was
	failing to display the segment time when the FadeUp marker was
	selected.
	* Disabled drag and drop on the cursor position, autotrim
	threshold and cut gain readouts.
	* Changed RDLibrary's audio editor so as to make it possible to
	manually enter the Cut Gain value using the keyboard.
	* Changed the Play cursor in RDLibrary's audio editor to display
	reverse color over the waveform.
	* Changed the behavior of Play From Cursor mode in RDLibrary's
	audio editor so that playback always stops at the End marker.
	* Created layouts for 'RECORDINGS', 'DECKS' and 'TTYS' tables in
	'docs/tables/'.
	* Added code to create the 'TTYS' table in 'rd_create_db'.
	* Added a 'RDTty' class in 'lib/'.
	* Added code to create the 'DECKS' table in 'rd_create_db'.
	* Added a 'RDDeck' class in 'lib/'.
2003-02-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Configure TTYs' module to RDAdmin->ManageStations.
	* Added 'SWITCH_TYPE' and 'TTY_ID' fields to the 'DECKS' table.
	* Added a 'Configure RDCatch' module to RDAdmin->ManageStations.
	Still a WIP.
2003-02-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EditDecks' class in 'rdadmin'.
	* Removed 'Configure' from the configuration button legends in
	RDAdmin->Stations.
	* Renamed 'TTYs' to 'Serial Ports' in RDAdmin->Stations.
	* Created a layout for the 'SOURCES' table in 'docs/tables/'.
	* Added code to create the 'SOURCES' table in 'rd_create_db'.
	* Added an 'RDSource' class in 'lib/'.
	* Added an 'EditSources' class in 'rdadmin/'.
	* Added an 'AddSource' class in 'rdadmin/'.
	* Added an 'EditSource' class in 'rdadmin/'.
	* Completed the 'RDCatch' module in RDAdmin->ManageStations.
	* Added code to create the 'RECORDINGS' table in 'rd_create_db'.
	* Added an 'RDRecording' class in 'lib/'.
	* Stubbed out 'RDCatch' in 'rdcatch/'.
2003-02-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'STARTDATE_OFFSET' and 'ENDDATE_OFFSET' fields to the
	'RECORDINGS' table, along with appropriate accessor methods.
	* Added an 'AddRecording' class in 'rdcatch/'.
	* Changed 'RDRecording' to use the 'START_DATE' field as a key
	value, rather than 'CUT_NAME'.
	* Added an 'EditRecording' class in 'rdcatch/'.
	* Removed 'START_TYPE' and 'END_TYPE' fields from the 'RECORDINGS'
	table, along with appropriate accessor methods.
	* Changed the type of 'GPI_START' and 'GPI_END' fields in the
	'RECORDINGS' table to signed integer, and changed appropriate
	accessor methods.
2003-03-02 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the Day of the Week fields in RDCatch to display the day
	of the week abbreviations, rather than 'Yes' or 'No'.
2003-03-03 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the Head/Tail Audition buttons in RDCatch.
	* Added 'PORT_TYPE', 'DEFAULT_FORMAT', 'DEFAULT_CHANNELS',
	'DEFAULT_SAMPRATE', 'DEFAULT_BITRATE' and 'DEFAULT_THRESHOLD' 
	fields to the 'DECKS' table, along with appropriate accessor
	methods.
	* Added support for the new 'DECKS' fields to RDCatch module in
	RDAdmin->ManageStations.
	* Added 'FORMAT', 'CHANNELS', 'SAMPRATE' and 'BITRATE' fields to
	the 'RECORDINGS' table, along with appropriate accessor methods.
	* Moved the 'Settings' class from 'rdlibrary/' to 'lib/', and
	renamed it 'RDSettings'.
	* Moved the 'EditSettings' class from 'rdlibrary/' to 'lib/', and
	renamed it 'RDEditSettings'.
	* Modified RDCatch to make use of the new 'RECORDINGS' fields.
2003-03-04 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch.cpp' that was throwing a database error
	upon startup.
	* Created directory 'rdcatchd/'.
	* Stubbed out RDCatchd in 'rdcatchd/'.
	* Added a 'CatchConnect' class in 'rdcatch/'.
	* Basic RDCatchd functions now working.
2003-03-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RDTtyOut()' function in 'lib/'.
	* Implemented switcher control in RDCatchd.
	* Imported the CAE protocol spec as 'docs/cae.sxw'.
	* Added <gpi-start> and <gpi-end> arguments to the 'RD' command
	in the Core AudioEngine spec.  Upped the spec version to 0.7.
	* Implemented the <gpi-start> and <gpi-end> arguments in 'caed'.
	* Added additional arguments for Start and End GPI in the
	'startRecord()' method in 'RDCae'.
	* Implemented Start and End GPI in 'rdcatchd'.
2003-03-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'caed' that was causing a segfault at startup
	when used with no GPIO card.
2003-03-07 Fred Gleason <fredg@salemradiolabs.com>
	* Created a layout for the 'AUDIO_PORTS' table in
	'docs/tables/audio_ports.txt'.
	* Added a 'RDAudioPort' class in 'lib/'.
	* Added an 'Audio Ports' configuration module to
	RDAdmin->EditStations.
	* Removed the 'Input Type' control from the RDLibrary
	configuration module in RDAdmin.
	* Removed the 'Input Type' control from the RDCatch
	configuration module in RDAdmin.
	* Removed the 'portType()' and 'setPortType()' methods from
	'RDDeck'.
	* Removed the 'inputType()' and 'setInputType()' methods from
	'RDLibraryConf'.
	* Reworked RDLibrary to use the new input port type and level
	assignments.
	* Reworked RDCatch to use the new input port type and level
	assignments.
2003-03-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary.cpp' that was causing the build to
	break.
2003-03-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'lib/rdmixer.cpp', a container for various mixer
	functions.
	* Added a 'RDSetPorts()' function to 'RDMixer'.
	* Removed the 'DISPLAY' field from the 'STATIONS' table.
	* Modified 'RDStation' to reflect the updated 'STATIONS' table
	structure.
	* Modified RDAdmin's Station modules to use the updated 'STATIONS'
	table structure.
	* Modified the RIPC spec in 'docs/ripc.txt' to remove the
	'<display>' attribute.
	* Modified 'ripcd' to use the updated 'STATIONS' table structure
	and RIPC spec.
	* Modified 'RDRipc' to use the updated 'STATIONS' table structure
	and RIPC spec.
	* Deleted 'conf/cae.conf'.
	* Updated 'conf/rd.conf-sample' to include just the commonly needed
	configuration options.
	* Created 'conf/rd.conf-full-sample', a complete listing of
	available configuration options.
	* Fixed a bug in 'RDCatch' that was allow duplicate recordings to
	be created.
2003-03-11 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'RDCatchd' to relinguish root permissions after
	startup.
	* Added a 'DeckMon' class to 'rdcatch/'.
	* Added 'docs/catchd.txt', documenting the IPC protocol for
	real-time netcatcher monitoring.
	* Added real-time monitoring capability to RDCatch.  Still rather
	buggy and unstable, and the meters don't work (yet).
2003-03-12 Fred Gleason <fredg@salemradiolabs.com>
	* Added sanity checks to RDCatch to prevent creation of recording
	entries without a length or destination cut.
	* Fixed a bug in 'rdadmin/edit_decks.cpp' that was causing
	incorrect values to be written to the database for Default
	Threshold'.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' where the Threshold 
	Trim value was not being read properly.
	* Added level monitoring support to RDCatchd and CatchConnect.
	* Real-time metering now works in RDCatch.
	* Added an 'RDCutPath' function in 'lib/'.
2003-03-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDCutDialog' widget in 'lib/'.
	* Added an 'RDCartSearchText()' function in 'lib/'.
	* Modified RDLibrary to use 'RDCartSearchText()' for cart
	filtering.
	* Rearranged the layout of the RDCatch->EditRecordings dialog box.
	* Added an 'EDIT_CATCHES_PRIV' field to the 'USERS' table, along
	with appropriate accessor methods.
	* Fixed a bug in 'lib/rduser.cpp' that was causing read/write of
	the 'USERS.ASSIGN_CART_PRIV' field to fail.
	* Added support to RDAdmin->EditUsers for the Edit Netcatch
	Schedule user attribute.
	* Updated RDAdmin to make consistent use of QCheckBox widgets.
	* Added user attribute support to RDCatch.
	* Fixed a bug in 'rdcatch/deckmon.cpp' where the level meters were
	not returning to zero at the conclusion of a recording.
	* Fixed a bug in 'lib/rdcut.cpp' that was causing the value for
	Cut End Date/Time to fail to be updated.
	* Implemented Start/End Date Offsets in RDCatchd.
	* Added RDCatchd to the automated daemon management system in
	'scripts/start_rd' and 'scripts/kill_rd'.
	* Fixed a bug that was generating a compiler warning in
	'utils/metadialog.cpp'.
	* Fixed a bug that was generating a compiler warning in
	'utils/wavlib.c'.
	* Fixed a bug that generating a moc warning in
	'rdlibrary/Makefile.am'.
	* Added code to 'scripts/rd_create_db' to generate the 'LOGS'
	table.
	* Added 'docs/tables/log_format.txt', documenting the layout of a
	schedule log.
2003-03-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/edit_audios.cpp' that was causing the
	incorrect analog port levels to be generated in the database.
	* Fixed up the appearance of the 'Record|Label' button in
	RDLibrary->EditCart.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was causing second and
	later decks in the monitoring area to fail to update status
	properly.
	* Changed the column alignment to right justified for the 'Length' 
	field in RDCatch.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' where a start/end date
	offset was being applied to a recording even when start/end date
	tracking was disabled for the cut.
2003-03-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/list_stations.cpp' that was causing the
	upper-left corner of the station list to be slightly overwritten.
	* Fixed a bug in 'rdadmin/list_stations.cpp' where deleting a
	workstation failed to delete associated netcatcher configuration.
	* Added 'RDSetMixerOutputPort()' function in 'lib/rdmixer.cpp'.
	* Fixed a bug in 'rdlibrary/rdlibrary.cpp' where the output audio
	assignment was being set up incorrectly.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' where the output audio
	assignment was being set up incorrectly.
	* Added code to 'scripts/rd_create_db' to allow upgrade of an
	existing database in place.
2003-03-19 Fred Gleason <fredg@salemradiolabs.com>
	* Stubbed out RDLogEdit in 'rdlogedit/', a log editor utility.
	* Renamed the 'LOGS.OWNER' field to 'LOGS.SERVICE'.
	* Added code to 'scripts/rd_create_db' to generate a sample log
	when creating a new database.
	* Removed 'LOGS.START_DATETIME' and 'LOGS.END_DATETIME' fields.
	* Added 'LOGS.START_DATE' and 'LOGS.END_DATE' fields.
	* Added an 'RDLog' class in 'lib/rdlog.cpp'.
	* Added an 'AddLog' class in 'rdlogedit/add_log.cpp'.
	* Added an 'EditLog' class in 'rdlogedit/edit_log.cpp'.
	* Added an 'RDLogEvent' class in 'lib/rdlog_event.cpp'.
2003-03-21 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'PREV_ID' and 'NEXT_ID' fields from the log table
	format.
	* Added a 'COUNTER' field to the log table format.
	* Added an 'RDLogLine' class in 'lib/rdlog_line.cpp'.
	* Added an 'RDCreateLog' function in 'lib/rdcreate_log.cpp'.
2003-04-23 Fred Gleason <fredg@salemradiolabs.com>
	* Changed 'RDLogEvents' to use the STL for object management.
	* Added a 'EditLogLine' class in 'rdlogedit/edit_logline.cpp'.
2003-04-29 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'COUNTER' field from the log table format.
	* Created a 'RDCartDialog' class in 'lib/rdcart_dialog'.
2003-05-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' where starting the program
	over a remote X11 link would hang without ever getting a main
	window.
2003-05-12 Fred Gleason <fredg@salemradiolabs.com>
	* Reworked 'RDRecording' to take the ID value as it's constructor
	argument, rather than WORKSTATION,CHANNEL and START_TIME.
	* Overhauled 'RDCatch' to allow the Station and Start Time to be
	altered for a record event after the event is created.
	* Added additional sanity checks for record events in 'RDCatch'.
	* Added code to 'rdcatch/rdcatch.cpp' to keep the Record List from
	jumping back to the first event in the list after adding or
	editing an entry.
2003-05-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' where the Record List would
	jump back to the top after adding or editing an entry.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' where the correct
	station name was not being loaded into the Station selector.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' where the list of
	available record sources would be blank after creating a new
	record event.
	* Changed the behavior of 'RDCatch' so that a new record event
	defaults to the first available audio source, rther than no source
	at all.
2003-05-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDRipper' class in 'lib/rdripper.cpp'.
	* Added 'RDLIBRARY.PARANOIA_LEVEL', 'RDLIBRARY.RIPPER_DEVICE' and
	'RDLIBRARY.RIPPER_LEVEL' fields to the database, along with
	appropriate accessor methods in 'RDLibraryConf'.
	* Added fields for 'Ripper Device', 'Paranoia Level' and 'Ripper
	Level' to 'RDAdmin->Stations->RDLibrary'.
	* Added 'scripts/rd_rip_cd' script.
2003-05-14 Fred Gleason <fredg@salemradiolabs.com>
	* Finalized the calling convention for 'scripts/rd_rip_cd'.  Only
	PCM16 support so far.
	* Completed the widget layout for the CD Ripper in RDLibrary.
2003-05-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'reset()' method to 'RDCut'.
	* Moved the 'RDRipper' class from 'lib/' to 'rdlibrary/' and
	renamed it 'CdRipper'.
	* Added the requirement for CDParanoia and SoX to 'INSTALL'.
2003-05-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'rdmpeg2wav' command in 'utils/'.
2003-05-19 Fred Gleason <fredg@salemradiolabs.com>
	* Changed 'rdlibrary/edit_audio.cpp' so as to work with the new
	'RWaveFile' 'energy()' method interface.
2003-05-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added MPEG-1 Layer 2 support to 'scripts/rd_rip_cd'.
	* Updated 'rdlibrary/cdripper.cpp' to use the new calling API for
	'rd_rip_cd'.
2003-05-21 Fred Gleason <fredg@salemradiolabs.com>
	* Started adding FreeDB support to the CD ripper.  Very much a
	WIP.
2003-05-22 Fred Gleason <fredg@salemradiolabs.com>
	* Basic FreeDB support now working in the CD ripper.  Still needs
	to be integrated with mySQL.
2003-05-22 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the 'Other' widget in RDLibrary's CD Ripper to support
	multi-line text display.
	* Added the apply in RDLibrary's CD Ripper to apply FreeDB data to
	the underlying cart.
2003-05-23 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_rip_cd' that was causing resamples to
	48 kHz sample rate to fail.
	* Fixed a bug in 'rdlibrary/cdripper.cpp' that was causing
	normalization to be applied to cd rips even with the
	'Normalization' checkbox cleared.
	* Fixed a bug in 'rdlibrary/cdripper.cpp' that was causing
	incorrect progress bar updates when ripping to single channel
	output.
	* Disabled the 'Abort Rip' button in 'rdlibrary/cdripper.cpp'.
	* Added field 'RDLIBRARY.CDDB_SERVER', along with appropriate
	accessor methods.
	* Added a field in RDAdmin->Stations->RDLibrary for specifying the
	FreeDB server to use for CD lookups in the ripper.
	* Changed 'rdlibrary/cdripper.cpp' to use the FreeDB server data
	from the database.
2003-05-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RDPlayDeck' class in 'lib/rdplay_deck.cpp'.
	* Stubbed out 'RDAirPlay' in 'rdairplay/', an on-air playout
	module.
	* Added an 'RDListLogs' class in 'lib/rdlist_logs.cpp'.
	* Added a 'LogLineBox' class in 'rdairplay/loglinebox.cpp'.
2003-05-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'COUNT' field to the log table format, and updated
	appropriate accessor methods.
	* Fixed various bugs in 'RDLogEdit' to make it stable and working.
	* Changed the default sort column RDLibrary's Cart Editor to
	the 'NAME' field.
	* Changed the default cut name in RDLibrary's Cut Editor to pad
	the numerals with leading zeros.
	* Move work on RDAirPlay.
2003-05-30 Fred Gleason <fredg@salemradiolabs.com>
	* Rearranged the field order in the track list in RDLibrary's CD
	Ripper so that the track type is the last field listed.
2003-06-02 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' where the play cursor
	would sometimes flicker when advancing during playback.
	* Fixed a bug in 'rdlibrary/add_cart.cpp' where clicking the
	'Cancel' button in the edit widget of a new cart would fail to
	delete the cart.
	* Added a sanity check to RDLibrary's Cart Editor to prevent
	saving of a cart without an assigned title.
	* Fixed a race condition in 'rdlibrary/cdripper.cpp' where
	ejecting a CD while a FreeDB lookup was pending would segfault the
	program.
	* Changed RDLibrary's CD Ripper so that it now places the CD track
	title into the cut DESCRIPTION field (as well as the cart TITLE)
	when 'Apply FreeDB Values to Cart' is checked.
	* Added a widget to RDLibrary's Cart Editor to allow the choice of
	cut scheduling policy.
	* Fixed a bug in 'scripts'rd_create_db' that was creating dates
	in the CUTS table with an incorrect default value.
	* More work on RDAirPlay.
2003-06-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDAudioExists()' function in 'lib/rdaudio_exists.cpp'.
	* Fixed a bug in 'rdlibrary/rdlibrary.cpp' where the currently
	selected cart would randomly change when exiting out of a cart
	edit dialog.
	* Fixed a bug in 'rdlibrary/edit_cart.cpp' where the currently
	selected cut would randomly change when exiting out of an edit,
	record/label or rip dialog.
	* Fixed a bug in 'rdlogedit/rdlogedit.cpp' where the currently
	selected log would randomly change when exiting out of an edit
	dialog.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' where the currently
	selected event would randomly change when exiting out of an edit
	dialog.
2003-06-06 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'MPEG-1 Layer 3' option from the 'Format' field in
	RDAdmin->Stations->RDLibrary.
	* Removed the values higher than '192 kbps/chan' from the
	'Bitrate' options in RDAdmin->Stations->RDLibrary.
	* Changed the units of the 'Bitrate' field in
	RDAdmin->Stations->RDLibrary to 'kbps/chan'.
	* Changed the 'Bitrate' field in RDADmin->Stations->RDLibrary to
	default to a value of 128 kbps/chan.
	* Moved the 'Format', 'Sample Rate' and 'Bitrate' fields from the
	'Defaults' to the 'Settings' section in
	RDAdmin->Stations->RDLibrary.
	* Removed the values higher than '192 kbps/chan' from the
	'Bitrate' options in RDAdmin->Stations->RDCatch.
	* Changed the 'Bitrate' field in RDADmin->Stations->RDCatch to
	default to a value of 128 kbps/chan.
	* Moved the 'Format', 'Sample Rate' and 'Bitrate' fields from the
	'Defaults' to the 'Settings' section in
	RDAdmin->Stations->RDRDCatch.
	* Replaced the 'Settings' button with a 'Channels' selector in
	RDLibrary->Edit->Record/Label.
	* Changed 'rdlibrary/record_cut.cpp' to use the new MPEG-1
	bitrate/chan scheme.
	* Changed 'rdlibrary/cdripper.cpp' to use the new MPEG-1
	bitrate/chan scheme.
	* Delete 'rdcatch/add_recording.h' and
	'rdcatch/add_recording.cpp'.
	* Removed the 'Settings' button from RDCatch->Add and
	RDCatch->Edit.
	* Added a 'Channels' selector to RDCatch->Add and
	RDCatch->Edit.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' where the configured
	default record parameters were being ignored.
2003-06-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'VERSION' table.
	* Created an 'RD_VERSION_DATABASE' version constant in 'lib/rd.h'
	and initialized it at '1'.
	* Created an 'RDVersion' class in 'lib/rdversion.cpp'.
	* Created a 'CheckVersion' class in 'rdadmin/checkversion.cpp'.
	* Created a 'CreateDb' class in 'rdadmin/createdb.cpp'.
	* Created an 'OpenDb" class in 'rdadmin/opendb.cpp'.
	* Created a 'MySqlLogin' class in 'rdadmin/mysql_login.cpp'.
2003-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the QSqlDatabase parameter from 'RDUser's constructor.
	* Moved 'rdadmin/checkversion.cpp' to 'lib/rdcheck_version.cpp'.
	* Moved 'rdadmin/checkversion.h' to 'lib/rdcheck_version.h'.
	* Added the ability to specify the text message as part of
	'MySqlLogin's constructor.
	* Added 'DBChanges', a text file to track database version
	changes.
	* Added an 'UpdateDb()' function in 'rdadmin/createdb.cpp'.
	* Added an 'RDCheckDaemons()' function in
	'lib/rdcheck_daemons.cpp'.
	* Added an 'install-exec-hook' rule to 'rdadmin/Makefile.am' so as
	to install RDAdmin SETUID.
2003-06-11 Fred Gleason <fredg@salemradiolabs.com>
	* Commented out 'caed', 'RDGpo' and 'RDGpi' from the makefiles so
	as to get things to build while overhauling the GPIO stuff in
	libradio.
2003-06-13 Fred Gleason <fredg@salemradiolabs.com>
	* Changed 'cae/cae.cpp' to work with the new 'RGpio' driver.
	* Removed the check for root permissions from 'cae/cae.cpp'.
	* Removed 'RDGpi' and 'RDGpo' from 'utils/'.
	* Added code to 'ripcd/ripcd.cpp' to properly relinquish root
	permissions if started as 'root'.
	* Rewrote 'docs/GPIO.txt' to reflect the changes made for the new
	GPIO driver.
	* Removed the 'SETUID' attribute from 'RDAdmin's binary.
2003-06-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added a one second pause after starting each daemon in
	'RDStartDaemons()' before checking status.
	* Incremented VERSION.DB to '2'.
	* Added a check to 'cae/cae.cpp' to ensure that only one instance
	of the program will run at a time.
	* Added a check to 'ripcd/ripcd.cpp' to ensure that only one instance
	of the program will run at a time.
	* Added a check to 'rdcatchd/rdcatchd.cpp' to ensure that only one 
	instance of the program will run at a time.
	* Added an 'RDInitializeDaemons()' function to
	'lib/rdcheck_daemons.cpp'.
	* Added a call to 'RDInitializeDaemons()' in
	'rdairplay/rdairplay.cpp'.
	* Added a call to 'RDInitializeDaemons()' in
	'rdcatch/rdcatch.cpp'.
	* Added a call to 'RDInitializeDaemons()' in
	'rdlibrary/rdlibrary.cpp'.
	* Added a call to 'RDInitializeDaemons()' in
	'rdlogedit/rdlogedit.cpp'.
	* Added a call to 'RDInitializeDaemons()' in
	'rdlogin/rdlogin.cpp'.
	* Rewrote 'INSTALL' to reflect the next installation proceudres.
2003-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcut.cpp' that was writing incorrect
	default daypart values.
	* Added an 'RDAirPlay' button to RDAdmin->Stations->Edit.
	* Rewrote the font handling code in all of RDAdmin's components to
	ensure consistent font sizing.
	* Rewrote the font handling code in RDLibrary to ensure consistent
	font sizing.
2003-06-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EditRdAirPlay' class in 'rdadmin/edit_rdairplay.cpp'.
	* Added an 'RDAIRPLAY' table, along with appropriate code in
	'rdadmin/createdb.cpp'.
	* Updated the database version to '3'.
	* Added an 'RDAirPlayConf' class in 'lib/rdairplay_conf.cpp'.
2003-06-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added the 'auto_increment' attribute to 'RDAIRPLAY.ID'.
	* Added the Alter privilege to rduser on mySQL.
	* Updated the database version to '4'.
2003-07-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'RDLibrary' to update the 'Length:' field for
	carts.
	* Fixed a bug in 'lib/rd_filter_string.cpp' that was causing the
	GROUP attribute to be omitted from a cart filter search.
	* Added the 'GROUP' attribute to the cart list in RDLibrary.
	* Fixed a bug in 'rdadmin.cpp' that was causing a seg fault when
	deleting objects from the database.
	* Renamed the 'CatchConnect' class top 'RDCatchConnect' and moved
	it from 'rdcatch/catch_connect.cpp' to 'lib/rdcatch_connect.cpp'.
2003-07-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdadmin/edit_station.cpp' to notify RDCatchd when
	a deck configuration is changed.
2003-07-11 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_cart.cpp that was throwing a
	SIGFPE when processing a cart with no cuts.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' that was causing the
	source list to be displayed in non-alphabetical order.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' that was causing the
	number of audio channels to be incorrectly set.
	* Changed 'rdccatch/rdcatch.cpp' to set default focus to the
	'Close' button.
	* Added the Stop Record (SR) command to RDCatchd.
	* Added a 'stop()' slot to 'RDCatchConnect'.
	* Added an Abort button to the deck monitor in RDCatch.
	* Fixed a sorting bug in 'lib/rdcut_dialog.cpp'.
	* Fixed a sorting bug in 'lib/rdcart_dialog.cpp'.
	* Added a 'CrTerm' value to RDTty::Termination.
	* Added a 'Cr' item to the list of available termination types in
	RDAdmin->Stations->Edit->Serial Ports.
	* Added support to 'RDTtyOut' for a 'CrTerm' terminator type.
	* Changed RDAdmin->Stations->Edit->RDCatch->ConfigureSources to
	put default keyboard focus on the serial string input box.
2003-07-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added audio playout to RDAirPlay.
2003-07-15 Fred Gleason <fredg@salemradiolabs.com>
	* Began reorganizing play decks in RDAirPlay.
2003-07-23 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/Makefile.am' that was causing moc files to
	fail to be deleted by the various 'make clean' targets.
	* Changed the 'CFLAGS =' equate in all the 'Makefile.am's to
	'AM_CFLAGS ='.
	* Fixed the font handling code in 'rdairplay/rdairplay.cpp' to
	size fonts properly under SuSE 8.2.
2003-07-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'SOURCE' field to the log table format.
	* Incremented the database version to '5'.
	* Added 'SOURCE' field to 'rdadmin/createdb.cpp'.
	* Added 'SOURCE' field to 'lib/rdcreate_log.cpp'.
	* Added a 'Source' enum to 'lib/rdlog_line.h'.
	* Added 'source()' and 'setSource()' methods to
	'lib/rdlog_line.cpp'.
	* Added code to 'rdadmin/createdb.cpp' to add the 'SOURCE' field
	to existing logs.
	* Added a 'cutNumber()' method to 'lib/rdcut.cpp'.
	* Imported 'RClock' from libradio into 'rdairplay/wall_clock.cpp'.
	* Added 'PostCounter' class in 'rdairplay/post_counter.cpp'.
	* Added 'PieCounter' class in 'rdairplay/pie_counter.cpp'.
	* Added 'StartButton' class in 'rdairplay/start_button.cpp'.
2003-07-28 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a compile bug in 'rdairplay/edit_log.cpp'.
2003-08-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was breaking build.
2003-08-22 Fred Gleason <fredg@salemradiolabs.com>
	* Reorganized the RDAIRPLAY table to use stream pooling.
	* Modified 'rdadmin/createdb.cpp' to use the new RDAIRPLAY table
	structures.
	* Updated the database version to '6'.
	* Updated 'lib/rdairplay_conf.cpp' to use the new RDAIRPLAY table
	structure.
	* Updated RDAdmin to use the new stream pooling channel assignment
	layout.
2003-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the 'audioExists()' method in 'RDCut'.
2003-09-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing a
	segfault when loading a log.
	* Created an 'AudioResources' class in
	'rdairplay/audio_resources.cpp'.
	* Added a 'StartEvent()' method in 'rdairplay/rdairplay.cpp'.
	* Added an 'id()' method in 'rdairplay/logline.cpp'.
	* Added 'rdairplay/globals.h'.
2003-09-04 Fred Gleason <fredg@salemradiolabs.com>
	* Got audio playout working with stream pooling.
2003-09-05 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the playback meter in RDAirPlay.
	* Implemented the 'position()' signal in RDPlayDeck'.
	* Added a 'setTime()' method to	'rdairplay/start_button.cpp'.
	* Added a 'setTimer()' method to 'rdairplay/loglinebox.cpp'.
	* Added a 'setPort()' method to 'rdairplay/start_button.cpp'.
	* Added a 'portText()' method to rdairplay/audio_resources.cpp'.
2003-09-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/pie_counter.cpp' that was causing
	incorrect screen freshing.
	* Fixed a bug in 'rdairplay/wallclock.cpp' that was causing the
	start and end of the date string to be truncated.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing a
	segfault when pressing a Start button for an empty log line.
	* Implemented log advancement.
2003-09-09 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the FadeUp marker in RDAirPlay.
	* Implemented the FadeDown marker in RDAirPlay.
	* Implemented event stop-down.
	* Added an RDLIBRARY.SEGUE_LENGTH field to the database.
	* Updated database creation and update code in 'rdadmin/createdb.cpp'.
	* Incremented the database version to '7'.
	* Added accessor methods for RDLIBRARY.SEGUE_LENGTH in
	'lib/rdairplay_conf.cpp'.
	* Added a 'Manual Segue' spin box to RDAdmin->Stations->RDAirPlay.
	* Added a 'state()' method to 'lib/rdplay_deck.cpp'.
2003-09-10 Fred Gleason <fredg@salemradiolabs.com>
	* Adjusted the geometry of the wall clock widget in RDAirPlay.
	* Adjusted the geometry of the post counter widget in RDAirPlay.
	* Added a 'setState()' method to 'rdairplay/stop_counter.cpp'.
2003-09-11 Fred Gleason <fredg@salemradiolabs.com>
	* Added a master clock timer to 'rdairplay/rdairplay.cpp'.
	* Rewrote 'rdairplay/wall_clock.cpp' to use the master clock
	timer.
	* Removed dead timer code from 'rdairplay/pie_counter.cpp'.
	* Rewrote 'rdairplay/stop_counter.cpp' to use the master clock
	timer.
	* Fixed a bug in 'rdairplay/stop_counter.cpp' that was causing the
	counter to enter Stopped mode one second before the actual end of
	playout.
	* Added a 'ModeDisplay' widget in 'rdairplay/mode_display.cpp'.
2003-09-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing the
	volume setting of unconfigured streams to be turned off at
	startup.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing random
	segfaults at the end of events.
2003-09-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogedit/edit_logline.cpp' that was causing the
	incorrect transition types to be applied to log events.
	* Added a 'transType()' method to 'rdairplay/loglinebox.cpp'.
	* Added a 'finished()' signal to 'lib/rdplay_deck.cpp'.
	* Implemented the beginnings of automatic mode in RDAirPlay.
2003-09-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing a
	segfault at the end of the last event in a log when in Auto mode.
	* Added logic to 'rdairplay/loglinebox.cpp' to load a Segue log
	event as Play if no Segue marker is set for the underlying cut.
	* Added a 'segueLength()' method to 'rdairplay/loglinebox.cpp'.
	* Implemented Segue transitions in RDAirPlay.
2003-09-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'segueLength()' and 'segSegueLength()' methods to
	'lib/rdlog_line.cpp'.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing
	incorrect segue time lengths to be generated.
	* Fixed a whole set of interrelated bugs in 'rdairplay.cpp',
	'lib/rdlog_line.cpp' and 'lib/rdlog_event.cpp' that were affecting
	accurate calculation of next stopdown time in RDAirPlay.
2003-09-18 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the size of the Edit Log widget in RDLogEdit to 800x600.
	* Added code to 'rdlogedit/edit_log.cpp' and
	'rdlogedit/edit_logline.cpp' so as to put focus on a newly
	inserted log event.
	* Added up/dow arrow buttons to the event editor dialog in
	RDLogEdit.
	* Added cut/copy/paste buttons to the event editor dialog in
	RDLogEdit.
	* Fixed a bug in 'rdlogedit/rdlogedit.cpp' that was causing
	incorrect fonts to be displayed under SuSE 8.2.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing
	incorrect fonts to be displayed under SuSE 8.2.
	* Fixed a bug in 'rdlogedit/add_log.cpp' that was causing
	incorrect fonts to be displayed under SuSE 8.2.
	* Fixed a bug in 'rdlogedit/edit_logline.cpp' that was causing
	incorrect fonts to be displayed under SuSE 8.2.
	* Fixed a bug in 'lib/rdcart_dialog.cpp' that was causing
	incorrect fonts to be displayed under SuSE 8.2.
	* Implemented persistent filter strings in RDLogEdit.
	* Created an 'RDListView' class in 'lib/rdlistview.cpp'.
2003-09-19 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented an end-of-log marker in RDLogEdit's Edit Log dialog.
	* Made the window sizes fixed in RDLogEdit.
	* Fixed a bug in 'lib/rdlistview.cpp' that was failing to properly
	handle mouse clicks with the Control key pressed.
	* Added code to fix the window size in 'lib/rdcart_dialog.cpp'.
	* Added code to fix the window size in 'lib/rdcardselector.cpp'.
	* Added code to fix the window size in 'lib/rdlist_logs.cpp'.
	* Added code to fix the window size in 'lib/rdpasswd.cpp'.
	* Added code to fix the window size in 'rdadmin/add_group.cpp'.
	* Added code to fix the window size in 'rdadmin/add_source.cpp'.
	* Added code to fix the window size in 'rdadmin/add_station.cpp'.
	* Added code to fix the window size in 'rdadmin/add_svc.cpp'.
	* Added code to fix the window size in 'rdadmin/add_user.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_audios.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_decks.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_group.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_rdairplay.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_rdlibrary.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_source.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_sources.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_station.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_svc.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_ttys.cpp'.
	* Added code to fix the window size in 'rdadmin/edit_user.cpp'.
	* Added code to fix the window size in 'rdadmin/list_groups.cpp'.
	* Added code to fix the window size in 'rdadmin/list_stations.cpp'.
	* Added code to fix the window size in 'rdadmin/list_svcs.cpp'.
	* Added code to fix the window size in 'rdadmin/list_users.cpp'.
	* Added code to fix the window size in 'rdadmin/login.cpp'.
	* Added code to fix the window size in 'rdadmin/rdadmin.cpp'.
	* Added code to fix the window size in 'rdairplay/rdairplay.cpp'.
	* Added code to fix the window size in 'rdcatch/deckmon.cpp'.
	* Added code to fix the window size in 'rdcatch/edit_recording.cpp'.
	* Added code to fix the window size in 'rdcatch/rdcatch.cpp'.
	* Added code to fix the window size in 'rdlibrary/add_cart.cpp'.
	* Added code to fix the window size in 'rdlibrary/cdripper.cpp'.
	* Added code to fix the window size in 'rdlibrary/edit_audio.cpp'.
	* Added code to fix the window size in 'rdlibrary/edit_cart.cpp'.
	* Added code to fix the window size in 'rdlibrary/filter.cpp'.
	* Added code to fix the window size in 'rdlibrary/rdlibrary.cpp'.
	* Added code to fix the window size in 'rdlibrary/record_cut.cpp'.
	* Added code to fix the window size in 'rdlogin/rdlogin.cpp'.
	* Added code to fix the window size in 'utils/metadialog.cpp'.
	* Added code to fix the window size in 'utils/rdplay.cpp'.
	* Added code to fix the window size in 'utils/rdrecord.cpp'.
	* Added 'timeType()' and 'startTime()' methods to
	'rdairplay/loglinebox.cpp'.
2003-09-22 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'id()', 'timeType()', and 'cartNumber()' methods 
	from LogLineBox.
	* Added a 'GetStartTime()' method to 'rdairplay/rdairplay.cpp'.
	* Removed the 'nextStop()' method from 'lib/rdlog_event.cpp'.
	* Implemented Hard and Soft TimeSync in RDAirPlay.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing the
	Pie Counter to continue to countdown an event after the event had
	been manually stopped.
2003-09-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'setMode()' method to 'rdairplay/start_button.cpp'.
	* Reduced the size of the Pie Counter in RDAirPlay.
	* Relocated the Load Log button in RDAirPlay.
	* Added a 'ListLog' widget in 'rdairplay/list_log.cpp'.
	* Added an 'RDListViewItem' class in 'lib/rdlistview.cpp'.
2003-09-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'status()' and 'setStatus()' methods to
	'lib/rdlog_line.cpp'.
	* Replaced the 'setOnAir()' with 'setState()' method in
	'rdairplay/list_log.cpp'.
2003-09-25 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing the
	Full Log widget to "eat" the first event played in a log.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing later 
	events to be skipped when manually starting events.
2003-09-29 Fred Gleason <fredg@salemradiolabs.com>
	* Added a sound panel widget to RDAirPlay.
	* Fixed a bug in 'rdairplay/pie_counter.cpp' that was causing the 
	pie counter to display ':00' at the end of the countdown.
	* Fixed a bug in 'rdairplay/stop_counter.cpp' that was causing the 
	pie counter to display ':00' at the end of the countdown.
2003-10-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was preventing
	the Cut ID from displaying if it had a value of '0'.
	* Added a display field for the Cart Group Name to the line boxes
	in RDAirPlay.
	* Added code to 'rdlogedit/edit_logline.cpp' to disable the start
	time entry when using a time transition type of 'Relative'.
	* Implemented color-coded progress bars in RDAirPlay.
	* Overhauled the Pie Counter in RDAirPlay.
	* Added RDAIRPLAY.PORT3, RDAIRPLAY.OP_MODE,RDAIRPLAY.START_MODE,
	RDAIRPLAY.PIE_COUNT_LENGTH and RDAIRPLAY_PIECOUNT_ENDPOINT fields
	to the database, along with appropriate accessor methods in
	'lib/rdairplay_conf.cpp'.
	* Incremented the database version to '8'.
	* Added controls for Cue Output Port, Startup Operation Mode, Pie
	Counter Countdown Length and Pie Counter Endpoint to
	RDAdmin->Stations->RDAirPlay.
2003-10-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/mode_display.cpp' that was causing the
	color of the mode label to change when the mouse was moved off the
	application window.
2003-10-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'LogPlay' class in 'rdairplay/log_play.cpp'.
	* Added a 'PlaySlot' class in 'rdairplay/play_slot.cpp'.
	* Renamed the 'name()' and 'setName()' methods is
	'lib/rdlog_event.cpp' to 'logName()' and 'setLogName()'.
2003-10-07 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/audio_resources.cpp' that was causing
	the end of the first event in a log to be occasionally cut off.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing segue
	transitions to cut off the end of events.
2003-10-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the
	'stop()' slot to fail.
	* Added a 'currentLine()' method to 'rdairplay/log_play.cpp'.
2003-10-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'deck()', 'setDeck()', 'playTime()', 'setPlayTime()',
	'cutNumber()', 'effectiveLength()', 'talkLength()',
	'segueLength()', 'segueTail()' and 'setEvent()' methods to 
	'lib/rdlog_line.cpp'.
	* Renamed the 'button()' and 'setButton()' methods in
	'rdairplay/audio_resources.cpp' to 'line()' and 'setLine()'.
	* Deleted 'rdairplay/play_slot.h' and rdairplay/play_slot.cpp'.
2003-10-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'nextTransType()' method to 'lib/rdlog_event.cpp'.
	* Implemented the 'Add' function in RDAirPlay.
	* Implemented the 'Move' function in RDAirPlay.
	* Added RDAIRPLAY.PORT4 and RDAIRPLAY.PORT5 fields to the
	database.
	* Incremented the database version to '9'.
	* Added field in RDAdmin->Stations->RDAirPlay for assigning the
	output ports for Aux 1 and Aux 2 log machines.
2003-10-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EditEvent' class in 'rdairplay/edit_event.cpp'.
2003-10-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDTimeEdit' class in 'lib/rdtimeedit.cpp'.
	* Added 'playPosition()' and 'setPlayPosition()' methods to
	'lib'rdlog_line.cpp'.
	* Added an id field to the signals in RDPlayDeck.
	* Removed the QSignalMappers from LogPlay.
	* Removed the 'tickClock()' method from 'rdairplay/log_play.cpp'.
	* Added a 'StartNextEvent()' method to 'rdairplay/log_play.cpp.
	* Added an 'Auditioning' tag to RDLogLine::Status.
2003-10-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_cart.cpp' that was causing a
	segfault when closing the Record dialog on a newly-created cut
	with no audio.
	* Removed dead code in 'rdlibrary/edit_audio.cpp'.
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' that was causing the
	end marker to move 26 mS closer to the start every time the cut
	markers were saved in the Marker Editor.
2003-10-28 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when manually stopping an event.
	* Fixed a bug in 'cae/cae.cpp' that was causing an 'SP' status
	replay to be emitted when unloading an already stopped cut.
	* Added a 'ButtonLog' widget in 'rdairplay/button_log.cpp'.
2003-11-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp that was causing a
	segfault when manually stopping an event.
	* Reintegrated the pie counter widget into RDAirPlay.
	* Rewrote the 'ModeDisplay' widget to operate as a push button.
	* Removed the Mode pushbutton from 'rdairplay/rdairplay.cpp'.
	* Rewrote the Wall Clock widget in RDAirPlay to be a push button.
	* Added a 'RDAirPlayConf::TimeMode' enum.
	* Added a 'setTimeMode()' method to 'rdair_play/log_play.cpp'.
	* Added a 'setTimeMode()' method to 'rdair_play/start_button.cpp'.
	* Added a 'setTimeMode()' method to 'rdair_play/loglinebox.cpp'.
2003-11-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'setTimeMode()' method in 'rdairplay/list_log.cpp'.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was invalidating
	the event start time for past events.
	* Added a 'setOpMode()' method to 'rdairplay/list_log.cpp'.
	* Reintegrated the Stop Point counter in RDAirPlay.
	* Fixed a bug in 'rdairplay/list_log.cpp' that was causing
	corruption when a new log was loaded over the top of an already
	loaded on in RDAirPlay.
	* Fixed a bug in 'rdairplay/stop_counter.cpp' that was failing to
	put the Stop Counter into 'Stopped' after manually stopping the
	log.
2003-11-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'TYPE', 'COMMENT', 'LABEL' and 'POST_TIME' fields to the
	log table format.
	* Updated 'rdadmin/createdb.cpp' to utilize the new fields.
	* Updated 'lib/rdcreatelog.cpp' to utilize the new fields.
	* Incremented the database version to '10'.
	* Updated 'lib/rdlog_line.cpp' to utilize the new fields.
	* Added an 'EditMarker' class in 'rdlogedit/edit_marker.cpp'.
2003-11-07 Fred Gleason <fredg@salemradiolabs.com>
	* Updated 'rdlogedit/edit_log.cpp' to use the new calling
	parameters for 'RTruncateAfterWord()'.
	* Updated the 'setEvent()' method in 'lib/rdlog_line.cpp' to
	properly deal with marker events.
	* Updated 'rdairplay/log_play.cpp' to properly deal with marker
	events.
	* Updated 'rdairplay/list_log.cpp' to properly deal with marker
	events.
	* Updated 'rdairplay/button_log.cpp' to properly deal with marker
	events.
	* Overhauled 'rdairplay/post_counter.cpp' to make it work with
	Marker Post Points.  Still a WIP.
2003-11-10 Fred Gleason <fredg@salemradiolabs.com>
	* Updated 'rdairplay/log_play.cpp' and
	'rdairplay/post_counter.cpp' to get Post Counter to work.
2003-11-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the
	Post Point counter to fail to update after inserting a new event.
	* Added a 'mouseDoubleLick()' method to
	'rdairplay/loglinebox.cpp'.
	* Increased the size of the position knob in RDAirPlay's Event
	Editor.
	* Added count-up and count-down timers to RDAirPlay's Event
	Editor.
2003-11-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'AdvanceActiveEvent()' method to
	'rdairplay/log_play.cpp'.
	* Renamed the 'topEventChanged()' signal in
	'rdairplay/log_play.cpp' to 'activeEventChanged()'.
	* Reimplemented the 'activeEventChanged()' signalling semantics so
	as to ensure that the most recently started event is always
	the one signalled.
	* Fixed a bug in 'rdairplay/button_log.cpp' that was allowing
	currently playing events to be available as Add/Delete/Move
	targets.
	* Added a 'runStatusChanged()' signal to 'rdairplay/log_play.cpp'.
	* Added a 'topEventChanged()' signal to 'rdairplay/log_play.cpp'.
	* Added 'listViewItem()' and 'setListViewItem()' methods to
	'lib/rdlogline.cpp'.
2003-11-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a memory leak in 'rdairplay/wall_clock.cpp'.
	* Added 'CHECK_TIMESYNC', 'STATION_PANELS' and 'USER_PANELS'
	fields to the RDAIRPLAY table in the database.
	* Added a 'PANELS' table to the database.
	* Incremented the database version to '12'.
	* Added 'checkTimesync()', 'setCheckTimesync()', 'panels()' and
	'setPanels()' methods to 'lib/rdairplay_conf.cpp'.
	* Added widgets in RDAdmin->Stations->RDAirPlay for
	enabling/disabling time sync checking and setting the number of
	sound panels.
	* Added a 'setSyncEnabled()' method to 'rdairplay/wall_clock.cpp'.
2003-11-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'PanelButton' class in 'rdairplay/panel_button.cpp'.
	* Fixed a bug in 'rdadmin/createdb.cpp' where the PANELS.ID field
	in the database was being created without the AUTO_INCREMENT
	parameter.
	* Added indices to the 'PANELS' table to improve panel load/save
	speed.
	* Incremented the database version to '14'.
	* Added a 'ButtonDialog' class in 'rdairplay/button_dialog.cpp'.
2003-11-18 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the size of the PANELS.DEFAULT_COLOR field from '6' to
	'7'.
	* Incremented the database version to '15'.
	* Added a 'WrapText()' method to 'rdairplay/panel_button.cpp'.
	* Added 'deck()' and 'setDeck()' methods to
	'rdairplay/panel_button.cpp'.
2003-11-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'ButtonPanel' class in 'rdairplay/button_panel.cpp'.
	* Overhauled the 'SoundPanel' class to use a vector template to
	track button data.
2003-11-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'setStartTime()', 'setLength()' and 'tickClock()' methods
	to 'rdairplay/panel_button.cpp'.
	* Completed basic SoundPanel functionality.
2003-11-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a buffer-overflow bug in 'rdcatchd/rdcatchd.h'.
2003-11-20 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'Search' button from RDAirPlay's SoundPanel.
2003-11-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'InfoDialog' widget in 'rdadmin/info_dialog.cpp'.
	* Updated the version number to '0.5.0'.
	* Added a 'ViewAdapters' widget in 'rdadmin/view_adapters.cpp'.
2003-11-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'helpers' directory.
	* Added the 'cwrap' utility in 'helpers/cwrap.cpp'.
	* Added banner bitmaps in 'rdadmin/info_banner1.xpm' and
	'rdadmin/info_banner2.xpm'.
2003-12-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/rdadmin.cpp' that was creating database
	backup files without a '.sql' extension.
2003-12-05 Fred Gleason <fredg@salemradiolabs.com>
	* Removed 'config.guess'
	* Removed 'config.status'
	* Removed 'config.sub'
	* Removed 'install-sh'
	* Removed 'ltmain.sh'
	* Removed 'missing'
	* Removed 'mkinstalldirs'
	* Removed 'depcomp'
	* Added 'autogen.sh'.
	* Added the 'toolame' MPEG L2 encoder in 'toolame/'.
2003-12-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'rivendell.spec.in'.
	* Added a 'make rpm' target.
2003-12-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/opendb.cpp' that was causing connection
	to a newly-created Rivendell database to fail.
	* Added code to 'rdadmin/config.cpp' to autodetect the hostname of
	the local machine.
	* Removed the 'StationName=' directive from 'conf/rd.conf-sample'.
	* Adjusted the fonts in 'rdadmin/info_dialog.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdadmin/list_users.cpp' to look good on
	SuSE 9.0.
	* Adjusted the layout in 'rdadmin/edit_user.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdadmin/list_groups.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdadmin/list_svcs.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdadmin/list_stations.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdlibrary/filter.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdlibrary/rdlibrary.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdlibrary/edit_cart.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdlibrary/edit_audio.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdlibrary/cdripper.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdairplay/rdairplay.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdairplay/wall_clock.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdairplay/post_counter.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdairplay/stop_counter.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdairplay/mode_display.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdcatch/rdcatch.cpp' to look good on
	SuSE 9.0.
	* Adjusted the fonts in 'rdcatch/edit_recording.cpp' to look good on
	SuSE 9.0.
	* Adjusted the layout in 'rdlogedit/edit_log.cpp' to look good on
	SuSE 9.0.
	* Adjusted the layout in 'rdlogin/rdlogin.cpp' to look good on
	SuSE 9.0.
	* Added 'GPITest' and 'GPOTest' applications from the 'LibRadio' 
	package in 'utils/'.
2003-12-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/record_cart.cpp' that was causing
	recording to fail when the input and output streams were
	configured to be different.
	* Fixed a bug in 'lib/rdcut_dialog.cpp' that was causing
	incorrectly formatted cut data to be returned.
	* Fixed a bug in 'lib' rdcardselector.cpp' that was causing the
	selector to be abnormally clipped.
2003-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added an Autoconf check for 'linux/gpio.h'.
	* Released as v0.5.0.
2003-12-11 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'conf/rd.conf-sample' and 'conf/rd.conf-complete-sample'
	to the RPM docs directory.
	* Added 'docs/rml.sxw', the specification for the Rivendell Macro
	Language.
2003-12-12 Fred Gleason <fredg@salemradiolabs.com>
	* Added autoconf support for the MAD library.
	* Added an 'RMLSend' utility in 'utils/rmlsend.cpp'.
	* Added an 'RDMacro' class in 'lib/rdmacro.cpp'.
	* Added the 'MS' and 'ME' commands to the RIPC protocol spec in
	'docs/ripc.txt'.
	* Added an 'rmlReceived()' signal to 'lib'rdripc.cpp'.
2003-12-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'echoRequested()' and 'setEchoRequested()' methods to
	'lib/rdmacor.cpp'.
	* Removed 'port()' and 'setPort()' method from 'lib/rdmacro.cpp'.
2003-12-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a variety of bugs in the build system so as to compile
	properly with soft MPEG support enabled.
2003-12-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability to select destination UDP port to RMLSend.
2003-12-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RunLocalMacros()' method in 'ripcd/local_macros.cpp'.
	* Added a 'SwitchTake()' method in 'ripcd/local_macros.cpp'.
	* Added a 'SwitchAdd()' method in 'ripcd/local_macros.cpp'.
	* Added a 'SwitchRemove()' method in 'ripcd/local_macros.cpp'.
	* Added a 'SwitchLevel()' method in 'ripcd/local_macros.cpp'.
2003-12-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'MATRICES', 'INPUTS' and 'OUTPUTS' tables.
	* Incremented the database version to 16.
	* Created an 'RDMatrix' class in 'lib/rdmatrix.cpp'.
	* Added a "Switchers" button to RDAdmin->EditStations.
	* Added a 'ListMatrices' dialog in 'rdadmin/list_matrices.cpp'.
	* Added an 'AddMatrix' dialog in 'rdadmin/add_matrix.cpp'.
	* Added an 'EditMatrix' dialog in 'rdadmin/edit_matrix.cpp'.
	* Added an 'EditEndpoints' class in 'rdadmin/edit_endpoints.cpp'.
2003-12-22 Fred Gleason <fredg@salemradiolabs.com>
	* Renamed 'rdadmin/edit_endpoints.cpp' to
	'rdadmin/list_endpoints.cpp'.
	* Renamed 'rdadmin/edit_endpoints.h' to
	'rdadmin/list_endpoints.h'.
	* Created an 'EditEndpoint' widget in 'rdadmin/edit_endpoint.cpp'.
	* Added an 'INPUTS.CHANNEL_MODE' field.
	* Incremented the database version to 17.
	* Added 'inputName()', 'outputName()' and 'inputMode()' methods in
	'lib/rdmatrix.cpp'.
2003-12-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a switcher driver for the SAS32000 in
	'ripcd/sas32000.cpp'.
	* Fixed a fencepost error in 'rdadmin/list_endpoints.cpp'.
	* Added a 'STATIONS.IPV4_ADDRESS' field.
	* Incremented the database version to 18.
	* Added 'address()' and 'setAddress()' methods in
	'lib/rdstation.cpp'.
	* Added an 'IP Address' field in RDAdmin->Stations.
	* Added global definitions in 'rdadmin/globals.h'.
	* Created a switcher driver for the SAS64000 in
	'ripcd/sas64000.cpp'.
	* Created a SysV-style init script for the Rivendell daemons in
	'rivendell'.
	* Added an install rule for 'rc.rivendell' in 'Makefile.am'.
	* Released as v0.5.2
2003-01-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added the 'GPI ENABLE' command to 'docs/rml.sxw'.
	* Added the 'GPI SET' command to 'docs/rml.sxw'.
	* Added the 'GPO SET' command to 'docs/rml.sxw'.
	* Added the 'LOGIN' command to 'docs/rml.sxw'.
	* Added the 'SERIAL OUT' command to 'docs/rml.sxw'.
	* Added the 'SERIAL TRAP' command to 'docs/rml.sxw'.
	* Added the 'SET LABEL' command to 'docs/rml.sxw'.
	* Added the 'SLEEP' command to 'docs/rml.sxw'.
	* Added the 'SWTICH ADD' command to 'docs/rml.sxw'.
	* Added the 'SWITCH LEVEL' command to 'docs/rml.sxw'.
	* Added the 'SWITCH RELOAD' command to 'docs/rml.sxw'.
	* Added the 'SWITCH REMOVE' command to 'docs/rml.sxw'.
	* Added the 'SWITCH TAKE' command to 'docs/rml.sxw'.
	* Added the 'UDP OUT' command to 'docs/rml.sxw'.
	* Added the 'START' command to 'docs/rml.sxw'.
	* Added the 'START NEXT' command to 'docs/rml.sxw'.
	* Added the 'STOP' command to 'docs/rml.sxw'.
	* Added the 'ADD NEXT' command to 'docs/rml.sxw'.
	* Added the 'SYNC' command to 'docs/rml.sxw'.
	* Added the 'SET MODE' command to 'docs/rml.sxw'.
	* Added the 'SELECT WIDGET' command to 'docs/rml.sxw'.
	* Added the 'LOAD PANEL' command to 'docs/rml.sxw'.
	* Added the 'PLAY PANEL' command to 'docs/rml.sxw'.
	* Added the 'STOP PANEL' command to 'docs/rml.sxw'.
2003-01-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added a switcher driver for the Unity4000 in
	'ripcd/unity4000.cpp'.
	* Added support for the Unity4000 to
	RDAdmin->Stations->Switcher/GPIO.
	* Added a Unity4000 feed container class in
	'ripcd/unity_feed.cpp'.
2003-01-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a 
	segfault when loading an empty log.
	* Added a 'Sound Panel' button to RDAirPlay.
	* Added the name of the current loaded log to each log machine's
	selector button in RDAirPlay.
	* Fixed a bug in 'rdairplay/button_log.cpp' that was failing to
	clear the log boxes when unloading a log.
	* Added support for the BroadcastTools 10x1 to
	RDAdmin->Stations->Switcher/GPIO.
	* Added a switcher driver for the BroadcastTools 10x1 in
	'ripcd/bt10x1.cpp'.
	* Added 'owner()' and 'setOwner()' methods to
	'lib/rdplay_Deck.cpp'.
	* Changed the behavior of the Full Log widgets in RDAirPlay so as
	to allow the skipping of audio carts without deleting the carts
	from the log.
2003-01-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Scroll' button to the Full Log widget in RDAirPlay.
	* Added a 'copy()' method to 'lib/rdlog_event.cpp'.
	* Added the ability skip and then return to log events in
	RDAirPlay.
2003-01-12 Fred Gleason <fredg@salemradiolabs.com>
	* Added a switcher driver for MeasurementComputing GPIO cards in
	'ripcd/local_gpio.cpp'.
	* Added an 'EVENTS' table to the database.
	* Incremented the database version to 19.
	* Incrermented the version number to 0.6.0.
2003-01-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'ripcd/ripcd.cpp' that was causing the daemon to
	lockup when send an RML to the echo port from the same host.
	* Fixed a bug in 'utils/rmlsend.cpp' that was causing the
	'Response:' field to report failed responses even when echoing was
	turned off.
	* Incremented the version number to 0.6.1.
2003-01-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'CART.MACROS' field to the database.
	* Incremented the database version to 20.
	* Added an 'RDMacroEvent' class in 'lib/rdmacro_event.cpp'.
	* Fixed a bug in 'rdadmin/createdb.cpp' that was causing creation
	of a new database to fail.
2003-01-19 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdripcd.cpp' that was causing user updates
	to fail.
	* Added a 'Type' selector to the Add Cart dialog in RDLibrary.
	* Created an 'AudioCart' widget in 'rdlibrary/audio_cart.cpp'.
	* Reworked the code in 'rdlibrary/rdlibrary.cpp', 
	'rdlibrary/edit_cart.cpp' and 'rdlibrary/add_cart.cpp' to provide
	a consistent list view interface.
	* Added an 'updateLength()' method to 'lib'rdcart.cpp'.
	* Created a 'MacroCart' widget in 'rdlibrary/macro_cart.cpp'.
	* Created an 'EditMacro' dialog in 'rdlibrary/edit_macro.cpp'.
2003-01-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'exec()' methods to 'lib/rdmacro_event.cpp'.
	* Added 'started()' and 'finished()' signals to
	'lib/rdmacro_event.cpp'.
	* Added the 'Sleep' macro ('SP') to 'lib/rdmacro.cpp'.
	* Added a 'docs/implemented_macros.txt' file.
2004-01-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RECORDINGS.MACRO_CART' field to the database.
	* Removed the 'EVENTS' table from the database.
	* Incremented the database version to 21.
	* Added 'macroCart()' and 'setMacroCart()' methods to
	'lib/rdrecording.cpp'.
	* Added logic to 'lib/rdcut_dialog.cpp' so as to only display
	audio carts when picking an audio cut.
	* Removed the 'DECKS.SWITCH_TYPE' and 'DECKS.TTY_ID' fields from
	the database.
	* Added 'DECKS.SWITCH_STATION', 'DECKS.SWITCH_MATRIX',
	'DECKS.SWITCH_OUTPUT' and 'DECKS.SWITCH_DELAY' fields to the
	database.
	* Incremented the database version to 22.
	* Removed the 'SwitchType' enum from 'lib/rddecks.h'
	* Removed 'switchType()', 'setSwitchType()', 'ttyId()' and
	'setTtyId()' methods from 'lib/rddecks.h'.
	* Added 'switchStation()', 'setSwitchStation()', 'switchMatrix()',
	'setSwitchMatrix()', 'switchOutput()', 'setSwitchOutoput()',
	'switchDelay()' and 'setSwitchDelay()' methods to
	'lib'rddeck.cpp'.
	* Removed the 'EditSources' class in 'rdadmin/edit_sources.cpp'.
	* Removed the 'EditSource' class in 'rdadmin/edit_source.cpp'.
	* Removed the 'AddSource' class in 'rdadmin/add_source.cpp'.
	* Added 'switchMatrixName()' and 'switchOutputName()' methods to
	'lib/rddeck.cpp'.
	* Removed the 'RDSource' class in 'lib/rdsource.cpp'.
	* Removed the 'SOURCES' table from the database.
	* Added a 'RECORDINGS.SWITCH_INPUT' field to the database.
	* Incremented the database version to 23.
	* Removed the 'source()' and 'setSource()' methods from
	'lib/rdrecordings.cpp'.
	* Added 'switchSource()' and 'setSwitchSource()' methods to 
	'lib/rdrecordings.cpp'.
	* Added an 'EditCartEvent' class in 'rdcatch/edit_cartevent.cpp'.
2004-01-22 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/cart_dialog.cpp' that was causing all cart
	types to be displayed even when requesting only macro carts.
	* Changed the 'RDCartDialog' widget in 'lib/rdcart_dialog.cpp' so
	that a double-click on a cart now implies a click of the 'OK'
	button as well.
	* Added logic to RDCatch to grey out the audio transport buttons
	when a cart event is highlighted.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was failing to clear a
	day of the week flag after deselecting that day from an event.
2004-01-22 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'rivendell.spec.in' to EXTRA_DIST.
	* Released as v0.7.0.
2004-01-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'tests/' directory.
	* Added a torture test for the SAS32000 router in
	'tests/sas_torture.cpp'.
2004-01-26 R F <pengu1n@eudoramail.com>
	* Changed RDLogEdit to open a log when double clicking it's entry.
2004-01-26 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in 'rdairplay/list_log.cpp' that was causing a
	segfault when attempting to change the scroll mode on an empty log
	machine.
2004-01-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'sas_shim' daemon in 'utils/'.
	* Added 'RECORDINGS.TYPE' and 'RECORDINGS.SWITCH_OUTPUT' fields to
	the database.
	* Incremented the database version to 24.
	* Added 'type()', 'setType()', 'switchDestination()' and
	'setSwitchDestination()' methods to 'lib/rdrecrodings.cpp'.
	* Added an 'EditSwitchEvent' widget in
	'rdcatch/edit_switchevent.cpp'.
2004-01-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RA', 'RR' and 'RU' commands to the RDCatchd control
	protocol.
	* Added 'addEvent()', 'removeEvent()' and 'updateEvent()' slots to
	'lib'rdcatch_connect.cpp'.
	* Added a torture test for the SAS32000 router in
	'tests/sas_switch_torture.cpp'.
	* Incremented version to v0.7.1.
2004-01-27 Fred Gleason <fredg@salemradiolabs.com>
	* Add support for an SAS64000 switcher (via GPI-1600 port) to
	RDAdmin.
	* Added a switcher driver for the SAS64000 (GPI port) in
	'ripcd/sas64000gpi.cpp'.
	* Incremented the version to v0.7.2.
2004-01-28 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing the
	events list to be trashed when an 'RU' command was processed.
	* Added a 'RECORDINGS.IS_ACTIVE' field to the database.
	* Overhauled the day-of-the-week indices in the 'RECORDINGS' table
	to work properly with the new database structure.
	* Incremented the database version to 25.
	* Added 'docs/implemented_macros.txt' to the %doc% list in
	'rivendell.spec.in'.
	* Incremented the RPM release level to '2'.
	* Added an 'Active' column to the RDCatch event list.
	* Added 'isActive()' and 'setIsActive()' methods to
	'lib/rdrecording.cpp'.
	* Added an 'Event Active' checkbox to the event editor dialogs in
	RDCatch.
	* Changed the 'Cart Number' field in RDCatch->EditCartEvent so as
	to allow manual entry of a cart number.
	* Incremented the version number to v0.7.3.
2004-01-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added an events import filter in 'utils/sas_filter.cpp'.
2004-01-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'CatchEvent' container class in
	'rdcatchd/catch_event.cpp'.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was causing the 'RU'
	daemon command to be issued with an invalid argument.
	* Rewrote RDCatchd to eliminate the need for an event list reload
	at midnight.
	* Modified 'rivendell' init script to be compliant with LSB 1.3.
	* Fixed a bug in 'ripcd/local_macros.cpp' that was causing a
	segfault when starting up with no switcher matrices defined.
	* Removed the 'SUN_IDX', 'SAT_IDX', 'MON_IDX', 'TUE_IDX',
	'WED_IDX', 'THU_IDX' and 'FRI_IDX' indices from the 'RECORDINGS'
	table.
	* Fixed a bug in 'rdadmin/createdb.cpp' that was causing creation
	of a new database to fail.
	* Incremented the database version to 26.
2004-01-28 Fred Gleason <fredg@salemradiolabs.com>
	* 'utils/sas_shim' to 'rivendell.spec.in'.
	* Created a boot script for 'sas_shim' in 'utils/rc.sas_shim'.
	* Incremented the RPM build version to 3.
	* Incremented the version number to v0.7.4.
2004-01-30 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a typo in 'configure.in' that was causing 'make rpm' to
	fail when used with pre-4.x versions of the rpm tools.
	* Incremented the version to v0.7.5.
2004-01-30 Fred Gleason <fredg@salemradiolabs.com>
	* Added a qmake configuration to allow RMLSend to be built under 
	Qt-Windows.
	* Fixed a bug in 'utils/rmlsend.cpp' that was causing the title bar 
	to be obscured under Windows.
2004-02-02 Fred Gleason <fredg@salemradiolabs.com>
	* Increased the maximum number of GPIO lines per matrix to 96.
	* Removed 'EVENTS' table from the database.
	* Added a 'GPIS' table to the database.
	* Incremented the database version to 27.
	* Added an 'ListGpis' dialog in 'rdadmin/list_gpis.cpp'.
	* Added an 'EditGpi' dialog in 'rdadmin/edit_gpi.cpp'.
	* Added an 'Execute' RML command ('EX') to /docs/rml.sxw'.
	* Added the 'EX' command to 'lib/rdmacro.cpp'.
	* Added the 'GI' command to 'lib/rdmacro.cpp'.
	* Added an 'ExecuteMacroCart()' method to 'rdcatchd/rdcatchd.cpp'.
	* Added 'Execute' RML command to 'docs/implemented_macros.txt'.
	* Incremented the version to v0.7.6.
2004-02-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'ripcd/ripcd.cpp' that was preventing RML command
	echos from being properly processed.
	* Fixed a bug in 'ripcd/sas32000.cpp' that was preventing an error
	echo when sent a 'GO' command.
	* Added the 'GPI Set' ('GI') RML command to 
	'docs/implemented_macros.txt'.
	* Changed the definition of the 'GPI Enable' ('GE') command so as
	to support only individual lines as arguments.
	Add the 'GE' macro mneumonic to 'rdmacro.cpp'.
	* Added the 'GPI Enable' ('GE') RML command to 
	'docs/implemented_macros.txt'.
	* Added the 'Serial Output' ('SO') command to 'lib/rdmacro.cpp'.
	* Documented the 'Serial Reset ('SY') command in 'docs/rml.sxw'.
	* Added the 'Serial Reset' ('SY') command to 'lib/rdmacro.cpp'.
	* Add the 'Serial Output' ('SO') command to
	'docs/implemented_macros.txt'.
	* Incremented the version to 'v0.7.7'.
2004-02-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Clear Serial Trap' ('SC') RML command to
	'docs/rml.sxw'.
	* Added the 'Insert Serial Trap' ('SI') and 'Clear Serial Trap'
	('SC') RML commands to 'lib/rdmacro.cpp'.
	* Added the 'Insert Serial Trap' ('SI') and 'Clear Serial Trap'
	('SC') RML commands to 'docs/implemented_macros.txt'.
	* Added the 'UDP Out' ('UO') RML command to 'lib/rdmacro.cpp'.
	* Added the 'UDP Out' ('UO') RML command to 
	'docs/implemented_macros.txt'.
2004-02-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added a switcher driver for the Broadcast Tools SS 8.2 Dual
	Stereo Audio Switcher in 'ripcd/btss82.cpp'.
	* Fixed a bug in 'rdadmin/edit_ttys.cpp' where the ripcd(8)
	switcher drivers were not receiving notification of changes in TTY
	parameters.
	* Changed the default number of GPO lines for the BtSs82 driver
	from 16 to 8.
	* Added a 'docs/SWITCHERS.txt' file for switcher application
	notes.
	* Incremented the RPM build version to 4.
2004-02-05 R F <pengu1n@eudoramail.com>
	* Fixed a bug in 'rdlibrary/edit_cart.cpp' that was causing
	duplicate entries to appear in the 'Schedule Cuts' combo box.
2004-02-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'no argument' version of the 'Login' RML command to
	'docs/rml.sxw'.
	* Added the 'Login' ('LO') RML command to 'lib/rdmacro.cpp'.
	* Added the 'Login' ('LO') RML command to
	'lib/implemented_macros.txt'.
2004-02-05 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the version number of 'docs/rml.sxw to '0.1.0'.
	* Added a 'RunLocalMacros()' method in
	'rdairplay/local_macros.cpp'.
	* Added the 'Label' ('LB') RML command to 'lib/rdmacro.cpp'.
	* Added the 'Label' ('LB') RML command to
	'docs/implemented_macros.txt'.
2004-02-11 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the default value of all time/date values in the
	database to NULL.
	* Added a 'valid' parameter to the 'startDateTime()',
	'endDateTime()', 'setStartDateTime()', 'setEndDateTime()', 
	'startDaypart()', 'endDaypart()', 'setStartDaypart()' and 
	'setEndDaypart()' methods in 'lib/rdcut.cpp'.
	* Incremented the database version to 28.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing
	recordings to fail in RDCatch.
2004-02-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was appending an audio
	deck number to the 'Location' values for non-recording events.
	* Added an icon for each event listed in RDCatch's event list to
	indicate the type of event.
	* Moved the 'Source' column in RDCatch's event list to be adjacent
	to the 'Destination' column.
	* Changed the logic in RDCatch so that Switch Events will display
	the programmed switcher output name in the 'Destination' column.
	* Moved the display of the programmed cart number for a Macro Cart
	Event from the 'Destination' to the 'Source' column in RDCatch.
2004-02-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a sample ALSA '.asoundrc' in '/conf/alsa.conf'.
2004-02-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'backgroundColor()' method to 'lib/rdlistviewitem.cpp'.
	* Fixed a bug in 'lib/rdlistviewitem.cpp' that was causing text to
	be incorrectly aligned.
	* Added the ability to display pixmap objects with RDListViewItem.
	* Added color definitions for RDCatch in 'rdcatch/colors.h'.
	* Added the ability to report on the status of active events in
	realtime to RDCatch.
	* Added 'status()' and 'setStatus()' methods to
	'lib/catch_event.cpp'
	* Added a 'refresh()' slot to 'lib/rdcatch_connect.cpp'.
2004-02-16 Fred Gleason <fredg@salemradiolabs.com>
	* Reordered the linker arguments in 'cae/Makefile.am',
	'rdlibrary/Makefile.am' and 'utils/Makefile.am' so as to get
	things to link to 'RRingBuffer'.
2004-02-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'nextEventData()' slot to 'rdcatch/rdcatch.cpp'.
	* Added a 'ShowNextEvents()' method ot 'rdcatch/rdcatch.cpp'.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing a
	completed macro event to fail to clear it's status from 'active'
	in the events list.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing a
	completed record event to fail to clear it's status from 'active'
	in the events list.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was causing the Head,
	Tail and Stop Audition buttons to be incorrectly enabled/disabled.
2004-02-17 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing a
	completed macro event with no 'SP' commands to fail to clear it's 
	status from 'active' in the events list.
	* Updated the icons in 'rdcatch/macro_xmp.cpp',
	rdcatch/swtich_xmp.cpp' and 'rdcatch/record_xpm.cpp'.
2004-02-19 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcardselector.cpp' that was causing the
	widget to display an incorrect size.
	* Added a section for configuring Play Decks to
	RDAdmin->ManageStations->RDCatch.
	* Added 'Playout' to the 'RDRecording::Type' enumeration.
	* Added logic to 'rdcatch/deck.cpp' to properly display Play Deck
	status.
	* Added an 'EditPlayout' dialog in 'rdcatch/edit_playout.cpp'.
	* Added an icon for a Playout Event in 'rdcatch/playout_xpm.cpp'.
	* Fixed a bug in 'lib/rdcae.cpp' that was causing the
	'playUnloaded()' signal to fail to be emitted.
	* Added a 'serial' parameter to the 'meterLevel()' signal in
	'lib/rdcatch_connect.cpp'.
2004-02-19 Fred Gleason <fredg@salemradiolabs.com>
	* Reworked 'cae/cae.cpp' so as to use a global 'RSoundCard'
	object.
	* Reworked 'rdlibrary/edit_audio.cpp' so as to use a global 
	'RSoundCard' object.
	* Reworked 'utils/rdplay.cpp' so as to use a global 'RSoundCard'
	object.
	* Reworked 'utils/rdrecord.cpp' so as to use a global 'RSoundCard'
	object.
	* Added an 'icons/' directory.
	* Added 'play.xpm', 'record.xpm', 'macro.xpm' and 'switch.xpm'
	icons in 'icons/'.
	* Incremented the version number to '0.7.9'.
2004-03-01 Fred Gleason <fredg@salemradiolabs.com>
	* Made RDCatch resizable.
	* Added logic to 'rdcatch/edit_recording.cpp' so as to use the
	Cart/Cut name as the desfault description for an event.
	* Added a 'RECORDINGS.EXIT_CODE' field to the database.
	* Incremented the database version to 29.
	* Added an 'ExitCode' enumeration to 'lib/rdrecording.h'.
	* Fixed a bug in 'lib/rdcut_dialog.cpp' that was causing cut
	selection to fail unpredictably.
	* Fixed a bug in 'lib/rdcut_dialog.cpp' that was causing the
	default cart and cart selections to fail to be highlighted.
	* Added a 'RECORDINGS.ONE_SHOT' field to the database.
	* Incremented the database version to 30.
	* Added 'oneShot()' and 'setOneShot()' methods to
	'lib/rdrecording.cpp'.
	* Added a 'PE' (Purge Event) command to 'docs/catchd.txt'.
	* Added an 'eventPurged()' signal to RDCatchConnect.
	* Added a 'Make OneShot' checkbox to the event editor dialogs in
	RDCatch.
	* Added 'oneShot()' and 'setOneShot()' methods to
	'rdcatchd/catch_event.cpp'.
2004-03-01 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented version number to 0.7.10.
2004-03-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_cart.cpp' that was generating
	'Invalid Date' errors when the widget was closed.
	* Added code to 'lib/rdlist_log.cpp' to allow a log to be selected
	for loading by a doubleclick.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing the
	type icon to fail to be cleared.
	* Added a 'LogLine()' function to 'rdairplay/rdairplay.cpp'.
	* Added cart type icons to RDLibrary.
	* Added cart type icons to RDCartDialog.
	* Added cart type icons to RDCutDialog.
	* Added a Marker icon in 'icons/marker.xpm'.
	* Added support for macro carts to 'lib'rdlog_event.cpp.
	* Added support for macro carts to RDLogEdit.
	* Fixed a bug in 'lib/rdcart_dialog.cpp where a previously
	selected card would not be selected by default.
	* Added cart type icons to RDAirPlay.
2004-03-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'line()' and 'setLine()' methods to
	'lib/rdmacro_event.cpp'.
	* Added 'macroStartedData()' and 'macroFinishedData()' slots to
	'rdairplay/log_play.cpp'.
	* Added 'startTime()' and 'setStartTime()' methods to
	'lib/rdmacro_event.cpp'.
2004-03-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing invalid
	start times to be displayed for Marker and Macro events.
	* Fixed a bug in 'rdairplay/logline_box.cpp' that was causing
	metadata for macro carts to fail to appear.
	* Added logging to 'caed'.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing the
	TITLE field to fail to update after changing a cart on the log
	list.
2004-03-30 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'STATIONS.TIME_OFFSET' field to the database.
	* Incremented the database version to 31.
	* Added 'timeOffset()' and 'setTimeOffset()' methods to
	'lib/rdstation.cpp'.
	* Added a 'Time Offset' spinbox to RDAdmin->ManageStations.
	* Added time offset support to RDCatch, RDCatchd and RDAirPlay.
	* Fixed a buffer overflow bug in 'lib/rdcatch_connect.cpp'.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' where the incorrect default
	background color was set for events.
	* Fixed a bug in 'rdcatch/deckmon.cpp' where the Abort button
	would remain disabled during a Record or Playout event.
2004-03-30 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the version to 0.7.11.
2004-04-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/rdlibrary.cpp' that was corrupting the
	cart list when a new cart was created.
	* Incremented the version to 0.7.13.
2004-04-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/edit_rdlibrary.cpp' that was causing the
	'Port' field in the Input and Output selectors to be obscured.
	* Fixed a bug in 'lib/rdlog_event.cpp' that was causing Cart
	events to be erroneously created as Marker events.
	* Changed the Log Line Editor in RDLogEdit so that it's now
	possible to enter a cart number directly.
	* Added a check to 'rdairplay/rdairplay.cpp' to suppress display
	of the playback meter if the selected sound card does not support
	output level metering.
2004-04-07 Fred Gleason <fredg@salemradiolabs.com>
	* Increased the size of the play meter in RDAirPlay.
	* Rearranged the cart filter to sort seperately by fields and cart
	group in RDLibrary, RDCatch and RDLogEdit.
	* Made RDLibrary resizable.
2004-04-08 Fred Gleason <fredg@salemradiolabs.com>
	* Rearranged and added the rest of the CART database fields to the
	cart list in RDLibrary.
	* Added 'GROUPS.DEFAULT_LOW_CART' and 'GROUPS.DEFAULT_HIGH_CART'
	fields to the database.
	* Added 'defaultLowCart()', 'setDefaultLowCart()',
	'defaultHighCart()' and 'setDefaultHighCart()' methods to
	'lib/rdgroup.cpp'.
	* Added controls to specify the default cart range to
	RDAdmin->ManageGroups.
	* Added a 'Groups' control to the Add Cart dialog in RDLibrary.
	* Added 'CUTS.SUN', 'CUTS.MON', 'CUTS.TUE', 'CUTS.WED', 'CUTS.THU'
	'CUTS.FRI' and 'CUTS.SAT' fields to the database.
	* Incremented the database version to 33.
	* Added 'dayPart()' and 'setDayPart()' methods to 'lib/rdcut.cpp'.
	* Added a 'Day of the Week' daypart section to the Record/Label
	widget in RDLibrary.
	* Fixed a bug in 'rdlibrary/record_audio.cpp' where the tenths
	digit of the record timer was being clipped.
	* Added 'ShowAudioCarts' and 'ShowMacroCarts' checkboxes to the
	filter section of the main window in RDLibrary.
	* Fixed a bug in 'rdlibrary/rdlibrary.cpp' that was causing
	deletion of carts to fail.
2004-04-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added a logfile capability to ripcd(8).
	* Fixed a bug in 'rdlibrary/add_cart.cpp' where a new cart was 
	being created with the incorrect group membership.
	* Incremented the version to 0.7.14.
2004-04-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was causing the
	rdcatchd(8) daemon to fail to receive event updates from RDCatch
	when the workstation was configured without any record of playback
	decks.
	* Added code to disable to 'Recording' and 'Playout' buttons in
	the 'Add Event' dialog in RDCatch when no Record or Playout decks
	respectively are defined.
	* Fixed a bug in rdcatch/rdcatch.cpp' that was causing the frame
	of the lowermost Record/Play deck to be clipped by the filter
	checkboxes.
	* Optimized the Active Events and Today's Events filters in
	RDCatch.
	* Incremented the version number to 0.7.15.
2004-04-13 Fred Gleason <fredg@salemradiolabs.com>
	* Made the default group in the 'Add Cart' dialog persistent
	within a single invocation of RDLibrary.
	* Adjust the fonts used for day-of-the-week in RDLibrary's Record
	widget to be consistent with the rest of the dialog.
2004-04-13 Fred Gleason <fredg@salemradiolabs.com>
	* Reimplemented Segue transitions in RDAirPlay.
2004-04-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing One Shot
	events to be incompletely purged from the capture daemon.
	* Incremented the version to 0.7.16.
2004-04-15 Fred Gleason <fredg@salemradiolabs.com>
	* Made major changes to RDAirPlay to restore left-side button
	functionality.
2004-04-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing events
	in the middle of a Segue transition to be incorrectly displayed.
	* Fixed a bug in 'lib/rdcart.cpp' that was causing RDAirPlay to
	segfault when attempting to load a log containing events with
	Random cut rotation enabled.
2004-04-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the 
	'Next Event' property in RDAirPlay's log machines to fail to be 
	reset upon loading of a new log.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing Macro
	Carts to hang in the 'Playing' state.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing
	erratic operation of the pie widget.
2004-04-18 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'portName()' and 'setPortName()' methods to
	'lib/rdlog_line.cpp'.
	* Restored the port number identifier to the play buttons in
	RDAirPlay.
2004-04-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the
	button start times to be incorrect.
2004-04-18 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'GRACE_TIME' field to the log table format.
	* Added 'graceTime()' and 'setGraceTime()' methods to
	'lib/rdlog_line.cpp'.
	* Rearranged the event time controls in
	RDLogEdit->EditLog->EditLine to use the new 'grace time' paradigm.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' where the pie counter
	was failing to count down to the cart transition time when
	configured to do so.
	* Fixed a bug in 'rdairplay/list_log.cpp' that was causing the
	start times for all played events to be listed as '00:00:00'.
2004-04-19 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' and
	'rdairplay/list_log.cpp' whereby events inserted into the 'next
	event' area of the full log widget would be to colored green.
	* Restored operation of the manual segue length parameter in
	RDAirPlay.
2004-04-19 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed multiple bugs in RDAirPlay that was causing incorrect
	processing of seque transitions.
2004-04-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability to RDAirPlay to load and execute macro carts
	in sound panel buttons.
2004-04-28 Fred Gleason <fredg@salemradiolabs.com>
	* Stubbed out RDPanel in 'rdpanel/'.
2004-04-28 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented a heartbeat pulse command ('HB') in
	'rdcatchd/rdcatchd.cpp'.
	* Added a 'heartbeatFailed()' signal to 'lib/catch_connect.cpp'.
	* Added code to RDCatch to generate a warning dialog in the event
	of a heartbeat timeout to one of the RDCatchd daemons.
2004-04-28 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the Edit Switch Event dialog in RDCatch so that
	Matrices, Inputs and Outputs are now listed alphabetically.
	* Incremented the version to 0.7.17.
2004-04-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added RDPanel to the RPM spec file.
2004-04-29 Fred Gleason <fredg@salemradiolabs.com>
	* Added a file import script in 'scripts/rd_import_file'.
	* Added a file import dialog in 'rdlibrary/import_audio.cpp'.
2004-05-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_import_file that was causing PCM16
	output to be incorrectly formatted.
	* Added a dependency for 'mysql-shared' to 'riendell.spec.in'.
	* Incremented the RPM build version to 5.
	* Added additional debug logging to rdcatchd/rdcatchd.cpp'.
2004-05-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability to specify directly the input or output
	numbers in the RDCatch->EditSwitchEvent.
	* Fixed multiple bugs in 'rdlogedit/edit_log.cpp' affecting proper
	focus handling.
	* Incremented the version to 0.7.18.
2004-05-04 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the 'librd' convience library over to use dynamic
	linking.
	* Incremented the RPM build version to 6.
	* Implemented time transitions in RDAirPlay.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' where changing the time
	field for an event would fail to update when changed from a hard
	to a relative time transition.
	* Added an 'RDAIRPLAY.TRANS_LENGTH' field to the database.
	* Incremented the database version to 35.
	* Added 'transLength()' and 'setTransLength()' methods to
	'lib/rdairplay_conf.cpp'.
	* Added a 'Forced Segue' control to RDAdmin->Stations->RDAirPlay.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' in which a Relative
	time would be incorrectly displayed.
2004-05-05 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdlog_event.cpp' that was causing the
	incorrect grace time value to be loaded for log events.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the
	'Forced Segue' setting to be ignored.
	* Fixed a bug in 'rdairplay/button_log.cpp' which all running 
	events would get scrollbars marked red, instead of just the last
	event.
2004-05-06 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the Set Mode [PM] macro.
	* Implemented the Push Button [PB] macro.
	* Implemented the Make Next [MN] macro.
	* Implemented the Start [PL] macro.
	* Implemented the Start Next [PN] macro.
	* Added a 'stop()' method to 'rdairplay/log_play.cpp'.
	* Implemented the Stop [PS] macro.
2004-05-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when adding a new event.
	* Implemented the Add Next [PX] macro.
2004-05-07 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the version to 0.7.19.
2004-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in	'rdcatch/edit_recording.cpp',
	'rdcatch/edit_playout.cpp', 'rdcatch/edit_macroevent.cpp' and 
	'rdcatch/edit_switchevent.cpp' where pressing the ESC key would 
	create a corrupt event record in the RDCatch database.
2004-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' where the Scroll button
	wouldn't work until after at least one event had been modified.
	* Fixed a bug in 'rdcatch/edit_switchevent.cpp' where the Input or
	Output number controls would display the incorrect value some
	certain circumstances.
2004-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the Select Widget [PW] macro.
	* Added 'setButton()', 'play()', and 'stop()' methods to
	'rdairplay/sound_panel.cpp'.
	* Implemented the Play Panel [PP] macro.
	* Implemented the Stop Panel [PT] macro.
	* Implemented the Load Panel [PE] macro.
	* Fixed a bug in 'lib/rdripc.cpp' that was causing random
	segfaults when receiving an RML with more than ten arguments.
	* Incremented the version to 0.7.20.
2004-05-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing general
	trainwreck when moving events in a running log.
2004-05-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/button_log.cpp' that was causing
	corrupt button status readouts.
	* Added a 'copy()' method to 'rdairplay/log_play.cpp'.
	* Implemented the 'Copy' button in RDAirPlay.
	* Fixed a bug in 'rdairplay/local_macros.cpp' that was causing
	duplicate execution of received macros.
	* Implemented the Load Log [LL] macro.
2004-05-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing macros
	to handle segue transitions incorrectly.
	* Fixed a bug in 'rdairplay/button_log.cpp' that was causing start
	button start times to be incorrect.
2004-05-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdiarplay/log_play.cpp' that was causing
	segfaults when loading a log while playing events.
2004-05-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/button_log.cpp' where pressing the
	Add/Del/Move/Copy buttons would select an active event button
	as as potential destination.
	* Fixed a bug in 'rdairplay/button_log.cpp where a change in
	transport state would result in incorrect start button displays if
	in Add/Del/Move/Copy mode.
	* Fixed a bug in 'lib/rdlog_event.cpp' that was preventing the
	move of an event to the end of a log.
	* Implemented sanity checks for the Add/Del/Move/Copy buttons in
	the full log widget of RDAirPlay.
2004-05-14 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the version to 0.7.21.
2004-05-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when attempting to execute a Load Log macro that was not
	the final event in the log.
	* Added code to allow insertion of an event at the end of a log in
	RDAirPlay's button widget.
	* Fixed a bug that was causing audio file imports to fail if the
	pathname of the source file contained one or more spaces.
2004-05-18 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'length()' method to 'lib/rdmacro_event.cpp'.
	* Added a 'lengthChanged()' signal to 'rdlibrary/macro_cart.cpp'.
	* Added code to 'rdlibrary/edit_cart.cpp' and
	'rdlibrary/macro_cart.cpp' to display the length of a macro cart.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' where the length of a
	macro cart would be incorrectly displayed.
	* Stubbed out a 'Save As' button for RDLogEdit.
2004-05-19 Fred Gleason <fredg@salemradiolabs.com>
	* Finished implementing the 'Save As' button for RDLogEdit.
	* Implemented a 'Save' button for the Log Editor in RDLogEdit.
	* Added a warning dialog when pressing the 'Cancel' button in
	RDLogEdit's Log Editor.
2004-05-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'POST_POINT' field to the log table format.
	* Incremented the database version to 36.
	* Added 'postPoint()' and 'setPostPoint()' methods to
	'lib/rdlog_line.cpp'.
	* Fixed a bug in 'lib/rdlog_line.cpp' that was leaving the 'grace
	time' parameter uninitialized.
	* Fixed a bug in 'rdlogedit/rdlogedit.cpp' that was causing a
	segfault when trying to insert a new event in a blank log.
	* Added a 'Make Post Point' check box to the log event editor in
	RDLogEdit.
	* Reworked the Marker Editor in RDLogEdit to use the new style
	event time/post point scheme.
2004-05-20 Fred Gleason <fredg@salemradiolabs.com>
	* Modified 'rdairplay/loglinebox.cpp' to use the new post point
	scheme.
	* Modified 'rdairplay/list_log.cpp' to use the new post point
	scheme.
	* Modified 'rdairplay/log_play.cpp' to use the new post point
	scheme.
	* Removed code for the old post point scheme from
	'rdlogedit/edit_marker.cpp'.
	* Removed the 'postTime()' and 'setPostTime()' methods from
	'lib/rdlog_event.cpp'.
2004-05-20 Fred Gleason <fredg@salemradiolabs.com>
	* Modified 'rdairplay/edit_event.cpp' to use the new post point
	scheme.
	* Modified 'rdairplay/loglinebox.cpp' to use the new post point
	scheme.
	* Incremented the version to 0.7.22.
2004-05-21 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when executing a macro cart as the last event in a log.
	* Fixed a bug in 'rdlogedit/edit_logline.cpp' that was causing
	phantom relative start times to generated for events.
	* Fixed a bug in 'rdlogedit/edit_marker.cpp' that was causing
	phantom relative start times to generated for events.
2004-05-21 Fred Gleason <fredg@salemradiolabs.com>
	* Rewrote the 'segueLength()' and 'segueTail()' methods in
	'lib/rdlog_line.cpp' to provide dynamic values.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing changes
	in event transition types to be ignored.
	* Removed a bunch of dead code from 'rdairplay/loglinebox.cpp'.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' whereby doubleclicking
	an active event would bring up a modify window.
2004-05-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdairplay/rdairplay.cpp' to allow events to be
	copied and moved between logs.
2004-05-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'cae/cae_hpi.cpp' file to abstract the HPI CAE driver
	implementation.
2004-05-26 Fred Gleason <fredg@salemradiolabs.com>
	* Removed GPIO support from 'cae/cae.cpp'.
2004-06-01 Fred Gleason <fredg@salemradiolabs.com>
	* Modified 'cae/cae.cpp' to implement version 0.8 of the CAE
	protocol, using automatic stream management.
	* Modified 'lib/rdcae.cpp' to use the new CAE protocol.
	* Modified rdlibrary/record_audio.cpp' to use the new CAE
	protocol.
	* Modified 'rdcatch/rdcatch.cpp' to use the new CAE protocol.
	* Modified 'rdcatchd/rdcatchd.cpp' to use the new CAE protocol.
	* Modified 'lib/rdplay_deck.cpp' to use the new CAE protocol.
	* Added 'setInputVolume()', 'setOutputVolume()',
	'fadeOutputVolume()', 'setInputLevel()', 'setOutputLevel()',
	'setInputMode()', 'setOutputMode()', 'setInputVOXLevel()',
	setInputType()', 'inputStatus()', 'enableMetering()',
	'inputMeterUpdate()' and 'outputMeterUpdate()' methods to 
	'lib/rdcae.cpp'.
	* Added an 'inputStatusChanged()' signal to 'lib/rdcae.cpp'.
	* Modified the 'RDSetMixerOutputPort()' and 'RDSetMixerPorts()'
	functions in 'lib/rdmixer.cpp' to use the new CAE mixer calls.
	* Removed all 'RSound' library dependencies from RDAirPlay.
	* Removed all 'RSound' library dependencies from RDAdmin.
	* Removed all 'RSound' library dependencies from RDLibrary.
	* Removed all 'RSound' library dependencies from RDCatch.
	* Removed all 'RSound' library dependencies from RDCatchd.
	* Removed all 'RSound' library dependencies from RDLogEdit.
	* Removed all 'RSound' library dependencies from RDLogin.
	* Removed all 'RSound' library dependencies from RDPanel.
	* Removed all 'RSound' library dependencies from ripcd.
	* Removed RDPlay, RDRecord and mpeg2wav from the 'utils/'
	directory.
	* Incremented the RPM release version to 7.
2004-06-01 Fred Gleason <fredg@salemradiolabs.com>
	* Converted 'rdairplay/rdairplay.cpp' to use the new mixer calls
	in RDCae.
	* Converted 'lib/rdplay_deck.cpp' to use the new mixer calls
	in RDCae.
	* Converted 'rdlibrary/record_cut.cpp' to use the new mixer calls
	in RDCae.
2004-06-01 Fred Gleason <fredg@salemradiolabs.com>
	* Changed Cae to use RD_MAX_CARDS and RD_MAX_STREAMS instead of
	it's own internal size values.
	* Increased RD_MAX_STREAMS to 16.
2004-06-02 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae.cpp' that was causing the 'SR' signal to
	fail to be emitted at end of recording.
	* Fixed a bug in 'cae/cae_hpi.cpp' that was causing the 'SR'
	signal to be emitted when unloading an already stopped recording.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing the
	length of a new recording to fail to be updated.
	* Restored metering functionality in RDCatch.
	* Fixed a port allocation bug in 'rdcatch/rdcatch.cpp'.
2004-06-02 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' wherein the background
	color of a past event was incorrect.
2004-06-02 Fred Gleason <fredg@salemradiolabs.com>
	* Reworked the configure script so as to allow simultaneous HPI
	and JACK configuration.
	* Removed MAD support from the build system.
	* Stubbed out a JACK driver for CAE in 'cae/cae_jack.cpp'.
2004-06-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_hpi.cpp' that prevented 'SP' signals
	from being emitted.
	* Fixed a bug in 'cae/cae.cpp' that falsely returned errors for an
	'LP' operation.
	* Completed stubbing out JACK support in CAE.
2004-06-04 Fred Gleason <fredg@salemradiolabs.com>
	* Updated 'docs/cae.sxw' to protocol version 0.9.
	* Modified CAE to use CAE protocol v0.9.
	* Modfield RDCae to use CAE protocol v0.9.
	* Modified RDLibrary to use CAE protocol v0.9.
	* Modified RDCatchd to use CAE protocol v0.9.
2004-06-04 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing active 
	Playout Events to not show up as active in RDCatch.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was causing Tail
	Audition Playout to sporadically fail.
2004-06-05 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'hpiPlayState()' and 'hpiRecordState()' slots from
	'cae/cae.h'.
2004-06-07 Fred Gleason <fredg@salemradiolabs.com>
	* Stubbed out RDLogManager in 'rdlogmanager/'.
	* Incremented the RPM Release to 8.
	* Added a 'LOGS.TYPE' field to the database.
	* Incremented the database version to 37.
	* Updated 'lib/rdlist_logs.cpp' to use the new database field.
	* Added 'type()' and 'setType()' methods to 'lib/rdlog.cpp'.
	* Updated 'rdlogedit/edit_log.cpp' to use the new database field.
	* Updated 'rdlogedit/rdlogedit.cpp' to use the new database field.
	* Updated 'rdairplay/local_macros.cpp' to use the new database field.
2004-06-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EVENTS' table to the database.
	* Created an 'RDEvent' class in 'lib/rdevent.cpp'.
	* Created an 'AddEvent' dialog in 'rdlogmanager/add_event.cpp'.
2004-06-09 Fred Gleason <fredg@salemradiolabs.com>
	* Made the 'caed', 'ripcd' and 'rdcatchd' SETUID root.
	* Moved the location of the PID files to '/var/run/rivendell/'.
2004-06-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'LibListView' class in 'rdlogmanager/lib_listview.cpp'
	* Added an 'ImportListView' class in
	'rdlogmanager/import_listview.cpp'
2004-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Completed implementing the 'ImportListView' class.
2004-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Transposed the values for 'RDLogLine::Stop' and
	'RDLogLine::Segue'.
	* Modified 'rdairplay/edit_event.cpp' to be compatible with the 
	revised RDLogLine::TransType values.
	* Modified 'rdlogedit/edit_logline.cpp' to be compatible with the 
	revised RDLogLine::TransType values.
	* Modified 'rdlogmanager/edit_event.cpp' to be compatible with the
	revised RDLogLine::TransType values.
	* Incremented the database version to 39.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing logs to
	fail to load and save properly.
	* Fixed a bug in 'rdlogedit/list_log.cpp' that was causing logs to
	fail to load properly.
2004-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added logic to properly enforce transition codes in first
	scheduled event carts in RDLogManager.
2004-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EditNote' dialog in 'rdlogmanager/edit_note.cpp'.
	* Added the ability to include log note markers in the pre- and
	post- import cart lists in RDLogManager.
2004-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the Message and Note controls from RDLogManagers event
	editor.
	* Fixed a bug in 'lib/rdlog_line.cpp that was causing the group
	name to fail to be correctly loaded in the 'loadCart()' method.
2004-06-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/import_listview.cpp' that was
	causing the right-button menu to appear in the wrong location.
	* Fixed a bug in 'rdlogmanager/import_listview.cpp' that was
	causing carts dropped into an import list to be prepended rather
	than appended to the list.
	* Fixed a bug in 'rdlogmanager/edit_event.cpp' that was causing
	the cart filter to return false positive results.
	* Fixed a bug in 'rdlibrary/rdlibrary.cpp' that was causing
	the cart filter to return false positive results.
	* Added a 'CLOCKS' table to the database.
	* Created an 'RDClock' class in 'lib/rdclock.cpp'.
	* Created an 'RDEventLine' class in 'lib/rdevent_line.cpp'.
2004-06-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'playDeck()' and 'setPlayDeck()' methods to
	'lib/rdlog_line.cpp'.
	* Renamed the 'PanelButton' class from 'rdairplay/panel_button.cpp'
	to 'RDPanelButton' in 'lib/rdpanel_button.cpp'.
	* Fixed a bug in 'cae/caed.cpp' that was causing the wrong audio
	resources to be associated with particular connection IDs.
2004-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Removed 'rdairplay/soundpanel.cpp', 'rdairplay/soundpanel.h',
	'rdairplay/panel_button.cpp', 'rdairplay/panel_button.h',
	'rdairplay/button_panel.cpp, 'rdairplay/button_panel.h',
	'rdairplay/button_dialog.cpp', 'rdairplay/button_dialog.h',
	'rdairplay/audio_resources.cpp' and 'rdairplay/audio_resources.h'.
2004-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Retired the 'RDLIBRARY.INPUT_STREAM', 'RDLIBRARY.OUTPUT_STREAM',
	'RDLIBRARY_RECORD_GPI', 'RDLIBRARY.PLAY_GPI' and 
	'RDLIBRARY_STOP_GPI' field from the database.
	* Removed the 'Stream' field from the RDCardSelector widget in
	'lib/rdcardselector.cpp'.
	* Retired the 'RDAIRPLAY.CARD', 'RDAIRPLAY.STREAM0', 
	'RDAIRPLAY.STREAM1', 'RDAIRPLAY.STREAM2', 'RDAIRPLAY.STREAM3', 
	'RDAIRPLAY.STREAM4', 'RDAIRPLAY.STREAM5', 'RDAIRPLAY.STREAM6', 
	and 'RDAIRPLAY.STREAM7' fields from the database.
	* Added 'RDAIRPLAY.CARD0', 'RDAIRPLAY.CARD1', 'RDAIRPLAY.CARD2',
	'RDAIRPLAY.CARD3' and 'RDAIRPLAY.CARD4' field to the database.
	* Incremented the database version to 41.
	* Removed the 'stream()' and 'setStream()' methods from
	'lib/rdairplay_conf.cpp'.
	* Overhauled the configuration dialog in
	RDAdmin->Stations->RDAirPlay to use the new channel assignment
	scheme.
2004-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_jack.cpp' that was causing the build to
	break when compiled without JACK support enabled.
	* Changed the HPI fade profile to Logarithmic.
2004-06-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' that was causing
	random audio positioning errors.
2004-06-21 Fred Gleason <fredg@salemradiolabs.com>
	* Redesigned meter updates in CAE to use a shared memory IPC.
	* Removed the 'enableMetering()' method in 'lib/rdcae.cpp'.
	* Removed the 'Meter Enable' [ME], 'Input Level' [IL] and 'Output
	Level' [OL] commands from the CAE spec.
2004-06-21 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing Error
	events to fail to show up on log displays.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing Error
	events to show up with garbage in the button line box.
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was sending
	corrupt data to CAE.
	* Fixed a bug in 'rdairplay/log_play.cpp' that caused a log
	trainwreck when attempting to execute an event when no stream
	resources were available.
	* Added a 'LogPlayEvent()' method to 'rdairplay/log_play.cpp'.
	* Added a 'logPlay()' method in 'lib'rdcut.cpp'.
2004-06-22 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing extra
	characters to be appended to the name of the loaded log displayed
	on the selector buttons.
	* Implemented cut weighting and daypart selection in
	'lib/rdcart.cpp'.
2004-06-22 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented play-time cut loading in RDAirPlay.
	* Implemented outcue display in 'rdairplay/loglinebox.cpp'.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was failing to log
	the time of a failed event.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing a
	segfault when doubleclicking on an empty line box.
2004-06-22 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing stale
	cut data values to appear in line boxes.
	* Implemented audition playout in RDAirPlay.
2004-06-23 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/edit_recording.cpp' that was causing
	the list of available record decks to fail to be loaded.
	* Fixed a bug in 'rdcatch/edit_playout.cpp' that was causing the
	list of available playout decks to fail to be loaded.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' in which the Start and
	End cut markers were being ignored in Playout events.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' which had broken logging.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' where the status updates
	would display incorrectly if the next event was active when
	becoming next.
2004-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented JACK playout support.
2004-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented JACK capture support.
2004-06-25 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/edit_rdairplay.cpp' that was applying
	incorrect audio channels assignments.
	* Fixed a bug in 'rdadmin/rdairplay.cpp' that was causing playout
	levels from the Sound Panel to not show up in the audio meters.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing
	incorrect port numbers to appear on active Start buttons.
	* Implemented session JACK management in caed(8).
	* Added Jack documentation in 'docs/JACK.txt'
	* Incremented the RPM release level to 9.
2004-06-26 Fred Gleason <fredg@salemradiolabs.com>
	* Removed 'conf/alsa.conf'.
	* Removed 'DBChanges'.
	* Updated 'conf/rd.conf-sample'.
	* Incremented the version to 0.8.0.
2004-06-28 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae'cae_jack.cpp' that was causing the build to
	break when building without JACK support.
2004-07-02 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDGrid' class in 'lib/rdgrid.cpp'.
	* Added 'CLOCK<n>' fields to the 'SERVICES' table.
	* Incremented the database version to 42.
	* Changed 'Station' to 'Host'.
	* Removed the 'DEFAULT' host from the database.
	* Added code to 'rdadmin/createdb.cpp' to create a default host
	configuration for the local machine.
	* Added 'RDAIRPLAY.SHOW_AUX_1' and 'RDAIRPLAY.SHOW_AUX_2' fields
	to the database.
	* Incremented the database version to 43.
	* Added 'showAuxButton()' and 'setShowAuxButton()' methods to
	'lib/rdairplay.cpp'.
	* Added 'Show Aux Log' check boxes in
	RDAdmin->ManageStations->RDAirPlay.
	* Implemented the ability to hide the 'Aux Log 1' and 'Aux Log 2'
	buttons in RDAirPlay.
2004-07-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'setRunState()' and 'exec()' methods to
	'lib/list_logs.cpp'.
2004-07-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was throwing a
	segfault upon startup if more than eight record/playback decks
	were configured.
	* Added code to RDAirPlay to prevent a playing log from being
	unloaded.
	* Added a 'CUTS.LOCAL_COUNTER' field to the database.
	* Added 'localCounter()' and 'setLocalCounter()' methods to
	'lib/rdcut.cpp'.
	* Incremented the database version to 44.
	* Added a 'resetRotation()' method to 'lib/rdcart.cpp'.
	* Fixed a bug in 'lib/rdcut.cpp' that was reporting incorrect cut
	numbers.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was failing to
	update the count up/down timers when manually positioning the
	audio start point.
	* Relabeled the fields in RDAirPlay's Event Editor to match those
	of RDLogManager's Event Editor.
	* Fixed a bug in 'rdairplay/edit_event.cpp' that was causing
	multiple simultaneous audition playouts.
	* Added a 'playPositionChanged()' method to 'lib/rdlog_line.cpp'.
	* Incremented the version to 0.8.1.
2004-07-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdairplay/loglinebox.cpp' to display progress bar
	in alternative colors if play position has been modified in the
	event window.
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was causing
	rotation logic to fail after updating the weight value of a cut.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was forcing a Segue
	transition to Play if the event's selected cut was missing segue
	markers.
	* Added a 'Stop' button the RDAirPlay's Event Editor.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing an
	event to fail to advance when manually starting an event.
	* Fixed a bug in 'rdairplay/pie_counter.cpp' that was causing
	corrupted displays for event lengths longer than six minutes.
	* Modified the Pie Counter in RDAirPlay so as to only display the
	talk time countdown starting at :99.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing an
	event added after the last event in a log to fail to be made next.
	* Incremented the version to 0.8.2.
2004-07-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/audio_cart.cpp' that was overwriting
	existing cart label information when exiting the CD ripper dialog.
	* Fixed a bug in 'rdlibrary/cdripper.cpp' that was allowing the
	'X' button to close the dialog without freeing resources.
	* Fixed a bug in 'rdlibrary/edit_cart.cpp' that was causing
	unsaved cart label changes to be lost when launching the Edit,
	Label, Rip or Import dialogs.
	* Fixed a bug in 'rdlibrary/add_cart.cpp' that was leaving
	orphaned cuts behind if creation of a new cart was abandoned.
	* Fixed a bug in 'lib/rdlog_line.cpp' that was causing invalid
	Talk Time marker positions to be generated.
	* Added a 'remove()' method to 'lib/rdcart.cpp'.
2004-07-09 Greg Cunningham <thecunninghamclan@dodo.com.au>
	* Fixed a bug in 'rdadmin/createdb.cpp' that was causing database
	creation to fail.
2004-07-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added an exit confirmation dialog box to RDAirPlay.
	* Added an 'Alt-X' keybinding to exit RDAirPlay.
	* Fixed a bug in 'rdairplay/edit_event.cpp' that was allowing the
	'X' button to close the dialog without freeing resources.
	* Fixed a bug in 'rdlibrary/audio_cart.cpp' that was causing
	FreeDB data to fail to update the cart label.
	* Swapped the position of the 'Edit' and 'Record/Label' buttons in
	RDLibrary's Record Dialog.
	* Renamed the 'Record/Label' button in RDLibrary's Record Dialog
	to 'Cut Info/Record'.
	* Added the ability to doubleclick on the Cut entry in RDLibrary's
	Record Dialog to bring up the Record Dialog.
	* Added a sanity check to prevent blank cart descriptions from
	being saved in RDLibrary's Record Dialog.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was throwing a
	segfault when the Wall Clock was clicked with empty Line Boxes.
2004-07-12 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EVERGREEN.CUTS' field to the database.
	* Incremented the database version to 45.
	* Added 'evergreen()' and 'setEvergreen()' methods to
	'lib/rdcut.cpp'.
	* Added a 'Cut is EVERGREEN' control in RDLibrary's Record Dialog.
	* Added 'evergreen()' and 'setEvergreen()' methods in
	'lib/rdlog_line.cpp'.
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was causing cut
	dayparting data to fail to be displayed properly.
	* Added code to 'rdairplay/log_play.cpp' to dynamically update cut
	selection data.
2004-07-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added a single-instance lockout to RDLibrary.
	* Added a single-instance lockout to RDCatch.
	* Added a single-instance lockout to RDAirPlay.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when an event was inserted into a log at the current play
	position.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing false
	'Invalid Cut' errors.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing
	inaccurate Post Point countdown values when the transport was
	stopped.
	* Fixed a bug in 'rdairplay/post_counter.cpp' that was causing
	excessive round-off error in countdowns.
2004-07-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'averageLength()' method to 'lib/rdcart.cpp'.
	* Added a 'LENGTH_DEVIATION.CART' field to the database.
	* Added 'lengthDeviation()' and 'setLengthDeviation()' methods to
	'lib/rdcart.cpp'.
	* Incremented the database version to 46.
	* Added a 'LENGTH DEVIATION' column to the cart list in RDLibrary.
	* Added logic to display excessive cut length deviation in YELLOW
	or RED in RDLibrary's cart list.
	* Added a clause to filter by cart number in
	'lib/rdcart_search_text.cpp'.
	* Added logic to 'rdairplay/edit_event.cpp' to prevent a PostPoint
	attribute from being set on a non-immediate Hard Start time.
	* Added logic to 'rdlogedit/edit_logline.cpp' to prevent a PostPoint
	attribute from being set on a non-immediate Hard Start time.
	* Added logic to 'rdlogedit/edit_marker.cpp' to prevent a PostPoint
	attribute from being set on a non-immediate Hard Start time.
2004-07-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EditChain' dialog in 'rdlogedit/edit_chain.cpp'.
	* Added an 'AddMeta' dialog in 'rdlogedit/add_meta.cpp'.
	* Implemented Log Chain support in RDLogEdit.
	* Added a chain event icon on 'icons/chain.xpm'.
	* Implemented Log Chain support in RDAirPlay.
2004-07-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added output stream position information to the CAE shared
	memory segment.
	* Rewrote 'rdlibrary/edit_audio.cpp' to use the new CAE position
	data interface.
2004-07-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added output stream position code to 'cae/cae_jack.cpp'.
	* Restored audio metering in 'rdlibrary/edit_audio.cpp'.
	* Incremented the version number to 0.8.3.
2004-07-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae.cpp' that was freezing the JACK graph if
	caed(8) was started in non-debugging mode.
2004-07-17 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.8.4.
2004-07-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added support for detecting ALSA to 'configure.in'.
	* Stubbed out ALSA support in CAE.
2004-07-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added a [Format] section to rd.conf(5).
	* Added 'SampleRate=' and 'Channels=' directives to the [Format]
	section of rd.conf(5).
2004-07-26 Fred Gleason <fredg@salemradiolabs.com>
	* Added a [Debug] section to rd.conf(5).
	* Added a 'UseRealtime=' directive to the [Debug] section of
	rd.conf(5).
	* Added code the 'cae/cae_alsa.cpp'.  Still a WIP.
2004-07-26 Fred Gleason <fredg@salemradiolabs.com>
	* Got a rudimentary version of 'AlsaCallback()' working in
	'cae/cae_alsa.cpp'.
2004-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* More work on ALSA support in CAE.
2004-07-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added a sysconfig file in 'rivendell.sys'.
	* Incremented the RPM release to 10.
2004-07-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'DAEMON MANAGEMENT' section to 'docs/JACK.txt'.
2004-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in 'cae/cae_alsa.cpp' that were causing the build to
	break when compiled with ALSA support disabled.
2004-08-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'ListClocks' class in 'rdlogmanager/list_clocks.cpp'.
	* Added an 'AddClock' class in 'rdlogmanager/add_clock.cpp'.
	* Added an 'EditClock' class in 'rdlogmanager/edit_clock.cpp'.
	* Added an 'EditEventLine' class in 'rdlogmanager/edit_clock.cpp'.
2004-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Finished the Clock Editor in RDLogManager.
2004-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'ListGrids' class in 'rdlogmanager/list_grids.cpp'.
	* Added an 'EditGrid' class in 'rdlogmanager/edit_grid.cpp'.
2004-08-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'SERVICES.NAME_FORMAT', 'SERVICES.TFC_PATH',
	'SERVICES.TFC_CART_OFFSET', 'SERVICES.TFC_CART_LENGTH',
	'SERVICES.TFC_START_OFFSET', SERVICES.TFC_START_LENGTH',
	'SERVICES.MUS_PATH', 'SERVICES.MUS_CART_OFFSET',
	'SERIVCES.MUS_CART_LENGTH', 'SERVICES.MUS_START_OFFSET' and
	'SERVICES.MUS_START_LENGTH', 'SERVICES.TFC_WIN_PATH' and
	'SERVICES.MUS_WIN_PATH' fields to the database.
	* Incremented the database version to 47.
	* Added 'importPath()', 'setImportPath()', 'nameTemplate()',
	'setNameTemplate()', 'importOffset()', 'setImportOffset()',
	'importLength()' and 'setImportLength()' methods to
	'lib/rdsvc.cpp'.
	* Added an 'RDDateDecode()' function in 'lib/rddatedecode.cpp'.
	* Added a 'TestImport' dialog in 'rdadmin/test_import.cpp'.
2004-08-12 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'generateLog()' method in 'lib/rdclock.cpp'.
	* Added a 'generateLog()' method in 'lib/rdevent_line.cpp'
	* Added a 'GenerateLog' dialog in 'rdlogmanager/generate_log.cpp'.
	* Modified the 'RDSvc' class to inherit 'QObject' in
	'lib/rdsvc.cpp'.
	* Added a 'generationProgress()' signal in 'lib/rdsvc.cpp'.
	* Added an 'exists()' method to 'lib/rdlog.cpp'.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing the
	scheduled start time to fail to be displayed for events without a
	Hard time.
2004-08-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'SERVICES.TFC_LENGTH_OFFSET',
	'SERVICES.TFC_LENGTH_LENGTH',
	'SERVICES.MUS_LENGTH_OFFSET' and 'SERVICES.MUS_LENGTH_LENGTH'
	fields to the database.
	* Incremented the database version to 47.
	* Added audio parser settings for LENGTH to 'rdadmin/edit_svc.cpp'.
	* Added a LENGTH parameter to 'rdadmin/test_import.cpp'.
	* Fixed a bug in 'rdlogmanager/edit_event.cpp that was causing the
	grace time to be forced to 'Start Immediately' for all hard time
	events.
2004-08-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'AUTOFILLS' table to the database.
	* Incremented the database version to 49.
	* Added an 'AutofillCarts' dialog in 'rdadmin/autofill_carts.cpp'.
	* Added a 'LENGTH' field to the Cart Picker Dialog.
2004-08-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'SERVICES.CHAIN_LOG' field to the database.
	* Incremented the database version to 50.
	* Added 'chainto()' and 'setChainto()' methods to 'lib/rdsvc.cpp'.
	* Added a 'Insert CHAIN TO at log end' control in the Edit Service
	dialog in RDAdmin.
2004-08-13 Fred Gleason <fredg@salemradiolabs.com>
	* Disabled the ALSA driver in 'configure.in'.
	* Added code cleanups for exiting the JACK graph.
2004-08-13 Fred Gleason <fredg@salemradiolabs.com>
	* Tweaked the JACK cleanup code for better performance under SuSE
	9.1.
2004-08-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/rdlibrary.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/edit_cart.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/audio_cart.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/macro_cart.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/record_cut.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/edit_audio.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/import_audio.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/cdripper.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/rdcatch.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/add_recording.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/edit_recording.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/edit_playout.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/edit_cartevent.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/edit_switchevent.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/rdedit_log.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/rdlogedit.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/add_log.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_logline.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'lib/rdcart_dialog.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/add_meta.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_marker.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_chain.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogmanager/rdlogmanager.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogmanager/edit_event.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/add_cart.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogin/rdlogin.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdairplay/edit_event.cpp'.
2004-08-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/login.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/rdadmin.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/list_users.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/add_user.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_user.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/list_groups.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_group.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/add_group.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/list_svcs.cpp'.
	* Fixed a formatting layout error in 'rdadmin/edit_svc.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/add_svc.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_station.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_rdlibrary.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_decks.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_rdairplay.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/add_matrix.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_matrix.cpp'.
2004-08-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was causing
	recordings to be corrupt if the Max Length parameter was exceeded.
2004-08-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/edit_audio.cpp'.
2004-08-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added a default font specification in 'rdadmin/rdadmin.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_svc.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/test_import.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_rdlibrary.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_decks.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdadmin/edit_ttys.cpp'.
	* Added a default font specification in 
	'rdlogmanager/rdlogmanager.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogmanager/add_event.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogmanager/add_clock.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogmanager/add_grid.cpp'.
	* Added a default font specification in 'rdcatch/rdcatch.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/edit_recording.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdcatch/deckmon.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'lib/rdcut_dialog.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'lib/rdbutton_dialog.cpp'.
	* Added a default font specification in 'rdlogedit/rdlogedit.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_log.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_logline.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_marker.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/edit_chain.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlogedit/list_logs.cpp'.
	* Added a default font specification in 'rdlibrary/rdlibrary.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/cdripper.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdlibrary/edit_macro.cpp'.
	* Added a default font specification in 'rdlogin/rdlogin.cpp'.
	* Added a default font specification in 'rdairplay/rdairplay.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdairplay/start_button.cpp'.
	* Fixed up font sizing for SuSE 9.1 in 'rdairplay/list_logs.cpp'.
2004-08-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/edit_cartevent.cpp' where the station
	name would fail to be set to the currently configured value when
	the dialog was opened.
	* Fixed a bug in 'rdcatch/edit_switchevent.cpp' where the station
	name would fail to be set to the currently configured value when
	the dialog was opened.
	* Incremented the package version to 0.9.0.
	* Set the RPM release level to 1.
	* Updated the 'INSTALL' file to reflect a requirement for
	libradio-0.92.0 or higher.
	* Updated the NEWS file.
	* Updated the README file.
	* Released as 0.9.0.
2004-08-19 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when loading an empty log.
	* Fixed a bug in 'rdcatch/rdcatch.cpp' that was causing events on
	remote workstations to fail to update when changed.
	* Fixed a bug in 'rdadmin/edit_station.cpp' that was causing
	RDCatch configuration changes to fail to propigate to remote
	workstations.
2004-08-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RDDbBackup()', 'RDDbRestore()' and 'RDDbDelete()'
	functions in 'lib/rddbbackup.cpp'.
2004-08-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RDCreateLogTableSql()' and 'QStringRDCreateClockTableSql()',
	functions in 'lib/rdcreate_log.cpp'.
2004-08-23 Alban Peignier <alban.peignier@free.fr>
	* Fixed a SQL syntax error in 'lib/rdsvc.cpp'.
2004-08-23 Fred Gleason <fredg@salemradiolabs.com>
	* Deleted 'lib/rddbbackup.cpp' and 'lib/rddbbackup.h'.
	* Added the Database Backup [DB] RML to 'docs/rml.sxw'.
	* Added the Database Backup [DB] RML to 'lib/rdmacro.h'.
	* Implemented the Database Backup [DB] RML in
	'ripcd/local_macros.cpp'.
	* Added the Database Backup [DB] RML to
	'docs/implemented_macros.txt'.
	* Fixed a bug in 'rdlogmanager/edit_eventline.cpp' that caused a
	segfault when trying to insert a non-existent event into a clock.
2004-08-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDconfig' class in 'lib/rdconfig.cpp'.
	* Modified RDLogEdit to use the new RDConfig class.
	* Deleted 'rdlogedit/config.cpp'.
	* Modified RDLogManager to use the new RDConfig class.
	* Deleted 'rdlogmanager/config.cpp'.
	* Modified RDAdmin to use the new RDConfig class.
	* Deleted 'rdadmin/config.cpp'.
	* Modified RDAirPlay to use the new RDConfig class.
	* Deleted 'rdairplay/config.cpp'.
	* Modified RDCatch to use the new RDConfig class.
	* Deleted 'rdcatch/config.cpp'.
	* Modified RDCatchd to use the new RDConfig class.
	* Modified RDLibrary to use the new RDConfig class.
	* Deleted 'rdlibrary/config.cpp'.
	* Modified RDLogin to use the new RDConfig class.
	* Deleted 'rdlogin/config.cpp'.
	* Modified RDPanel to use the new RDConfig class.
	* Deleted 'rdpanel/config.cpp'.
2004-08-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added a QMake project file in 'rivendell.pro'.
	* Added a QMake project file in 'utils/utils.pro'.
	* Added a QMake project file in 'rdlogedit/rdlogedit.pro'.
	* Moved 'utils/rivendell.res' to 'icons/rivendell.res'.
	* Added a QMake project file in 'rdlogmanager/rdlogmanager.pro'.
	* Added a QMake project file in 'lib/lib.pro'.
2004-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDTimePoint()' function in 'lib/rddebug.cpp'.
	* Optimized RDAirPlay to reduce log load and transition times.
2004-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'hardSortColumn()' and 'setHardSortColumn()' methods to
	'lib/rdlistview.cpp'.
	* Removed the 'renumbered()' signal from 'rdairplay/log_play.h'.
	* Added 'inserted()' and 'removed()' signals to
	'rdairplay/log_play.cpp'.
	* Added an 'RD_USE_MYSQL_EXTENSIONS' define to 'lib/rd.h'.
	* Added code to 'lib/rdlog_event.cpp' to use mySQL SQL extensions
	for saving logs.
2004-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp where doing a 'Make Next'
	was causing events to show a 'No Valid Cut Found' error.
2004-08-25 Alban Peignier <alban.peignier@free.fr>
	* Added an 'RDImport' batch file importer utility in 'utils/'.
2004-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Modified 'utils/rdimport.cpp' so as to use configuration values
	from RDAdmin->ManageHosts->RDLibrary for batch imports.
2004-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added RDImport to 'rivendell.spec.in'.
2004-08-29 Alban Peignier <alban.peignier@free.fr>
	* Added support for reading ID3 metadata to 'utils/rdimport.cpp'.
2004-08-29 Fred Gleason <fredg@salemradiolabs.com>
	* Added an '--enable-rdimport' switch to 'configure.in' to enable
	building of RDImport (requires TagLib).
2004-08-30 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib'rdlog_event.cpp' that was causing a segfault
	when the 'save()' method was called.
	* Changed the level meter in RDAirPlay to use a calibrated scale.
	* Moved the 'Add Log' dialog from 'rdlogedit/add_log.cpp' to
	'lib/rdadd_log.cpp'.
2004-08-30 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'renamed()' signal to 'rdairplay/log_play.cpp'.
	* Fixed a bug in 'rdairplay/list_log.cpp' that broke the automatic
	event scrolling in the Full Log list.
	* Fixed a bug in 'lib/rdlog_line.cpp' that broke segue crossfades.
2004-08-30 Fred Gleason <fredg@salemradiolabs.com>
	* Adjusted fonts in 'rdairplay/loglinebox.cpp' for better
	appearance under SuSE 9.1.
	* Adjusted fonts in 'rdairplay/pie_counter.cpp' for better
	appearance under SuSE 9.1.
2004-08-31 Fred Gleason <fredg@salemradiolabs.com>
	* Tweaked the count-up timer location in
	'rdairplay/loglinbox.cpp'.
	* Added a 'DiskGauge' widget in 'rdlibrary/disk_gauge.cpp'.
	* Added a 'DiskBar' widget in 'rdlibrary/disk_bar.cpp'.
2004-08-31 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in the free space caluation in
	'rdlibrary/disk_gauge.cpp'.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing the
	Pie Counter to not reflect a modified event start time.
2004-09-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' where closing the
	dialog with the 'X' button would fail to cancel active audio
	playout.
	* Fixed a bug in 'rdlibrary/edit_audio.cpp that was causing the
	meter to hang at the last registered audio level after pressing
	'Stop' or 'Pause'.
	* Fixed a bug in 'cae/cae_hpi.cpp' that was causing CAE to report
	an incorrect play position when used with HPI.
2004-09-02 Fred Gleason <fredg@salemradiolabs.com>
	* Added autodetection for the TagLib library to 'configure.in'.
	* Removed the '--enable-rdimport' option from 'configure.in'.
2004-09-10 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.1.
2004-09-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing deck
	monitors to show 'Offline' status.
2004-09-14 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.2.
2004-09-14 Fred Gleason <fredg@salemradiolabs.com>
	* Removed GPITest and GPOTest from 'utils/'.
2004-09-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'conf/crc-unity4k.sh' script.
2004-09-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae.cpp' that was reporting invalid 
	AES sync indications.
	* Fixed a bug in 'lib/rdcae.cpp' that was reporting invalid 
	AES sync indications.
2004-09-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'Left' and 'Right' configurations for LF1 in
	'conf/crc-unity4k.sh'.
	* Added a 'Send Command' [CC] macro to 'docs/rml.sxw'.
	* Implemented the 'Send Command' [CC] macro.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	lockup when executing a macro cart as the first event in a log.
2004-09-21 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the 'Length' field to 'End Time' in
	'rdlogmanager/edit_eventline.cpp'.
	* Added an 'End Time' field to 'rdlogmanager/edit_clock.cpp'.
2004-09-22 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'HOSTVARS' table to the database.
	* Incremented the database version to 52.
	* Added a 'ListHostvars' dialog in 'rdadmin/list_hostvars.cpp'.
	* Added an 'EditHostvar' dialog in 'rdadmin/edit_hostvar.cpp'.
	* Added an 'AddHostvar' dialog in 'rdadmin/add_hostvar.cpp'.
2004-09-22 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to resolve host variables in 'lib/rdripc.cpp'.
	* Added code to resolve host variables in 'lib/rdmacro_event.cpp'.
	* Fixed a bug in 'rdairplay/wall_clock.cpp' that was causing the
	day-of-the-week label to be clipped.
2004-09-23 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.3.
2004-10-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added build system support for OggVorbis.
2004-10-12 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/Makefile.am' that was causing the build to
	break.
2004-10-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'STATIONS.BACKUP_DIR' and 'STATIONS.BACKUP_LIFE' fields to
	the database.
	* Incremented the database version to 53.
	* Added 'backupLife()', 'setBackupLife()', 'backupPath()' and
	'setBackupPath()' methods to 'lib/rdstation.cpp'.
	* Added an 'EditBackup' dialog in 'rdadmin/edit_backup.cpp'.
2004-10-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to purge old automatic database backups in
	'ripcd/ripcd.cpp'.
	* Fixed a bug in 'rdadmin/rdadmin.cpp' that was causing KDE to
	hang a 'program starting' indication after a failed RDAdmin login.
	* Added 'RDMatrix::Bt16x1' and 'RDMatrix::Bt8x2' values to
	'RDMatrix::Type' in 'lib/rdmatrix.h'.
	* Added support for the Broadcast Tools 16x1 switcher to RDAdmin.
	* Added support for the Broadcast Tools 8x2 switcher to RDAdmin.
	* Added a switcher driver for the Broadcast Tools 16x1 in
	'ripcd/bt16x1.cpp'.
	* Added a switcher driver for the Broadcast Tools 8x2 in
	'ripcd/bt8x2.cpp'.
2004-10-27 darrick <darrick@dcn.davis.ca.us>
	* Fixed a memory leak in 'lib/rdlog_line.cpp'.
2004-10-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a memory leak in 'lib/rdcart_dialog.cpp'.
	* Added the Binary Serial Out ('BO') RML to RDMacro.
	* Implemented the Binary Serial Out ('BO') RML in
	'ripcd/local_macros.cpp'.
	* Added the Binary Serial Out ('BO') RML to
	'doc/implemented_macros.txt'.
	* Incremented the package version to 0.9.4.
2004-10-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in which the level meter indication in RDAirPlay was
	too high if the same output port was assigned to more than one
	output.
2004-11-01 Fred Gleason <fredg@salemradiolabs.com>
	* Added RDGpiMon, a GPI monitoring utility, in 'utils/'.
	* Added a 'GI' command to the RIPC command protocol.
	* Added a 'GC' command to the RIPC command protocol.
	* Added a 'GM' command to the RIPC command protocol.
	* Added notes in 'docs/GPIO.txt' on use of the gameport as a GPIO
	device.
2004-11-02 Fred Gleason <fredg@salemradiolabs.com>
	* Added additional detail on wiring PC game ports for GPI in
	'docs/GPIO.txt'.
	* Incremented the package version to 0.9.5.
2004-11-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added sample mySQL configurations in 'conf/my.cnf-master' and
	'conf/my.cnf-standby'.
	* Created an audio replication script in 'scripts/rd_audio_sync'.
	* Created a configuration manager script in 'scripts/rd_config'.
	* Fixed a bug in 'rdlibrary/import_audio.cpp' that broke audio
	file importation.
2004-11-04 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'docs/Makefile.am' that was causing the RPM build
	to break.
	* Incremented the package version 0.9.6.
2004-11-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'station()' method to 'lib/rdripc.cpp'.
	* Fixed a bug in 'lib/rdmacro_event.cpp' that was causing the CC
	RML to fail if a host variable was used for the destination
	address.
	* Incremented the package version to 0.9.7.
2004-11-06 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the '-q' flag from the call to 'sox -resample' in
	'scripts/rd_import_audio' to work around a bug in sox(1).
	* Removed the '-q' flag from the call to 'sox -resample' in
	'scripts/rd_rip_cd' to work around a bug in sox(1).
	* Fixed a bug in 'rdlibrary/cdripper.cpp' that was causing corrupt
	audio when simultaneously performing rips on multiple hosts.
	* Fixed a bug in 'rdlibrary/import_audio.cpp' that was causing corrupt
	audio when simultaneously performing imports on multiple hosts.
	* Incremented the package version to 0.9.8.
2004-11-07 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcart_dialog.cpp' that threw a segfault fi
	the 'OK' button was pushed with an empty cart list.
	* Fixed a bug in 'lib/rdcut_dialog.cpp' that threw a segfault fi
	the 'OK' button was pushed with empty cart or cut lists.
2004-11-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added sanity checks to 'cae/cae.cpp' to prevent caed segfaults 
	when trying to load non-existent audio resources.
	* Added 'RDAIRPLAY.CLEAR_FILTER' and 'RDAIRPLAY.BAR_ACTION' fields
	to the database.
	* Incremented the database version to 54.
	* Added 'clearFilter()', 'setClearFilter()', 'barAction()' and
	'setBarAction()' mmeethods to 'lib/rdairplay_conf.cpp'.
	* Added a 'Clear Cart Search Filter' checkbox to
	'rdadmin/edit_rdairplay.cpp'.
	* Added a 'Space Bar Action' button group to
	'rdadmin/edit_rdairplay.cpp'.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' where last cart
	selected in the Add Cart dialog would be highlighted as the
	default selection.
	* Added a keybinding to RDAdmin where pressing the space bar will
	start the next event in the Main Log if enabled in RDAdmin.
	* Fixed a bug in 'rdadmin/list_gpis.cpp' where the 'description'
	field would be blanked if the Edit dialog was cancelled.
	* Fixed a bug in rdadmin/list_gpis.cpp' that was failing to update
	the active GPI list when the 'GPIS' table was changed.
2004-11-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdairplay/log_play.cpp' to ensure that the
	initial playout from a stopped log will always be on the first
	fader channel.
	* Incremented the package version to 0.9.9.
2004-11-08 Fred Gleason <fredg@salemradiolabs.com>
	* Tweaked 'rdadmin/edit_gpi.cpp' for better appearance on SuSE
	9.1.
	* Tweaked 'rdlibrary/record_cut.cpp' for better appearance on SuSE
	9.1.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' where the name of the 
	log loaded into the Main Log was not being displayed on the title 
	bar.
2004-11-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RDAIRPLAY.FLASH_PANEL' field to the database.
	* Incremented the database version to 55.
	* Added 'flashPnael()' and 'setFlashPanel()' methods to
	'lib/rdairplay_conf.cpp'.
	* Added a 'Flash Active Buttons' checkbox to the
	RDAdmin->ManageHosts->EditRDAirPlay dialog.
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' that was causing
	intermittent failure of audio playout and/or audio metering.
	* Fixed a bug in 'lib/rdsound_panel.cpp' that was failing to free
	a timing resource.
	* Incremented the package version to 0.9.10.
2004-11-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability to flash active sound panel buttons in
	RDAirPlay.
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' where the Trim
	Threshold was not being initialized to the correct default value.
2004-11-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'AutoTrim' widget to the CD Ripper dialog in RDLibrary.
	* Added an 'AutoTrim' widget to the File Import dialog in RDLibrary.
	* Changed the File Import dialog in RDLibrary so that it now
	closes automatically at the end of an import.
	* Added 'STATIONS.HEARTBEAT_CART' and
	'STATIONS.HEARTBEAT_INTERVAL' field to the database.
	* Incremented the database version to 56.
	* Added a 'reloadHeatbeat()' method to 'lib/rdipc.cpp'.
	* Added 'heartbeatCart()', 'setHeartbeatCart()',
	'heartbeatInterval()' and 'setHeartbeatInterval()' methods to
	'rdadmin/edit_station.cpp'.
2004-11-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added Host Heartbeat capability.
2004-11-09 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented package version to 0.9.11.
2004-11-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_rip_cd' that was causing
	normalization levels to be incorrect.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing the
	count-up timer to jitter.
	* Added a 'Set Color Label' ['LC'] macro to 'lib/rdmacro.h'.
	* Implemented the 'Set Color Label' ['LC'] macro.
	* Added a RenameGroup dialog in 'rdadmin/rename_group.cpp'.
	* Implemented the ability to rename and combine groups in
	RDAdmin->ManageGroups.
2004-11-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/list_groups.cpp' where deleting a group
	would fail to delete member carts.
2004-11-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a text validator class in 'lib/rdtextvalidator.cpp'.
	* Added a text validator to 'rdlibrary/edit_cart.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdlibrary/record_audio.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdlibrary/rdlibrary.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'lib/rdcart_dialog.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'lib/rdcut_dialog.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdcatch/edit_cartevent.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdcatch/edit_switchevent.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdcatch/edit_recording.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdcatch/edit_playout.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdlogedit/edit_log.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdlogin/rdlogin.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdlogmanager/edit_event.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdlogmanager/edit_eventline.cpp' to 
	prevent	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/login.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/add_user.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_user.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'lib/rdpasswd.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/add_group.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_group.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/rename_group.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/add_svc.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_svc.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/add_station.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_station.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_rdlibrary.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_ttys.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_matrix.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_gpi.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_endpoint.cpp' to prevent
	entering of invalid SQL characters.
	* Added a text validator to 'rdadmin/edit_backup.cpp' to prevent
	entering of invalid SQL characters.
	* Fixed up text layout in 'rdadmin/info_dialog.cpp'.
2004-11-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug where starting a macro cart as the first event in a
	log would segfault RDAirPlay.
	* Added code to 'ripcd/local_macros.cpp' to mute the output of a
	Unity4000 receiver when commanded to switch to input zero.
	* Incremented the package version to 0.9.12.
2004-11-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added a text validator to 'rdlibrary/edit_macro.cpp' to prevent
	entering of invalid SQL characters.
	* Added a 'SERVICE_PERMS' table to the database.
	* Incremented the database version to 57.
	* Added an 'EditSvcPerms' dialog in 'rdadmin/edit_svc_perms.cpp'.
	* Added code to 'rdairplay/list_logs.cpp' to restrict the list of
	available logs to those owned by services enabled for the host.
	* Added code to 'lib/rdcart_dialog.cpp' to restrict the list of
	available carts to those allowed for a given station.
	* Added code to 'rdairplay/list_logs.cpp' to restrict the list of
	available logs to those matching log start/end date criteria.
	* Fixed a bug in'rdlogedit/edit_log.cpp' that was causing
	incorrect start and end dates to be loaded.
	* Made the Log Edit widget in RDLogEdit resizable.
	* Added a 'Group' column to the Log Edit widget in RDLogEdit.
	* Added an 'RDGroupList' class in 'lib/rdgroup_list.cpp'.
	* Fixed a bug in 'lib/rdlog.cpp' that was returning an incorrect
	value for 'service()'.
	* Fixed a bug in 'lib/rdlistviewitem.cpp' that was failing to
	update the display when changing text color.
	* Added code to 'rdlogedit/edit_logline.cpp' so to restrict the
	list of available carts to those enabled for the selected service.
	* Added code to 'rdlogedit/edit_log.cpp' to prevent saving logs
	containing carts that are disabled for the selected service.
	* Added code to 'lib/rdbutton_dialog.cpp' so to restrict the
	list of available carts to those enabled for the selected service.
2004-11-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'EXT_START_TIME', 'EXT_LENGTH', 'EXT_DATA' and
	'EXT_EVENT_ID' fields to the log tables in the database.
	* Incremented the database version to 58.
	* Added 'extStartTime()', 'setExtStartTime()', 'extLength()',
	'setExtLength()', 'extData()', 'setExtData()', 'extEventId()' and
	'setExtEventId()' methods to 'lib/rdlog_line.cpp'.
	* Added code to 'lib/rdlog_event.cpp' to handle the new database
	fields.
	* Added 'SERVICES.TFC_DATA_OFFSET', 'SERVICES.TFC_DATA_LENGTH',
	'SERVICES.TFC_EVENT_ID_OFFSET', 'SERVICES.TFC_EVENT_ID_LENGTH',
	'SERVICES.MUS_DATA_OFFSET', 'SERVICES.MUS_DATA_LENGTH',
	'SERVICES.MUS_EVENT_ID_OFFSET' and 'SERVICES.MUS_EVENT_ID_LENGTH'
	fields to the database.
	* Incremented the database version to 59.
	* Added 'ExtData' and 'ExtEventId' to RDSvc::ImportField in
	'lib/rdsvc.h'.
	* Added controls for importing Traffic Contract # and Event ID to 
	the EditService dialog in RDAdmin.
	* Added columns for Traffic Contract # and Event ID to the
	TestImport dialog in RDAdmin.
2004-11-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'lib/rdevent_line.cpp' to external traffic system
	data into logs.
	* Added a sanity check to 'rdlogedit/edit_logline.cpp' to prevent
	insertion of a disabled cart.
	* Created a *_REC' table format.
	* Incremented the database version to 60.
	* Added code to 'rdlogedit/rdlogedit.cpp' to delete a _REC table
	when the corresponding log is deleted.
	* Added a 'LogTraffic()' function in 'rdairplay/log_traffic.cpp'.
	* Added a 'TrafficAction' enum to 'lib/rdairplay_conf.h'.
	* Added code in 'rdairplay/log_play.cpp' to log event playouts in
	the respective reconciliation table.
2004-11-19 Fred Gleason <fredg@salemradiolabs.com>
	* Removed the 'CAE_HANDLE' field from the _REC table database 
	format.
	* Added a 'LENGTH' field to the _REC table database format.
	* Incremented the database version to 61.
	* Added a 'startTime()' method to 'lib/rdpanel_button.cpp'.
	* Added code to 'lib/rdsouond_panel.cpp' to record play events in
	reconciliation tables.
2004-11-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'GROUPS_REPORT_TFC' and 'GROUPS.REPORT_MUS' fields to the
	database.
	* Incremented the database version to 62.
	* Added 'exportReport()' and 'setExportReport()' methods to
	'lib/rdgroup.cpp'.
	* Added controls to RDAdmin->EditGroups to select which report
	types a group should be included in.
2004-11-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'REPORTS', 'REPORT_SERVICES' and 'REPORT_STATIONS' tables
	to the database.
	* Incremented the database version to 63.
	* Created a 'ListReports' dialog in 'rdadmin/list_reports.cpp'.
	* Created an 'EditReport' dialog in 'rdadmin/edit_report.cpp'.
	* Created an 'RDReport' class in 'lib/rdreport.cpp'.
2004-11-22 Fred Gleason <fredg@salemradiolabs.com>
	* Created an 'AddReport' dialog in 'rdadmin/add_report.cpp'.
2004-11-23 Fred Gleason <fredg@salemradiolabs.com>
	* Created a 'GenerateReport' dialog in
	'rdlogmanager/generate_report.cpp'.
	* Added 'REPORTS.EXPORT_TFC', 'REPORTS.EXPORT_MUS' and
	'REPORTS.EXPORT_GEN' fields to the database.
	* Incremented the database version to 64.
	* Added 'exportTypeEnabled()' and 'setExportTypeEnabled()' methods
	to 'lib/rdreport.cpp'.
	* Added export type controls to the RDAdmin->EditReport dialog.
	* Added an 'ExportDeltaflex' dialog in
	'rdlogmanager/export_deltaflex.cpp'.
2004-11-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'REPORTS.STATION_ID' field to the database.
	* Incremented database version to 65.
	* Added 'stationId()' and 'setStationId()' methods to
	'lib/rdreport.cpp'.
	* Added a control to set the Station ID in RDAdmin->EditReport.
	* Added notes on setting up reports in 'docs/report.txt'.
2004-11-23 Fred Gleason <fredg@salemradiolabs.com>
	* Disabled the RIAA Weblog and ASCAP/BMI export filters.
	* Updated 'docs/reports.txt'.
2004-11-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added a sanity check in 'cae/cae.cpp' for invalid playback
	handles.
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing invalid
	play handles to be sent to CAE.
2004-11-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added RDAirPlayConf::LiveAssist to RDAirPlayConf::OpMode in
	'lib/rdairplay_conf.h'.
	* Added code in 'rdairplay/log_play.cpp' to handle manual mode.
	* Added code in 'rdairplay/rdairplay.cpp' to handle manual mode.
	* Added 'LiveAssist' to the available choices for startup mode in
	'rdadmin/edit_rdairplay.cpp'.
	* Changed the default value of the 'RDAIRPLAY.OP_MODE' field in
	the database to 2.
	* Incremented the database version to 66.
2004-12-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed Windows build system.
	* Fixed a bug in 'rdlogedit/rdlogedit.cpp' that was causing the 
	top window border to chopped off under Windows.
2004-12-06 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in 'rdadmin/createdb.cpp' that was causing creation
	of a new database to fail.
2004-12-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'Paused' to RDLogLine::Status in 'lib/rdlog_line.h'.
	* Added an 'RDAIRPLAY.PAUSE_ENABLED' field to the database.
	* Incremented the database version to 67.
	* Added 'pauseEnabled()' and 'setPauseEnabled()' methods to
	'lib/rdairplay_conf.cpp'.
	* Added an 'Enable Paused Events' control to RDAdmin->ManageHosts.
	* Added support for Pause Mode to 'rdairplay/list_log.cpp'.
	* Added 'Initial' to RDLogLine::StartTimeType in 'lib/rdlog_line.h'.
	* Added 'pauseCard()', 'setPauseCard()', 'pausePort()' and
	'setPausePort()' methods to 'lib/rdlog_line.cpp'.
2004-12-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in 'rdairplay/rdairplay.cpp that was causing flaky
	pie widget operation with paused events.
	* Fixed bugs in 'rdairplay/log_play.cpp that was causing flaky
	stop counter operation with paused events.
	* Added 'lastStartTime()' and 'currentPosition()' methods to
	'lib/rdplay_deck.cpp'.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when attempting to move an event down across a paused
	event.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing corrupt
	displays in the Button Log when moving an event up across a paused
	event.
2004-12-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added a '--check-db' switch to rdadmin(1).
2004-12-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added '.RDAIRPLAY.UDP_ADDR0', 'RDAIRPLAY.UDP_PORT0', 
	'RDAIRPLAY.UDP_STRING0', '.RDAIRPLAY.UDP_ADDR1', 
	'RDAIRPLAY.UDP_PORT1', 'RDAIRPLAY.UDP_STRING1', 
	'.RDAIRPLAY.UDP_ADDR2', 'RDAIRPLAY.UDP_PORT2', 
	'RDAIRPLAY.UDP_STRING2' and 'GROUPS.ENABLE_NOW_NEXT' fields to the
	database.
	* Incremented the database version to 68.
	* Fixed a bug in 'rdadmin/rdadmin.cpp' that was causing
	command-line mode of rdadmin(1) to segfault.
	* Added 'enableNowNext()' and 'setEnableNowNext()' methods to
	'lib/rdgroup.cpp'.
	* Added 'udpAddress()', 'setUdpAddress()', 'udpPort()',
	'setUdpPort()', udpString()' and 'setUdpString()' methods to
	'lib/rdairplay_conf.cpp'.
	* Added a 'Transmit Now & Next data' control to Group Editor
	dialog in RDAdmin.
	* Added an 'EditNowNext' dialog in 'rdadmin/edit_now_next.cpp'.
	* Added a doc file in 'docs/NOW+NEXT.txt'.
	* Added code in 'rdairplay/log_play.cpp' to implement Now & Next
	transmission.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing a
	segfault when attempting to execute a macro cart.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when attempting to execute a macro cart.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' which was allowing the
	maximum active event limit to be exceeded.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing Now &
	Next data to be transmitted regardless of whether it was enabled
	in the parent group.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Added code in 'lib/rdconfig.cpp' to calculate the proper config
	file location under Windows.
	* Added code in 'lib/rdsvc.cpp' to calculate the proper import
	file locations under Windows.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdsvc.cpp' that was causing the build
	to break under Windows.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault when starting the last event in a log.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/edit_report.cpp' that was preventing
	the backslash character from being entered for the Windows export
	path.
	* Added code in 'lib/rdreport.cpp' to calculate the proper export
	file locations under Windows.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Created a boilerplate Windows configuration file in
	'conf/rd.ini'.
	* Added a 'docs/WIN32.txt' file.
2004-12-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in 'rdairplay/edit_event.cpp',
	'rdairplay/button_log.cpp' and 'rdairplay/list_log.cpp' that were
	preventing paused events from being modified.
	* Fixed a bug in 'lib/rdbutton_dialog.cpp' that produced a blank
	library selector widget.
	* Fixed a bug in 'lib/rdpanel_button.cpp' that was causing idle
	SoundPanel buttons to flash.
2004-12-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_jack.cpp' that was causing the build to
	break when built with JACK support disabled.
2004-12-14 Fred Gleason <fredg@salemradiolabs.com>
	* Changed LOGPLAY_MAX_PLAYS in 'rdairplay/log_play.h' to 7.
	* Changed 'rdairplay/log_play.cpp' so that paused events alternate
	faders when restarted.
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing corrupt
	pie widget displays when switching operational modes during segue
	transitions.
	* Fixed a bug in 'rdairplay.cpp' that was causing the debug log to
	fail to be generated.
2004-12-15 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'NEWS' file.
	* Incremented package version to 0.9.14.
2004-12-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/list_logs.cpp' that was preventing
	events from being added to the end of a log in the Full Log
	widgets.
	* Removed 'toClipboard()' and 'fromClipboard()' methods from
	'lib/rdcut.cpp'.
	* Added a 'copyTo()' method to 'lib/rdcut.cpp'.
2004-12-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added a progress dialog to the Paste function in RDLibrary.
2004-12-17 Fred Gleason <fredg@salemradiolabs.com>
	* Deleted 'lib/rdpanel.cpp' and 'lib/rdpanel.h'.
	* Added 'setLogName()' and 'LogLine()' methods to
	'lib/rdsound_panel.cpp'.
2004-12-17 Michael Figley <mfigley@ak.net>
	* Fixed a bug in 'lib/rdairplay_conf.cpp' that was causing the
	build to break under Qt 3.2.x.
2004-12-17 Fred Gleason <fredg@salemradiolabs.com>
	* Updated 'NEWS'.
	* Incremented the package version to 0.9.15.
2004-12-17 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcut.cpp' that was causing the build to 
	break under Windows.
2004-12-20 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in 'lib/rdairplay_conf.cpp' that was causing the
	Now&Next address to load an invalid value.
2004-12-20 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing the
	pie widget to become corrupt when adding additional events to a
	log.
2004-12-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to clear the shm segment for caed before starting
	daemons in 'rivendell'.
	* Incremented the package version to 0.9.16.
2004-12-30 Fred Gleason <fredg@salemradiolabs.com>
	* Adjusted the geometry of the 'Length' widget in
	'rdcatch/edit_recording.cpp'.
	* Fixed a bug in 'liblibrary/cdripper.cpp' that was causing a rip
	to proceed over an existing cut even after the user had cancelled
	it.
	* Added an 'addBannedChar()' method to 'lib/rdtextvalidator.cpp'.
	* Added validators to prevent invalid characters in SQL table
	names in 'lib/rdadd_log.cpp' and 'rdadmin/edit_svc.cpp'.
	* Adjusted the layout of 'rdadmin/edit_svc.cpp' for proper display
	on SuSE 9.2.
2004-12-30 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' where resources were not
	be freed when an event entered PAUSE mode.
2005-01-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added RDImport to the RPM build.
2005-01-04 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in 'utils/rdimport.cpp' that was causing imports to
	fail.
2005-01-04 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in 'rdairplay/list_log.cpp' that was causing incorrect 
	time format to be dislpayed in the log window when in 12 hour mode.
2005-01-04 Dan Mills <dmills@spamblock.demon.co.uk>
	* The stop time was always displayed in 24 hr format, added code to 
	make it do the right thing, and also cleared up a delay in updating 
	the time of day clock when changing mode. 
2005-01-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'MarkerBar' widget in 'rdairplay/marker_bar.cpp'.
	* Moved the MarkerEdit widget from 'rdlibrary/' to 'lib/'.
	* Moved the MarkerButton widget from 'rdlibrary/' to 'lib/'.
	* Added a marker bar widget in 'rdairplay/marker_bar.cpp'.
2005-01-06 Fred Gleason <fredg@salemradiolabs.com>
	* Add code to 'lib/rdplay_deck.cpp' to allow the deck state to be
	changed directly from Paused to Stopped.
	* Overhauled the EditEvent dialog in RDAirPlay for use a new
	layout and user interface.
2005-01-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added the 'Run Shell Command' ['RN'] macro to 'docs/rml.sxw'.
	* Implemented the 'Run Shell Command' ['RN'] macro.
2005-01-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added BtAcs82 to RDMatrix::Type in 'lib/rdmatrix.h'.
	* Added support for the BroadcastTools ACS 8.2 switcher to
	RDAdmin.
	* Added a driver for the BroadcastTools ACS 8.2 switcher in
	'ripcd/btacs82.cpp'.
2005-01-10 Fred Gleason <fredg@salemradiolabs.com>
	* Corrected notes for the BroadcastTools ACS 8.2 switcher in
	'docs/SWITCHERS.TXT
2005-01-17 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing phantom
	signals to be emitted.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.17.
2005-01-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'MATRICES.PORT_TYPE', 'MATRICES.IP_ADDRESS' and 
	'MATRICES.IP_PORT' fields to the database.
	* Incremented the database version to 69.
	* Added 'portType()', 'setPortType()', 'ipAddress()',
	'setIpAddress()', 'ipPort()' and 'setIpPort()' methods to
	to RDMatrix in 'lib/rdmatrix.cpp'.
	* Added 'Port Type', 'IP Address' and 'IP Port' controls to the
	Edit Matrix dialog in RDAdmin.
	* Added an 'SasUse' class in 'lib/sasusi.cpp'.
	* Implemented the 'ST' and 'GO' macros for the SAS User Serial
	Interface protocol.
2005-01-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added automatic connection retries for the SasUsi driver in
	'ripcd/sasusi.cpp'.
	* Added the 'Console Label' ['CL'] macro to 'docs/rml.sxw'.
	* Implemented the 'Console Label' ['CL'] macro.
	* Added the 'Fire Salvo' ['FS'] macro to 'docs/rml.sxw'.
	* Implemented the 'Fire Salvo' ['FS'] macro.
	* Added the 'Switch Add With Gain' ['SG'] macro to 'docs/rml.sxw'.
	* Implemented the 'Switch Add With Gain' ['SG'] macro.
	* Added the 'Switch Crosspoint Gain' ['SX'] macro to 'docs/rml.sxw'.
	* Implemented the 'Switch Crosspoint Gain' ['SX'] macro.
	* Added an entry for the SAS 32KD Audio Switcher to
	'docs/SWITCHERS.txt'.
2005-01-21 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.18.
2005-01-25 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_import_file' that was causing the
	temporary WAV file to be written with read-only permissions.
2005-01-26 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/edit_event.cpp' and
	'rdlogmanager/list_events.cpp' that was causing corrupt event
	entries when saving and then cancelling a newly added event.
	* Fixed a bug in 'rdlogmanager/edit_event.cpp' that was causing an
	incorrect transition type to be shown in the properties string
	when events will in the preimport list.
	* Adjusted font sizes in 'rdlogmanager/edit_event.cpp' for proper
	display under SuSE 9.2.
	* Adjusted size of the date control in
	'rdlogmanager/generate_log.cpp' for proper display under SuSE 9.2.
	* Adjusted size of the date control in
	'rdlogmanager/generate_report.cpp' for proper display under SuSE
	9.2.
	* Fixed a bug in 'rdlibrary/add_cart.cpp' that was allowing
	patently invalid cart numbers to be entered.
	* Incremented the package version to 0.9.19.
2005-01-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'conf/crc-unity4k.sh' that was transposing the
	Name and Feed for the LF1 service.
	* Added 'RDReport::TextLog' to 'RDReport::ExportFilter' in
	'lib/rdreport.h'.
	* Added a 'Text Log' item to the report filter selector in
	'rdadmin/edit_report.cpp'.
	* Added a 'PLAY_SOURCE' field to the reconciliation table format
	in the database.
	* Added 'playSource()' and 'setPlaySource()' methods to
	'lib/rdlog_line.cpp'.
	* Added 'TrafficAction::TrafficMacro' to
	'RDAirPlayConf::TrafficAction' in 'lib/rdairplay_conf.h'.
	* Fixed a bug in 'rdlogmanager/edit_event.cpp' that was causing
	'SaveAs' events to lose their PRE and POST tables.
	* Fixed a bug in 'lib/rdclock.cpp' that was causing 'validate()'
	to fail to catch all possible overlap errors.
2005-01-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/edit_event.cpp' that was causing a
	segfault when opening the EditEvent dialog for a macro cart event.
	* Added logic to 'rdadmin/edit_backup.cpp' to verify the presence
	of a backup path.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.20.
2005-01-28 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a segfault in rdairplay when station and user panel counts 
	were both set to one, also fixed some other edge cases in the same 
	area. 
	* Added support for 12 Hr time format to post point display. The
	countdown is still broken when the postpoint is the other side of
	midnight! 
2005-01-28 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'mpg123' to the 'Requires:' rule in 'rivendell.spec.in'.
	* Created an 'RDComboBox' class in 'lib/rdcombobox.cpp'.
	* Fixed a bug in 'lib/rdcart_dialog.cpp' that was causing
	duplicate entries in the Group Filter list.
	* Added Event Attributes to the Event Name column in
	'rdlogmanager/edit_clock.cpp'.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.21.
2005-01-28 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/edit_event.cpp' that was causing the
	grace time setting for hard events to fail to be saved.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was failing to
	initialize properly the time format string.
2005-01-30 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the
	Grace Time parameter in hard timed events to be ignored.
	* Fixed a bug in 'rdairplay/log_play.cpp' where hard timed events
	set to 'Make Next' would instead start the event if the log was
	stopped down.
2005-01-30 Dan Mills <dmills@spamblock.demon.co.uk>	
	* Minor documentation changes to the INSTALL file.
	Added bc to the prereqs as it is used in rd_import_file.
	Added a note about starting jackd BEFORE the rivendell daemons.
2005-01-31 Fred Gleason <fredg@salemradiolabs.com>
	* Added a sanity check to RDSvc::import() in 'lib/rdsvc.cpp' to
	prevent importation of events with invalid cart numbers.
	* Fixed a bug in 'rdlogmanger/generate_log.cpp' that was causing
	the warning message for overwriting an existing log to have a
	misformatted date.
	* Disabled the event length check in RDEventLine::generateLog() in
	'lib/rdevent_line.cpp'.
	* Added '/' to the list of banned characters for Event Names and
	Clock Names in RDLogManager.
	* Added a 'Color' column to the ListEvents and ListClocks widgets
	in RDLogManager.
	* Added search new file search filters to
	'rdlibrary/import_audio.cpp'.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.22.
2005-01-31 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'bc' to the 'Requires:' rule in 'rivendell.spec.in'.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing a
	segfault when pressing one of the AuxLog buttons with soundpanels
	disabled.
2005-01-31 Fred Gleason <fredg@salemradiolabs.com>
	* Increased LOOK_AHEAD_EVENTS to 5000 in 'rdairplay/log_play.cpp'.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.23.
2005-02-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/list_events.cpp' that was throwing
	a segfault when exiting from the EditEvent dialog.
	* Fixed a bug in 'rdlogmanager/list_clocks.cpp' that was throwing
	a segfault when exiting from the EditClocks dialog.
	* Added logic to 'rdlogmanager/list_events.cpp' to detect and
	prompt for confirmation before deleting an event that is in use in
	one or more clocks.
	* Added logic to 'rdlogmanager/list_clocks.cpp' to detect and
	prompt for confirmation before deleting a clock that is in use in
	one or more grids.
2005-02-01 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RDLogEvent::validate()' method to
	'lib/rdlog_event.cpp'.
	* Added an 'RDExceptionDialog' dialog in
	'lib/rdexception_dialog.cpp;
	* Added a 'Check Log' button to RDLogEdit's log editor.
	* Added code to run an exception report after generating a new log
	in RDLogManager.
2005-02-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/rdlogmanager.pro' that was causing 
	the build to break under Windows.
2005-02-01 Fred Gleason <fredg@salemradiolabs.com>
	* Added a LogLine() call in 'LogPlay::makeNext()' in
	'rdairplay/log_play.cpp'.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.24.
2005-02-07 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdevent_line.cpp' that was causing imported
	events in RDLogManager to be lost.
2005-02-08 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.25.
2005-02-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_hpi.cpp' that was causing MPEG recording
	to fail.
	* Removed all event-length checks from RDEventLine::generateLog()
	in 'lib/rdevent_line.cpp'.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.26.
2005-02-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Show DayOfWeek' filter to RDCatch.
2005-02-21 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/edit_matrix.cpp' that was causing the
	'Port' control to be enabled for local GPIO devices.
	* Fixed a bug in 'utils/rdgpimon.cpp' that was causing the listed
	GPI line numbers to be off by one.
2005-02-21 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_jack.cpp' that was activating the JACK
	connection before allocating all of the callback buffers.
2005-03-01 Fred Gleason <fredg@salemradiolabs.com>
	* Added support for the BroadcastTools 16x2 switcher.
	* Incremented the package version to 0.9.27.
2005-03-04 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcart_dialog.cpp' that was causing an
	invalid cart number to be returned if the dialog was cancelled.
	* Fixed a bug in 'rdairplay/rdairplay.cpp' that was causing a
	segfault when executing a macro cart.
2005-03-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added support for the BroadcastTools SS 12.4 switcher.
2005-03-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added an argument to specify machine port to the Start Next 'PN'
	RML.
2005-03-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'LENGTH' column to the EditLog dialog in RDLogEdit.
	* Added a 'group' parameter to the constructor for RDCartDialog
	in 'lib/rdcart_dialog.cpp'.
	* Added a Talk Stime counter to the cart label in the Button
	Widget in RDAirPlay.
2005-03-07 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.28.
2005-03-07 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/rdcatch.cpp that was causing the
	'SOURCE' column to fail to be properly updated after editing a
	Record Event.
2005-03-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added	'RECORDINGS.START_TYPE','RECORDINGS.START_LENGTH',
	'RECORDINGS.START_LINE','RECORDINGS.START_MATRIX', 
	'RECORDINGS.START_OFFSET', 'RECORDINGS.END_TYPE',
	'RECORDINGS.END_TIME','RECORDINGS.END_LENGTH','RECORDINGS.END_MATRIX',
	and 'RECORDINGS.END_LINE' to the database.
	* Incremented the database version to 71.
	* Reformatted the EditRecording dialog in 'rdcatch.cpp' to use the
	new Start and End parameters.
2005-03-14 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in rdlogedit/edit_log.cpp that was causing segfaults
	when editing log events.
2005-03-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcae.cpp' that was causing a race,
	* Fixed a bug in 'lib/rdcatch_connect.cpp' that was causing a race,
	* Fixed a bug in 'lib/rdripc.cpp' that was causing a race,
	* Fixed a bug in 'cae/cae.cpp' that was causing a race,
	* Fixed a bug in 'ripcd/bt16x2.cpp' that was causing a race,
	* Fixed a bug in 'ripcd/btacs82.cpp' that was causing a race,
	* Fixed a bug in 'ripcd/btss82.cpp' that was causing a race,
	* Fixed a bug in 'ripcd/ripcd.cpp' that was causing a race,
2005-03-21 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_rip_cd' that broke normalization.
2005-03-22 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'Waiting' to RDeck::Status in 'lib/rddeck.h'.
	* Added code to handle the 'Waiting' state to 'rdcatch/deckmon.cpp.
	* Added code to handle the 'Waiting' state to 'rdcatch/rdcatch.cpp.
	* Implemented the GPI start type in 'rdcatchd/rdcatchd.cpp'.
	* Updated the format of the 'END' column for Playout events to
	conform to the new scheme.
2005-03-22 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the GPI end type in 'rdcatchd/rdcatchd.cpp'.
	* Implemented the LENGTH end type in 'rdcatchd/rdcatchd.cpp'.
2005-03-25 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the error dialog in the Cart Record dialog in RDLibrary
	so that it merely warns about saving an expired cut, rather than
	preventing it.
2005-03-30 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'GROUPS.DEFAULT_CART_TYPE' field to the database.
	* Incremented the database version to 72.
	* Added 'defaultCartType()' and 'setDefaultCartType()' methods to
	RDGroup in 'lib/rdgroup.cpp'.
	* Added a 'Default Cart Type' control to the EditGroup dialog in
	RDAdmin.
	* Added logic to 'rdlibrary/add_cart.cpp' to implement Default
	Cart Type preselection.
	* Added logic to 'rdlibrary/rdlibrary.cpp' so set the default
	group to the currently selected filtering group.
2005-04-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDAIRPLAY.DEFAULT_TRANS_TYPE' field to the database.
	* Incremented the database version to 73.
	* Added 'defaultTransType()' and 'setDefaultTransType()' methods
	to RDAirPlayConf in 'lib/rdairplay_conf.cpp'.
	* Added a 'Default Transition Type' control to the RDAirPlay
	configuration dialog in RDAdmin.
2005-04-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing duplicate
	'stateChanged()' signals to be emitted.
2005-04-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdlog_line.cpp' that was causing invalid
	returns to 'startPoint()' and 'endPoint()'.
	* Fixed a bug in 'rdairplay/loglinebox.cpp' that was causing the
	Talk Time field to fail to be cleared.
	* Change the logic in 'rdairplay/loglinebox.cpp' to show ':00' for
	events with zero talk time.
	* Fixed a bug in 'rdairplay/edit_event.cpp' that was causing a
	segfault when trying to modify an event with no valid cut.
2005-04-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added logic to 'lib/rdplay_deck.cpp' so as to prevent a rotator
	event from advancing when resuming from a paused state.
2005-04-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing the log
	to stall when attempting to execute an event with no valid cut.
2005-04-11 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdlog_line.cpp' that was returning an
	invalid segueLength() for cuts with no segue marker set.
2005-04-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/list_svcs.cpp' that was causing orphaned
	service name entries to be left in the 'SERVICE_PERMS',
	'AUDIO_PERMS' and 'AUTOFILLS' tables after deleting the service.
	* Fixed a bug in 'rdadmin/list_svcs.cpp' that was causing orphaned
	service name entries to be left in the 'SERVICE_PERMS',
	'RDAIRPLAY', 'RDLIBRARY', 'MATRICES', 'GPIS' and 'HOSTVARS' tables
	after deleting the host.
2005-04-24 Dan Mills <dmills@spamblock.demon.co.uk>
	* Applied patch from darrick to fix 0000007: cae shmctl remove 
	block bug. Shmctl to remove a pre existing meter block left from 
	a cae crash is called with memory key but should be called with id 
	instead. Status set to resolved. 
2005-04-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added a '[Hacks]' section to rd.conf(5).
	* Added a 'UseStreamMeters=' directive in the [Hacks] section of
	rd.conf(5).
	* Added a hack to 'cae/cae_hpi.cpp' to allow stream meters to be
	used if the 'UseStreamMeters=' directive is set to 'Yes'.
	* Added a 'useStreamMeters()' method to 'lib/rdconfig.cpp'.
	* Added logic to 'rdairplay/rdairplay.cpp' to hide the audio meter
	if the 'UseStreamMeters=' directive is set to 'Yes'.
	* Updated 'SupportedCards'.
2005-04-24 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/edit_deck.cpp' that was setting an
	invalid format type in the database.
2005-04-26 Fred Gleason <fredg@salemradiolabs.com>
	* Reenabled ALSA build support in 'configure.in'.
	* Implemented direct ALSA playout support for
	SND_PCM_FORMAT_S32_LE devices in 'cae/cae_alsa.cpp'.
2005-04-28 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented direct ALSA playout support for
	SND_PCM_FORMAT_S16_LE devices in 'cae/cae_alsa.cpp'.
	* Fixed a bug in 'cae/cae.cpp' that was failing to kill active
	events when the event's controlling connection terminated.
2005-04-29 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented the basic structure for ALSA capture support.
2005-04-29 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented direct ALSA capture support for
	SND_PCM_FORMAT_S16_LE devices in 'cae/cae_alsa.cpp'.
	* Implemented direct ALSA capture support for
	SND_PCM_FORMAT_S32_LE devices in 'cae/cae_alsa.cpp'.
2005-04-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_alsa.cpp' that had broken cursor updates
	in RDLibrary's Marker Editor when using ALSA output.
	* Added notes on configuration for use with ALSA in 'docs/ALSA.txt'.
2005-04-29 Fred Gleason <fredg@salemradiolabs.com>
	* Added notes on building ALSA support in 'INSTALL'.
	* Added a '--disable-alsa' switch to the configure script in
	'configure.in'.
2005-05-02 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was opening a
	connection to CAE using a compiled-in password.
2005-05-03 Fred Gleason <fredg@salemradiolabs.com>
	* Enabled log output for inactive and non-matching DOW event list 
	entries in /rdcatchd/rdcatchd.cpp'.
	* Added a test for Secret Rabbit Code in 'configure.in'.
	* Implemented on-the-fly sample rate conversion for the JACK
	driver.
	* Fixed endian-dependencies in 'cae/cae_jack.cpp'.
	* Implemented on-the-fly sample rate conversion for the ALSA
	driver.
2005-05-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added a note on Secret Rabbit Code to 'INSTALL'.
2005-05-04 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing an Abort
	of a recording event waiting for a GPI event to be ignored.
2005-05-04 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'exists()' method to RDMatrix in 'lib/rdmatrix.cpp'.
	* Added code in 'rdcatch/edit_recording.cpp' to enforce sane
	time and GPI values in the Edit Recording dialog.
	* Fixed a bug in 'rdcatch/add_recording.cpp' that was causing a
	corrupt catch event to be created if the escape key was pressed
	while in the Add Event dialog.
2005-05-05 Dan Mills <dmills@spamblock.demon.co.uk>
	* Rdlibrary now defaults the start marker to zero and the end 
	marker to the end of the audio rather then leaving them unset. 
 	*rdlog_line now uses the rdcart class to handle the SQL query 
	for markers and handles unset markers gracefully.
	* Both of these in aid of fixing bug #20.
2005-05-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_alsa.cpp' that was causing segue
	overlaps to be abnormally short.
	* Fixed a bug in 'cae/cae_jack.cpp' that was segue overlaps act
	like play transitions.
	* Fixed a bug in 'cae/cae_jack.cpp' that was causing segue
	overlaps to be abnormally short.
2005-05-06 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed a bug in lib/rdsoundpanel.cpp that was causing RML PT 
	commands to non configured buttons to crash rdairplay. 
	Hopefully sorts out bug # 34
2005-05-08 Dan Mills <dmills@spamblock.demon.co.uk>
	* made CAED config error messages more helpful.
2005-05-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing events
	with a FadeUp marker set to repeat the fadeup when resuming from a
	PAUSED state.
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing unreliable
	FadeUp operation.
	* Fixed a bug in 'cae/cae_jack.cpp' that was causing
	FadeUp/FadeDown times to be incorrectly calculated.
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing the state
	of the play deck to fail to be initialized correctly when loading
	a new event.
	* Fixed a bug in 'cae/cae_alsa.cpp' that was causing
	FadeUp/FadeDown times to be incorrectly calculated.
2005-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae.cpp' that was causing the build to break
	when building without SRC support.
	* Updated the 'INSTALL' file.
	* Updated the 'NEWS' file.
	* Updated the 'SupportedCards' file.
	* Updated the package version to 0.9.31.
2005-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcut.cpp' that was causing the build to 
	break under Windows.
2005-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added a test for the format conversion functions in Secret
	Rabbit Code in 'configure.in'.
	* Updated the package version to 0.9.32.
2005-05-10 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed in a bug in 'configure.in' that was failing to detect the
	format conversion functions in Secret Rabbit Code.
2005-05-11 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_alsa.cpp' that was causing distorted
	playout for ALSA devices using period quantities greater then 2.
2005-05-11 Dan Mills <dmills@spamblock.demon.co.uk>
	* Checked in start on fixes for logs crossing midnight issues.
	* Attempted to reduce flickering of next stop widget (not totally
	successful - it is inherent in updating pixmaps on buttons).
2005-05-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was casuing fade
	events to use a low limit of RD_MUTE_DEPTH rather than
	RD_FADE_DEPTH.
	* Fixed in bug in 'cae/cae_alsa.cpp' that was calculating
	incorrect fade durations.
	* Fixed in bug in 'cae/cae_jack.cpp' that was calculating
	incorrect fade durations.
2005-05-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in 'rdairplay/log_play.cpp' that was causing a PAUSED
	event to resume with the incorrect audio (Mantis #42).
	* Updated the package version to 0.9.33.
2005-05-17 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in 'rdlibrary/edit_audio.cpp' that was causing
	incorrect calculation of cart length when 'Enforce Length' was
	checked.
	* Fixed a bug in 'lib/rdcart.cpp' that was causing the
	'updateLength()' method to fail if called with ENFORCE_LENGTH
	enabled.
	* Added code to 'rdlibrary/rdlibrary.cpp' to show Cart Length in
	green if ENFORCE_LENGTH is enabled for that cart.
2005-05-17 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'TS' [Timescale Supported] command to the CAE protocol
	spec.
	* Incremented the CAE protocol spec version to 0.9.1.
	* Implemented a 'TS' [Timescale Supported] command in caed(8).
	* Added support for the 'TS' [Timescale Supported] command for the
	RDCae class in 'lib/rdcae.cpp'.
2005-05-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'timescalingActive()' and 'setTimescalingActive()' methods
	to RDLogLine in 'lib/rdlog_line.cpp'.
	* Added a 'requestTimescale()' method to RDCae in 'lib/rdcae.cpp'.
	* Added a 'timescalingSupported()' signal to RDCae in
	'lib/rdcae.h'.
	* Added code to 'rdairplay/loglinebox.cpp' to display the Length
	field in blue if timescaling is active for the event.
	* Implemented timescaling support in RDSoundPanel.
	* Fixed a bug in 'lib/rdlog_line.cpp' that was causing
	RDLogLine::loadCart() to fail to load the ENFORCE_LENGTH
	attribute.
2005-05-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added a sanity check to the Edit Cart dialog in RDLibrary to 
	warn about saving carts with parameters that exceed the 
	timescaling limits of the system.
	* Added logic to grey-out the 'Enforce Length' checkbox in the
	Edit Cart dialog when editing a macro cart.
2005-05-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a '%r' Now&Next Now&Next macro.
2005-05-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'CLOCK_PERMS' and 'EVENT_PERMS' tables to the database.
	* Incremented the database version to 74.
	* Added a 'Service Associations' dialog box in 
	'rdlogmanager/edit_perms.cpp'.
	* Added a 'Filter' list in the 'List Events' dialog in
	'rdlogmanager/list_events.cpp'.
2005-05-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Filter' control to RDLogManager's List Events dialog
	in 'rdlogmanager/list_events.cpp'.
	* Added a 'Filter' control to RDLogManager's List Clocks dialog
	in 'rdlogmanager/list_clocks.cpp'.
2005-05-24 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented 'AL' ['Set Audio Passthrough Level'] CAE command
	support for the HPI driver.
	* Added a 'MATRICES.CARD' field to the database.
	* Updated the database version to 75.
	* Added 'card()' and 'setCard()' methods to RDMatrix in
	'lib/rdmatrix.cpp'.
	* Added a 'Local Audio Adapter' switcher driver.
	* Implemented the 'ST', 'SA', 'SR' and 'SX' RMLs for the 'Local
	Audio Adapter' driver.
2005-05-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Monitor Deck' section to the Edit Decks dialog in
	RDAdmin->RDCatch in in 'rdadmin/edit_decks.cpp'.
	* Added a 'DECKS.MON_PORT_NUMBER' field	to the database.
	* Incremented the database version to 76.
	* Added 'monitorPortNumber()' and 'setMonitorPortNumber()' methods
	to RDDeck in 'lib/rddeck.cpp'.
	* Added a 'Monitor Port' control to RDAdmin's Configure RDCatch
	dialog in 'rdadmin/edit_decks.cpp'.
	* Added a 'monitor()' method to RDCatchConnect in
	'lib/rdcatch_connect.cpp'
	* Added a 'monitorChanged()' signal to RDCatchConnect in
	'lib/rdcatch_connect.h'.
	* Added code to 'cae/cae.cpp' to mute all passthrough channels
	when starting up caed(8).
2005-05-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdcatch/deckmon.cpp' to disable the Monitor button
	on non-local status monitors.
2005-05-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdcatch/rdcatch.cpp' to disable the Monitor button
	if no monitor port is configured for the corresponding record
	deck.
2005-05-25 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented 'AL' ['Set Audio Passthrough Level'] CAE command
	support for the JACK driver.
2005-05-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae_alsa.cpp' that was causing incorrect
	input meter levels.
	* Implemented 'AL' ['Set Audio Passthrough Level'] CAE command
	support for the ALSA driver using signed 32 integer sample format.
2005-05-31 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented 'AL' ['Set Audio Passthrough Level'] CAE command
	support for the ALSA driver using signed 16 integer sample format.
	* Fixed a bug in 'cae/cae_jack.cpp' that was causing audio
	passthroughs to mute active output streams.
2005-05-31 Fred Gleason <fredg@salemradiolabs.com>
	* Added usage notes on the Local Audio Adapter switcher driver to
	'docs/SWITCHERS.txt'.
2005-05-31 Fred Gleason <fredg@salemradiolabs.com>
	* Added an input field to 'scripts'rd_import_file' for the source
	audio format.
	* Fixed a bug in 'scripts/rd_import_file' that had broken imports
	to MPEG L2 format.
2005-06-01 Fred Gleason <fredg@salemradiolabs.com>
	* Changed 'scripts/rd_import_file' to use mpg321(1) instead of
	mpg123(1).
2005-06-01 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'INSTALL' file.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.34.
2005-06-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing incorrect
	audio to play in Audition in RDAirPlay (Mantis bug #47).
2005-06-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_import_file' that was causing .mp2
	file imports to fail.
	* Added import support for ATX file format.
2005-06-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'utils/rdimport.cpp' that was causing all imports
	to fail (Mantis bug #48).
2005-06-05 Fred Gleason <fredg@salemradiolabs.com>
	* Moved 'utils/sas_filter.cpp' to 'importers/sas_filter.cpp'.
	* Moved 'utils/sas_filter.h' to 'importers/sas_filter.h'.
2005-06-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added I18N support to the build system.
2005-06-11 Fred Gleason <fredg@salemradiolabs.com>
	* Added the 'tr()' wrapper to strings in 'lib/rdadd_log.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdbutton_dialog.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdcardselector.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdcart_dialog.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdcut_dialog.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdcut_path.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdedit_settings.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdexception_dialog.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdgpioselector.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdpasswd.cpp'.
	* Added the 'tr()' wrapper to strings in 'lib/rdsound_panel.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_group.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_hostvar.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_matrix.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_report.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_station.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_svc.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/add_user.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/autofill_carts.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_audios.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_backup.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_decks.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_endpoint.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_gpi.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_group.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_hostvar.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_matrix.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_now_next.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_rdairplay.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_rdlibrary.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_report.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_station.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_svc.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_svc_perms.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_ttys.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/edit_user.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/info_dialog.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_endpoints.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_gpis.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_groups.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_hostvars.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_matrices.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_reports.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_stations.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_svcs.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/list_users.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/login.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/mysql_login.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/opendb.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/rdadmin.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/rename_group.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/test_import.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdadmin/view_adapters.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/edit_event.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/list_log.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/list_logs.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/loglinebox.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/mode_display.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/post_counter.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/rdairplay.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/start_button.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdairplay/stop_counter.cpp'.
	* Added QT_TR_NOOP() macros to strings in 'rdairplay/colors.h'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/add_recording.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/deckmon.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/edit_cartevent.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/edit_recording.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdcatch/edit_switchevent.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/rdcatch.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlibrary/add_cart.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/audio_cart.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/cdripper.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/edit_audio.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/edit_cart.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/edit_macro.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/filter.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/import_audio.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/macro_cart.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/rdlibrary.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdcatch/record_cut.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/add_meta.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/edit_chain.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/edit_log.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/edit_logline.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/edit_marker.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/list_logs.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogedit/rdlogedit.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogin/rdlogin.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/add_clock.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/add_event.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/edit_clock.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/edit_event.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/edit_eventline.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/edit_grid.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/edit_note.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/edit_perms.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/export_deltaflex.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/generate_log.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/generate_Report.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/import_listview.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/list_clocks.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/list_events.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/list_grids.cpp'.
	* Added the 'tr()' wrapper to strings in 
	'rdlogmanager/rdlogmanager.cpp'.
	* Added the 'tr()' wrapper to strings in 'utils/rdgpimon.cpp'.
	* Added the 'tr()' wrapper to strings in 'rdlogmanager/rmlsend.cpp'.
	* Added code to load translation data in 'utils/rmlsend.cpp'.
	* Added code to load translation data in 'utils/rdgpimon.cpp'.
	* Added code to load translation data in 'rdadmin/rdadmin.cpp'.
	* Added code to load translation data in 'rdairplay/rdairplay.cpp'.
	* Added code to load translation data in 'rdcatch/rdcatch.cpp'.
	* Added code to load translation data in 'rdlibrary/rdlibrary.cpp'.
	* Added code to load translation data in 'rdlibrary/rdlogedit.cpp'.
	* Added code to load translation data in 'rdlibrary/rdlogin.cpp'.
	* Added code to load translation data in 
	'rdlogmanager/rdlogmanager.cpp'.
2005-06-11 Fred Gleason <fredg@salemradiolabs.com>
	* Cleaned up code warnings.
2005-06-11 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogin/rdlogin.pro' that was causing the 'make
	install' target to break.
2005-06-11 Fred Gleason <fredg@salemradiolabs.com>
	* Removed 'local_macros'h' from the HEADERS rule in
	'rdairplay/'rdairplay.pro', which was causing a spurious error
	message.
2005-06-12 Dan Mills <dmills@spamblock.demon.co.uk>
	* backed out one of the cleanups (lib/rdpanel_button.cpp) that was 
	causing rdairplay to fail to startup with some button names. 
	Fixed warnings by scattering a few casts around instead. 
	Mantis issue # 51.
2005-06-11 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'helpers/rdtrans.sh' and 'helpers/rdpack.sh' utilities.
2005-06-12 Fred Gleason <fredg@salemradiolabs.com>
	* Retired the 'USERS.ADMIN_USERS_PRIV' field in the database.
	* Removed the 'Administer Users' checkbox from
	RDAdmin->ManageUsers.
	* Retired the 'USERS.ASSIGN_CART_PRIV' field in the database.
	* Removed the 'Assign Carts' checkbox from
	RDAdmin->ManageUsers.
2005-06-12 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed uninitialised variable in the post counter class.
	It probably did not hurt anything, but I am just trying to be 
	valgrind clean.
2005-06-12 Fred Gleason <fredg@salemradiolabs.com>
	* Removed 'adminUsers()', 'setAdminUsers()', 'assignCarts()' and
	'setAssignCarts()' methods from RDUser in 'lib/rduser.cpp'.
	* Added a 'USER_PERMS' table to the database.
	* Incremented the database version to 77.
	* Added an 'EditUserPerms' dialog in
	'rdadmin/edit_user_perms.cpp'.
	* Added an RDAllCartSearchText()' function in
	'lib/rdcartsearchtext.cpp'.
2005-06-12 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdlibrary/edit_carts.cpp' to enforce the 'Modify
	Carts' attribute.
	* Added code to 'rdlibrary/macro_cart.cpp' to enforce the 'Modify
	Carts' attribute.
	* Added code to 'rdlibrary/audio_cart.cpp' to enforce the 'Edit
	Audio' attribute.
2005-06-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdlibrary/add_cart.cpp' to implement user
	permissioned groups.
	* Added code to 'rdlibrary/record_cut.cpp' to enforce the 'Modify
	Carts' attribute.
	* Added code to 'rdlibrary/record_cut.cpp' to enforce the 'Edit
	Audio' attribute.
	* Added code to 'rdlibrary/edit_audio.cpp' to enforce the 'Edit
	Audio' attribute.
2005-06-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdcatch/rdcatch.cpp' to enforce the 'Edit
	Netcatch Schedule' attribute.
2005-06-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdlogedit/rdlogedit.cpp' to enforce the 'Create
	Log' attribute.
	* Added code to 'rdlogedit/rdlogedit.cpp' to enforce the 'Delete
	Log' attribute.
	* Added code to 'rdlogedit/edit_log.cpp' to enforce the 'Create
	Log' attribute.
	* Added code to 'rdlogedit/edit_log.cpp' to enforce the 'Add To
	Log' attribute.
	* Added code to 'rdlogedit/edit_log.cpp' to enforce the 'Remove
	From Log' attribute.
	* Added code to 'rdlogedit/edit_log.cpp' to enforce the 'Arrange
	Log' attribute.
2005-06-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'USERS.MODIFY_TEMPLATE_PRIV' field to the database.
	* Incremented the database version to 78.
	* Added 'RDUser::modifyTemplate()' and
	'RDUser::setModifyTemplate()' methods to 'lib/rduser.cpp'.
	* Added a 'Modify Template' control to RDAdmin->EditUser in
	'rdadmin/edit_users.cpp'.
	* Added code to 'rdlogmanager/rdlogmanager.cpp' to enforce the 'Create
	Log' attribute.
	* Added code to 'rdlogmanager/rdlogmanager.cpp' to enforce the
	'Modify Template' attribute.
2005-06-13 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdairplay/rdairplay.cpp' to enforce the
	'Add To Log' attribute.
	* Added code to 'rdairplay/rdairplay.cpp' to enforce the
	'Remove From Log' attribute.
	* Added code to 'rdairplay/rdairplay.cpp' to enforce the
	'Rearrange Log' attribute.
	* Added code to 'rdairplay/rdairplay.cpp' to enforce the
	'Play Log' attribute.
	* Added code to 'rdairplay/list_log.cpp' to enforce the
	'Play Log' attribute.
	* Added code to 'rdairplay/list_logs.cpp' to enforce the
	'Create Log' attribute.
2005-06-14 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the logic in RDAirPlay to restrict the available list of
	audio groups to the ORed set of loaded log services.  If no logs
	are loaded, then use the 'allowed' service set from SERVICE_PERMS
	as before.
	* Changed the logic in RDLogEdit so that the ability to reassign
	log membership to a service is controlled by the 'Create Log'
	rather than the 'Modify Log' attribute.
2005-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'GROUPS.ENFORCE_CART_RANGE' field to the database.
	* Incremented the database version to 79.
	* Rewrote the 'ListGroups' dialog in 'rdadmin/list_Groups.cpp' to
	use a QListView widget.
	* Added 'RDGroup::enforceCartRange()' and
	'RDGroup::setEnforceCartRange()' methods in 'lib/rdgroup.cpp'.
	* Added an 'Enforce Cart Range' control to the Edit Group dialog
	in 'rdadmin/edit_group.cpp'.
	* Added code to 'rdadmin/edit_group.cpp' to detect conflicts in
	cart number ranges.
	* Implemented cart range enforcement in 'rdlibrary/add_cart.cpp'.
2005-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added logic to RDAdmin->AddGroup to enable all services by
	default in 'rdadmin->add_group.cpp'.
	* Fixed a bug in 'rdadmin/list_groups.cpp' that was causing the
	line for a newly-created group to be stuck in a 'selected' state.
	* Added logic to RDAdmin->AddGroup to enable all groups by
	default in 'rdadmin->add_svc.cpp'.
	* Added logic to RDAdmin->AddGroup to enable all hosts by
	default in 'rdadmin->add_svc.cpp'.
	* Added logic to RDAdmin->AddGroup to enable all services by
	default in 'rdadmin->add_station.cpp'.
2005-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Rewrote RDAdmin's List Users dialog for consistent UI operation.
	* Rewrote RDAdmin's List Services dialog for consistent UI operation.
	* Rewrote RDAdmin's List Hosts dialog for consistent UI operation.
	* Rewrote RDAdmin's List Reports dialog for consistent UI operation.
	* Rewrote RDAdmin's List Inputs/Output dialog for consistent UI 
	operation.
2005-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' where the Segue, Talk,
	Hook and FadeUp/FadeDown markers were not being reset when making
	a new recording.
2005-06-15 Dan Mills <dmills@spamblock.demon.co.uk>
	* Fixed problem dropping root when euid = 0, but uid !=0.
	I think this was the problem at KDAR with rdcatchd creating carts
	with root ownership. Mantis bug # 30.
2005-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/list_events.cpp' that was causing
	the event list to shift focus after editing an event.
	* Fixed a bug in 'rdlogmanager/list_clocks.cpp' that was causing
	the event list to shift focus after editing a clock.
2005-06-15 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RenameItem' dialog in 'rdlogmanger/rename_item.cpp'.
	* Added a 'Rename' button to the List Events dialog in
	RDLogManager.
	* Added a 'Rename' button to the List Clocks dialog in
	RDLogManager.
2005-06-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability in RDLogManager's Grid Editor to right-click
	on a clock button to edit the clock.
	* Added a 'ClockListview' class in
	'rdlogmanager/clock_listview.cpp'.
	* Added the ability in RDLogManager's Clock Editor to right-click
	on an event entry to edit the event.
2005-06-16 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was causing the
	daypart controls to remain active for evergreen cuts.
2005-06-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added an importer for the Crown 'Wings' system in
	'importers/wings_filter.cpp'.
2005-06-21 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bug in 'utils/rmlsend.cpp', 'rdlogedit/rdlogedit.cpp' and
	'rdlogmanager/rdlogmanager.cpp' that was causing the build to
	break under Windows.
2005-06-23 Fred Gleason <fredg@salemradiolabs.com>
	* Disabled installation of sas_filter(1) and wings_filter(1).
	* Incremented the package version to 0.9.35.
2005-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RDListView::SortType' enum in
	'lib/rdlistview.h'.
	* Added 'RDListView::columnSortType()' and
	'RDListView::setColumnSortType()' methods in 'lib/rdlistview.cpp'.
	* Fixed a bug in 'rdlibrary/rdlirary.cpp' that was causing the
	'Length' column in the cart list to be sorted alphabetically
	rather than by length value.
	* Fixed a bug in 'rdlibrary/audio_cart.cpp' that was causing the
	'Length' column in the cart list to be sorted alphabetically
	rather than by length value.
2005-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcart_search_text.cpp' that had broken the
	Filter in RDLibrary when set to show all carts.
2005-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'Origin' column to the event list in RDCatch.
2005-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/list_events.cpp' that was failing
	to refresh the events list after using SaveAs to add new events.
	* Fixed a bug in 'rdlogmanager/list_clocks.cpp' that was failing
	to refresh the clocks list after using SaveAs to add new clocks.
	* Added code to 'rdlogmanager/add_clock.cpp' to default a new
	clock name to the name of current clock when doing SaveAs.
	* Added code to 'rdlogmanager/add_event.cpp' to default a new
	event name to the name of current event when doing SaveAs.
2005-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'NONE' filter option to the Log Events dialog in
	RDLogManager to filter for events that have no service
	associations.
	* Added a 'NONE' filter option to the Log Clocks dialog in
	RDLogManager to filter for clocks that have no service
	associations.
2005-06-24 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.36.
2005-06-26 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/edit_event.cpp' that was prevending
	editing of non-audio cart events.
2005-06-26 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdevent_line.cpp' that was causing auto
	event inserts to go into an infinite loop if inserted near
	midnight at the end of a log.
	* Added a sanity check to the RDAdmin Add Group dialog in
	'rdadmin/add_group.cpp' to prevent creation of a group with no
	name.
	* Added a sanity check to the RDAdmin Add User dialog in
	'rdadmin/add_user.cpp' to prevent creation of a user with no
	name.
	* Fixed a bug in 'rdadmin/add_user.cpp' that was allowing creation
	a username containing spaces.
	* Added a sanity check to the RDAdmin Add Service dialog in
	'rdadmin/add_svc.cpp' to prevent creation of a service with no
	name.
	* Added a sanity check to the RDAdmin Add Host dialog in
	'rdadmin/add_station.cpp' to prevent creation of a host with no
	name.
	* Added logic to RDLogManager's Click List Dialog to place default
	focus on the last placed clock on a grid.
	* Incremented the version number 0.9.37.
2005-06-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing
	incorrect outcue data to be displayed for rotating events.
	* Fixed a bug in 'rdlibrary/import_audio.cpp' that was causing
	imported audio to have an incorrect length assigned when imported
	with autotrim enabled.
2005-06-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/pie_counter.cpp' that was causing
	extraneous blue lines to appear in the Pie Widget display.
2005-06-29 Dan Mills <dmills@spamblock.demon.co.uk>
	* Backed out change made on the 15th to dropping of root. 
	Mantis #30, I would swear that I had committed this allready!
	Sorry KDAR, this one goes a little deeper then I thought.
	Mantis issue reopened.
2005-06-30 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'SERVICES.TFC_ANNC_TYPE_OFFSET',
	'SERVICES.TFC_ANNC_TYPE_LENGTH', 'SEVICES.MUS_ANNC_TYPE_OFFSET'
	and 'SERVICES.MUS_ANNC_TYPE_LENGTH' fields to the database.
	* Added an 'EXT_ANNC_TYPE' field to the log table format.
	* Added an 'EVENT_SOURCE' field to the reconciliation table
	format.
	* Added an 'EXT_ANNC_TYPE' field to the reconciliation table
	format.
	* Added 'REPORTS.FORCE_TFC' and 'REPORTS.FORCE_MUS' fields to the
	database.
	* Changed the default value for the 'GROUPS.REPORT_TFC' and
	'GROUPS.REPORT_MUS' fields to 'Y'.
	* Incremented the database version to 80.
	* Added 'RDLogLine::extAnncType()' and
	'RDLogLine::setExtAnncType()' methods in 'lib/rdlog_line.cpp'.
	* Added an 'ImportField::ExtAnncType' to the RDSvc::ImportField
	enum in 'lib/rdsvc.h'.
	* Added parser parameter controls for the 'Announcement Type'
	attribute in 'rdadmin/edit_svc.cpp'
	* Added an 'Announcement Type' column in
	'rdadmin/test_import.cpp'.
	* Added a 'RDLogLine::clearExternalData()' method in
	'lib/rdlog_line.cpp'.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing
	external scheduler data to be propagated into copied log events.
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing a
	segfault when trying to cut or delete items containing the 
	'-- End	of log --' entry.
	* Added checkbox controls to 'rdadmin/edit_report.cpp' to force
	export of events originating from the traffic and/or music log to
	a report.
	* Modified 'rdlogmanager/export_deltaflex.cpp' to produce report
	output that conforms to 'DeltaFlex Electronic Log Reconciliation
	Standard version 2.01'.
2005-07-01 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'INSTALL' file.
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.38.
2005-07-05 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/edit_event.cpp' that was causing
	the hard time transition type to always show up as 'Stop'.
2005-07-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'DiskRipper' dialog in 'rdlibrary/disk_ripper.cpp'.
	* Added a 'Clear' button to the Cut Selector dialog in
	'lib/rdcut_dialog.cpp'.
2005-07-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDCmdCache' class in 'lib/rdcmd_cache.cpp'.
	* Rewrote the 'RDCae' class in 'lib/rdcae.cpp' to eliminate a race
	condition that was causing trainwreck when processing multiple 
	'Load Play' commands.
2005-07-07 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/rdadmin.cpp' that was causing the 
	database to fail to be upgraded to the proper database version
	after a database restore.
2005-07-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdlibrary/disk_ripper.cpp' to prevent the
	assignment of the same cut to multiple CD tracks.
2005-07-07 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.39.
2005-07-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added an init script for Gentoo Linux in 'rivendell-gentoo'.
2005-07-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added logic to 'cae/cae.cpp' to properly assign thread
	scheduling policies and priorities.
	* Removed code from 'cae/cae.cpp' for dropping root permissions.
	* Added code to 'cae/cae_hpi.cpp', 'cae/cae_alsa.cpp' and
	'cae/cae_jack.cpp' to assign proper file ownership when creating a
	new file.
2005-07-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added a call to 'mlockall()' to 'cae/cae.cpp'.
2005-07-10 Fred Gleason <fredg@salemradiolabs.com>
	* Added logic to 'rdadmin/edit_user.cpp' to disallow the assignment
	of Production, Traffic or OnAir rights to users with
	Administrative rights.
	* Modified RDLogin to user a dropdown list of usernames.
2005-07-11 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/createdb.cpp' that was failing to update
	the preimport and postimport event lists in the database schema
	properly.
	* Incremented the database version to 81.
	* Incremented the package version to 0.9.40.
2005-07-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/disk_ripper.cpp' that was causing only
	the last ripped track to have it's CDDB data applied.
2005-07-13 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcae.cpp' that was causing CAE to lock up
	when RDCae::positionPlay()' was called with a play position past
	the end of a load file.
2005-07-13 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.41.
2005-07-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Set Display' ['SD'] RML in 'docs/rml.sxw'.
2005-07-14 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RDMatrix::LogtekVguest' to the RDMatrix::Type enum in
	'lib/rdmatrix.h'.
	* Added 'INPUTS.ENGINE_NUM', 'INPUTS.DEVICE_NUM',
	'OUTPUTS.ENGINE_NUM' and 'OUTPUTS.DEVICE_NUM' fields to the
	database.
	* Added support for Logitek Engine ID and Device ID in
	'rdadmin/list_endpoints.cpp' and 'rdadmin/edit_endpoint.cpp'.
	* Added 'MATRICES.USERNAME' and 'MATRICES.PASSWORD' field to the
	database.
	* Incremented the database version to 82.
	* Added 'RDMatrix::username()', 'RDMatrix::SetUsername()',
	'RDMatrix::password()' and 'RDMatrix::setPassword()' methods in
	'lib/rdmatrix.cpp'.
	* Added 'Username' and 'Password' controls to
	'rdadmin/edit_matrix.cpp'.
	* Added a Logitek vGuest driver in 'ripcd/vguest.cpp'.
	* Added a 'VGUEST_RESOURCES' table to the database.
	* Added a RDMatrix::VguestType enum in 'lib/rdmatrix.h'.
	* Added a 'ListVguestResources' dialog in
	'rdadmin/list_vguest_resources.cpp'.
	* Added an 'EditVguestResource' dialog in
	'rdadmin/edit_vguest_resource.cpp'.
	* Added 'MATRICES.FADERS' and 'MATRICES.DISPLAYS' fields to the
	database.
	* Added 'Faders' and 'Displays' controls to
	'rdadmin/edit_matrix.cpp'.
	* Added a 'Set Display' ['SD'] RML to RDMacro in 'lib/rdmacro.h'.
	* Incremented the package version to 0.9.42.
2005-07-14 Fred Gleason <fredg@salemradiolabs.com>
	* Commented out RD_USE_MYSQL_EXTENSIONS in 'lib/rd.h'.
	* Incremented the package version to 0.9.43.
2005-07-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'ripcd/ripcd.cpp' that was causing infinite
	recursion of certain RML commands.
	* Incremented the package version to 0.9.44.
2005-07-15 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_import_file' that was causing imports
	of .ATX' files to fail.
2005-07-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed bugs in 'cae/cae_alsa.cpp', 'cae/cae_hpi.cpp',
	'cae/cae_jack.cpp' and 'cae/cae.cpp' that were causing caed(8) to
	trainwreck when processing a 'PP' command with a position value
	greater than the length of the open file.
	* Added usage notes for the Logitek vGuest driver in
	'docs/SWITCHERS.txt'.
	* Updated the 'NEWS' file.
2005-07-18 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.45.
2005-07-18 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae.cpp' that was causing the build to break
	when compiled without ALSA support.
2005-07-19 Dan Mills <dmills@spamblock.demon.co.uk>
	* Modified the pie timer so that it has a 'last ten seconds' ring.
2005-07-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a syntax error in 'rdairplay/pie_counter.cpp' that was
	causing the build to break.
2005-07-19 Dan Mills <dmills@spamblock.demon.co.uk>
	* Modified the pie timer last seconds ring to use the PIE_COUNTS_LAST 
	value set in rdadmin rather then a hard coded 10 seconds, this also 
	appears to have fixed the problem with carts set to transition.
2005-07-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcart.cpp' that was causing Random cut
	scheduling to fail.
2005-07-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'install-debian' target to 'Makefile.am'.
	* Added a 'debian/' directory for Debian-specific package build
	data.
	* Added 'changelog', 'control', 'copyright',
	'rivendell.conffiles', rivendell.docs', rivendell.examples',
	'rivendell.init', 'rivendell.postinst', 'rivendell.postrm' and
	'rules' files in 'debian/'.
	* Updated the 'Authors' file.
2005-07-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'Type::Download' and 'Type::Upload' values to
	'RDRecording::Type' in 'lib/rdrecording.h'.
	* Added 'ExitCode::Downloading', 'ExitCode::Uploading' and
	'ExitCode::ServerError' values to 'RDRecording::ExitCode' in
	'lib/rdrecording.h'.
	* Added a download icon in 'icons/download.xpm'.
	* Added an upload icon in 'icons/upload.xpm'.
	* Added an Edit Download dialog in 'rdcatch/edit_download.cpp'.
	* Added 'RECORDINGS.URL', 'RECORDINGS.URL_USERNAME' and
	'RECORDINGS.URL_PASSWORD' fields to the database.
	* Incremented the database version to 83.
	* Added 'RDRecording::url()', 'RDRecording::setUrl()',
	'RDRecording:urlUsername()', 'RDRecording::setUrlUsername()',
	'RDRecording::urlPassword()' and 'RDRecording::setUrlPassword()'
	methods in 'lib/rdrecording.cpp'.
2005-07-22 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'file:' protocol download support to rdcatchd(8).
2005-07-22 Dan Mills <dmills@spamblock.demon.co.uk>
	* Modified lib/rdgroup_list.cpp to match irrespective of case.
	This fixes a problem where rdimport would import cars where the 
	group was a lower case vewrsion of the group in the database.
	rdlogedit would then refuse to allow these carts to be put into a log. 
2005-07-23 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'RDDateTimeDecode()' function in 'lib/rddatedecode.cpp'.
	* Implemented date/time wildcards in the URL field for RDCatch 
	download events.
2005-07-24 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented download support for http:, https: ftp: and smb:
	protocols in RDCatch.
	* Added dependencies for 'wget', 'samba-client' and 'lukemftp' to
	'rivendell.spec.in'.
	* Updated the 'INSTALL' file.
2005-07-24 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdlog_line.cpp' that was causing execution
	of macro carts to segfault RDAirPlay.
2005-07-25 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'HAVE_OGGENC', 'HAVE_OGG123', 'HAVE_FLAC', 'HAVE_LAME',
	'HAVE_MPG321', 'CARD<n>_DRIVER', 'CARD<n>_NAME', 'CARD<n>_INPUTS',
	'CARD<n>_OUTPUTS', 'HPI_VERSION', 'JACK_VERSION' and
	'ALSA_VERSION' fields to the 'STATIONS' table in the database.
	* Incremented the database version to 84.
	* Added 'RDStation::scanned()', 'RDStation::setScanned()',
	'RDStation::haveCapability()', 'RDStation::setHaveCapability()',
	'RDStation::cardName()', 'RDStation::setCardName()',
	'RDStation::cardInputs()', 'RDStation::setCardInputs()',
	'RDStation::cardOutputs()', 'RDStation::setCardOutputs()',
	'RDStation::cardDriver()', 'RDStation::setCardDriver()',
	'RDStation::driverVersion()' and 'RDStation::setDriverVersion()'
	methods in 'lib/rdstaiton.cpp'.
	* Rewrote caed(8) to use the RDConfig configuration class.
	* Updated 'docs/ALSA.txt' with info on creating ctl devices.
2005-07-25 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'cae/cae.cpp' that was causing a segfault when
	started with no HPI devices present.
	* Removed the 'View Adapters' button from the System Info dialog
	in RDAdmin.
	* Added an 'Audio Resources' button to the Edit Hosts dialog in
	RDAdmin.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdplay_deck.cpp' that was causing the
	'RDPlayDeck::position()' signal to be issued with invalid position
	data.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.45a.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added a check for duplicate stream assignments in int 'LP'
	command in 'cae/cae.cpp'
	* Incremented the package version to 0.9.45b.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed an initialization bug in 'lib/rdlog_line.cpp' that was
	causing RDAirPlay to semi-randomly segfault when executing macro
	carts.
	* Fixed a fencepost error in 'rdairplay/log_play.cpp' that was
	causing RDAirPlay to lockup when executing a marker as the first
	event in a log.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/log_play.cpp' that was causing a
	segfault in processing certain Now&Next events.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability to base a new host setup on a previous
	existing host configuration.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Added the ability to base a new service setup on a previous
	existing service configuration.
2005-07-27 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the packages version to 0.9.46.
2005-07-28 Dan Mills <dmills@spamblock.demon.co.uk>
	* Modified the pie timer to use black on white for the 
	last 10 seconds and to always display the outer ring.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcae.cpp' that was causing MPEG L2
	recording to fail.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com>
	* Applied the fix by Dan Mills <dmills@spamblock.demon.co.uk> to a
	bug in 'ripcd/ripcd.cpp' that was causing a race when starting the
	RML polling timer.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/view_adapters.cpp' where
	invalid data was displayed for a host with non-initialized data
	resource data in RDAdmin->ManageHosts->ViewAudioResources .
	* Added 'RDCardSelector::maxCards()',
	'RDCardSelector::setMaxCards()',
	'RDCardSelector::maxPorts()' and 'RDCardSelector::setMaxPorts()'
	methods in 'lib/rdcardselector.cpp'.
	* Added an 'RDStation::cards()' method in 'lib/rdstation.cpp'.
	* Added code to 'rdadmin/edit_rdlibrary.cpp',
	'rdadmin/edit_decks.cpp' and 'rdadmin/edit_rdairplay.cpp' to
	enforce sane values for audio channel assignments.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com
	* Fixed a bug in 'rdadmin/view_adapters.cpp' wher
	invalid data was displayed for a host with non-initialized dat
	resource data in RDAdmin->ManageHosts->ViewAudioResources 
	* Added 'RDCardSelector::maxCards()'
	'RDCardSelector::setMaxCards()'
	'RDCardSelector::maxPorts()' and 'RDCardSelector::setMaxPorts()
	methods in 'lib/rdcardselector.cpp'
	* Added an 'RDStation::cards()' method in 'lib/rdstation.cpp'
	* Added code to 'rdadmin/edit_rdlibrary.cpp'
	'rdadmin/edit_decks.cpp' and 'rdadmin/edit_rdairplay.cpp' t
	enforce sane values for audio channel assignments
2005-07-29 Dan Mills <dmills@spamblock.demon.co.uk
	* Fixed a bug in cae/cae_jack.cpp & cae_alsa.cpp that was preventin
	the playhead being positioned in the latter half of the file.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com>
	* Added a dependency for 'tablib'.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'INSTALL' file.
	* Updated the 'NEWS' file.
	* Updated the 'README' file.
	* Updated the package version to 0.9.47.
2005-07-29 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a typo in 'rivendell.spec.in'.
2005-08-01 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RDConfig::mysqlPassword()' and 'RDConfig::mysqlDriver()'
	methods in 'lib/rdconfig.cpp'.
	* Modified caed(8) in 'cae/caed.cpp' to use the 'Password=' and
	'Driver=' directives from the [mySQL] section of rd.conf(5).
	* Modified sas_filter(1) in 'importers/sas_filter.cpp' to use the 
	RDConfig class.
	* Modified wing_filter(1) in 'imports/wings_filter.cpp' to use 
	the 'Password=' and 'Driver=' directives from the [mySQL] section 
	of rd.conf(5).
	* Modified RDAdmin in 'rdadmin/rdadmin.cpp' and
	'rdadmin/opendb.cpp' to use the 'Password=' and
	'Driver=' directives from the [mySQL] section of rd.conf(5).
	* Modified RDAirPlay in 'rdairplay/rdairplay.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDCatch in 'rdcatch/rdcatch.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDCatchd in 'rdcatchd/rdcatchd.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDLibrary in 'rdlibrary/rdlibrary.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDLogEdit in 'rdlogedit/rdlogedit.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDLogin in 'rdlogin/rdlogin.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDLogManager in 'rdlogmanger/rdlogmanager.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified ripcd(8) in 'ripcd/ripcd.cpp' to use the RDConfig class.
	* Modified sas_switch_torture(1) in 'tests/sas_switch_torture.cpp'
	to use the RDConfig class.
	* Modified sas_torture(1) in 'tests/sas_torture.cpp'
	to use the RDConfig class.
	* Modified RDGpiMon in 'utils/rdgpimon.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
	* Modified RDImport in 'utils/rdimport.cpp' to use the 
	'Password=' and 'Driver=' directives from the [mySQL] section of 
	rd.conf(5).
2005-08-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/edit_audio.cpp' that was causing a
	label to render with the incorrect font size.
	* Added 'RECORDINGS.NORMALIZE_LEVEL' and 'RECORDINGS.QUALITY'
	fields to the database.
	* Incremented the database version to 85.
	* Added an 'EditUpload' dialog in 'rdcatch/edit_upload.cpp'.
	* Added an 'RDExportSettingsDialog' dialog in
	'lib/rdexport_settings.cpp'.
	* Added 'RDRecording::normalizationLevel()' and
	'RDRecording::setNormalizationLevel()' methods in
	'lib/rdrecording.cpp'.
	* Removed the 'RDEditSettings' class in 'lib/rdedit_settings.cpp'
	and 'lib/rdedit_settings.h'.
2005-08-01 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdadmin/list_endpoints.cpp' that was causing
	data saves to intermittently fail.
2005-08-02 Fred Gleason <fredg@salemradiolabs.com>
	* Added various source files that were missing in the translation
	setup.
2005-08-02 Fred Gleason <fredg@salemradiolabs.com>
	* Fixd various bugs in 'lib/rdsettings.cpp' and
	'lib/rdexport_settings_dialog.cpp'.
2005-08-02 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to 'rdcatch/edit_upload.cpp' to warn when selecting a
	host without support for the configured encoding format.
	* Added FLAC detection in 'rdadmin/view_adapters.cpp'.
2005-08-02 Fred Gleason <fredg@salemradiolabs.com>
	* Disabled the 'Quality' control for FLAC encoding in
	'lib/rdexport_settings_dialog.cpp'
	* Added code to set the proper range for the 'Quality' control for
	MPEG and OggVorbis encoding in 'lib/rdexport_settings_dialog.cpp'.
	* Removed VBR support for MPEG L2 from
	'lib/rdexport_settings_dialog.cpp'.
	* Added code to 'rdcatch/rdcatch.cpp' to properly display the
	quality value for VBR encodings.
2005-08-02 Fred Gleason <fredg@salemradiolabs.com>
	* Created an export script in 'scripts/rd_export_script'.
	* Added 'CatchEvent::quality()', 'CatchEvent::setQuality()',
	'CatchEvent::normalizeLevel()' and
	'CatchEvent::setNormalizeLevel()' methods in
	'rdcatchd/catch_event.cpp'.
	* Added a 'Normalization' control to the Edit Upload dialog in
	'rdcatch/edit_upload.cpp'.
	* Implemented Upload Events in RDCatch for the file: protocol.
2005-08-02 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing the
	'Quality' parameter to be ignored for Upload events.
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/edit_upload.cpp' that was allowing URLs
	utilizing the http and https protocols to be entered.
	* Implemented Upload Events in RDCatch for the smb: and ftp:
	protocols.
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RDRecording::Interrupted', 'RDRecording::RecordActive',
	'RDRecording::Waiting, and 'RDRecording::PlayActive' values to the
	'RDRecording::ExitCode' enum in 'lib/rdrecording.h'.
	* Added code to 'rdcatchd/rdcatchd.cpp' to flag interrupted events
	in the database.
	* Added code to 'rdcatchd/rdcatchd.cpp' to properly notify new
	instances of RDCatch about currently active xload events.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was causing causing
	attempts to abort playout events to fail.
	* Added exit code support for Record and Playout events in
	RDCatch.
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Save As New' button in RDCatch's Edit Switch Event
	dialog.
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Save As New' button in RDCatch's Edit Macro Event
	dialog.
	* Added a 'Save As New' button in RDCatch's Edit Download Event
	dialog.
	* Added a 'Save As New' button in RDCatch's Edit Upload Event
	dialog.
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'Save As New' button in RDCatch's Edit Playout Event
	dialog.
	* Added a 'Save As New' button in RDCatch's Edit Record Event
	dialog.
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added a command to 'install-init.sh' to create a
	'/etc/sysconfig/' if needed, fixes a 'make install' bug on 
	Debian (Mantis bug #71).
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a type in 'docs/JACK.txt' (Mantis bug #73).
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a syntax error in the 'rivendell-suse' init script (Mantis
	bug #72).
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDAddLog::closeEvent()' class in 'lib/rdadd_log.cpp'
	(Mantis bug #76).
	* Added an 'RDCartDialog::closeEvent()' class in
	'lib/rdcard_dialog_log.cpp' (Mantis bug #76).
	* Added an 'RDCutDialog::closeEvent()' class in
	'lib/rdcut_dialog.cpp' (Mantis bug #76).
	* Added an 'EditLogLine::closeEvent()' class in
	'rdlogedit/edit_logline.cpp' (Mantis bug #76).
	* Added an 'EditMarker::closeEvent()' class in
	'rdlogedit/edit_marker.cpp' (Mantis bug #76).
	* Added an 'EditChain::closeEvent()' class in
	'rdlogedit/edit_chain.cpp' (Mantis bug #76).
	* Added an 'EditLog::closeEvent()' class in
	'rdlogedit/edit_log.cpp' (Mantis bug #76).
2005-08-03 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing
	the wrong event to be selected for editing (Mantis bug #75).
2005-08-05 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/record_cut.cpp' that was causing MPEG
	recording to sporadically fail if recording over a cut previously
	recorded in PCM16.
	* Fixed a bug in 'rdcatchd/rdcatchd.cpp' that was writing an
	invalid value into 'RECORDINGS.CODING_FORMAT' when making an MPEG
	L2 recording.
	* Removed the GPI parameters from the 'RDCae::record()' method in
	'lib/rdcae.cpp'.
	* Fixed a bug in 'utils/rdimport.cpp' that was causing imports to
	fail when RDLibrary was configured to use MPEG audio encoding.
	* Cleaned up error reporting for RDImport in 'utils/rdimport.cpp'.
2005-08-05 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDEscapeString()' function in
	'lib/rdescape_string.cpp'.
	* Fixed a bug in 'rdlibrary/import_audio.cpp' that was causing
	import of files with non-standard characters to fail (Mantis bug
	#61).
	* Fixed a bug in 'utils/rdimport.cpp' that was causing
	import of files with non-standard characters to fail (Mantis bug
	#61).
2005-08-05 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogedit/edit_log.cpp' that was causing the
	line renumbering on a log to fail when a line was deleted (Mantis
	bug #74.
2005-08-05 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdevent_line.cpp' that was causing the
	'generateLog()' method to enter an infinite loop if one or more
	events in the autotrim list has a zero cart length.
2005-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDMatrix::BtSs164' value to the 'RDMatrix::Type' enum
	in 'lib/rdmatrix.h'.
	* Added 'BroadcastTools SS16.4' to the list of supported switcher
	in RDAdmin.
	* Added a switcher driver for the Broadcast Tools SS16.4 switcher
	in 'ripcd/btss16.cpp'.
	* Added installation notes for the Broadcast Tools SS16.4 switcher
	in 'docs/SWITCHER.txt'.
2005-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdlog_line.cpp' that was causing Now&Next
	data to fail for manually added events.
2005-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdairplay/local_macros.cpp' that was casuing 
	the 'PX' RML to fail if the log had no next event (Mantis bug
	#54).
2005-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'ripcd/btss164.cpp' that was causing the 'ST'
	macro to fail for outputs greater than eight.
2005-08-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'ripcd/btss164.cpp' that was causing the 'ST'
	macro to fail for outputs greater than eight.
	* Removed an unused signal mapping in 'rdcatchd/rdcatchd.cpp'.
2005-08-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDGroup::nextFreeCart()' method in 'lib/rdgroup.cpp'.
	* Rewrote 'rdlibrary/add_cart.cpp' to use the new
	'RDGroup::nextFreeCart()' method.
	* Completed the Air Force Wings importer script in
	'importers/wings_filter.cpp'.
	* Fixed a bug in 'lib/rdcart_search_text.cpp' that was return
	incorrect results from a group cart search.
	* Fixed a bug in 'rdadmin/rename_group.cpp' that was corrupting
	permission data when merging two groups.
2005-08-07 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.48.
	* Updated the 'INSTALL' file.
	* Updated the 'NEWS' file.
2005-08-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdcart_search_text.cpp' that was causing the
	cart list in the Cart selection dialogs to be empty if 'ALL' was
	selected in the Group selector.
2005-08-08 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdcatch/edit_recording.cpp' that was preventing
	similar record events with different GPI start parameters from
	being saved.
2005-08-08 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'RDRecording::DeviceBusy' value to the
	'RDRecording::ExitCode' enum in 'lib/rdrecording.h'.
	* Fixed a bug in 'rdcatch/edit_recording.cpp' that was allowing
	events to be created zero-length GPI start and stop windows.
	* Rewrote rdcatchd(8) to properly handle multiple events scheduled
	at the same time and with the same record deck, but with different
	GPI and destination cut parameters.
2005-08-08 Fred Gleason <fredg@salemradiolabs.com>
	* Implemented GPI start time offset in rdcatchd(8).
2005-08-08 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.49.
	* Updated the 'NEWS' file.
2005-08-13 Fred Gleason <fredg@salemradiolabs.com>
	* Moved 'conf/crc-unity4k.sh' to 'scripts/crc-unity4k.sh'.
	* Created an RPM subpackage 'importers', containing the
	sas_filter(1), wings_filter(1) and crc-unity4k.sh(1) scripts.
2005-08-16 Fred Gleason <fredg@salemradiolabs.com>
	* Added debugging instrumentation code to 'ripcd/ripcd.cpp'.
	* Incremented the package version to 0.9.49a.
2005-08-17 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the behavior of RDLogin so that the app exits after
	successfully changing the current user.
2005-08-17 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the default value of the 'RECORDINGS.END_TYPE' field in
	the database to '0'.
	* Incremented the database version to 86.
	* Switched the positions of the 'Length:' and 'Hard Time:'
	controls in RDCatch's Edit Recording dialog in
	'rdcatch/edit_recording.cpp'.
2005-08-17 Fred Gleason <fredg@salemradiolabs.com>
	* Set the 'Close' button in RDLogManager to be the default.
	* Fixed a bug in 'rdlogmanager/edit_event.cpp' where an Event's
	service permissions were not being saved as part of a 'Save As'
	operation.
	* Fixed a bug in 'rdlogmanager/list_event.cpp' where an Event's
	service permissions were not being preserved across a Rename.
	* Fixed a bug in 'rdlogmanager/edit_clock.cpp' where a Clock's
	service permissions were not being saved as part of a 'Save As'
	operation.
	* Fixed a bug in 'rdlogmanager/list_clock.cpp' where a Clock's
	service permissions were not being preserved across a Rename.
2005-08-18 Fred Gleason <fredg@salemradiolabs.com>
	* Added code to the Logitek vGuest driver in 'ripcd/vguest.cpp' 
	to wait a random period of time before attempting to restore 
	a broken vGuest connection.
2005-08-18 Fred Gleason <fredg@salemradiolabs.com>
	* Incremented the package version to 0.9.50.
2005-08-25 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlibrary/disk_ripper.cpp' that was causing
	tracks ripped without CDDB data to be improperly entered into the
	database.
2005-08-29 Fred Gleason <fredg@salemradiolabs.com>
	* Added an RDCatch record list copy filter in
	'importers/rdcatch_copy.cpp'.
2005-08-31 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'importers/wings_filter.cpp' that failed to set
	properly the 'CUTS.START_POINT' and 'CUTS.END_POINT' fields for
	each imported cut (Mantis bug #79).
	* Fixed a bug in 'utils/rdimport.cpp' that failed to set
	properly the 'CUTS.START_POINT' and 'CUTS.END_POINT' fields for
	each imported cut (Mantis bug #79).
2005-08-31 Fred Gleason <fredg@salemradiolabs.com>
	* Changed the color for the LENGTH field in the cart list in
	RDLibrary for timescaled carts from green to blue.
2005-08-31 Fred Gleason <fredg@salemradiolabs.com>
	* Updated the 'NEWS' file.
	* Incremented the package version to 0.9.51.
2005-09-01 Fred Gleason <fredg@salemradiolabs.com>
	* Added a specification for Rivendell Switcher Language (RSL) in
	'docs/rsl.sxw'.
2005-09-06 Fred Gleason <fredg@salemradiolabs.com>
	* Added logging code to 'rdcatchd/rdcatchd.cpp'.
2005-09-06 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/generate_report.cpp' that was
	causing empty reports to be generated if the 'All' box was
	selected in RDAdmin->Reports->ExportEventTypes.
	* Incremented the package version to 0.9.51a.
2005-09-07 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'disable-gpio' switch to 'configure.in'.
2005-09-07 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'scripts/rd_import_file' that causing imports
	from single-channel MPEG files to be corrupt.
2005-09-09 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in rdairplay/log_play.cpp' that was causing multiple
	entries to be written to the reconciliation database when
	repeatedly pausing events.
2005-09-19 Fred Gleason <fredg@salemradiolabs.com>
	* Added a 'State' column to the record list in RDCatch.
	* Added logic to 'rdcatch/rdcatch.cpp' to prevent editing of an
	active event.
2005-09-20 Fred Gleason <fredg@salemradiolabs.com>
	* Added an 'EXT_CART_NAME' field to the log tables.
	* Added an 'EXT_CART_NAME' field to the reconciliation tables.
	* Incremented the database version to 87.
	* Fixed a bug in 'rdlogmanager/export_Deltaflex.cpp' that was
	causing invalid cart name data to be included in DeltaFlex ELR
	reports.
	* Fixed a bug in 'rdlogmanager/list_events.cpp' that was causing
	segfaults after editing an event.
	* Fixed a bug in 'rdlogmanager/edit_clock.cpp' that was allow
	clocks to be created with duplicate or non-existent clock codes.
	* Fixed a bug in 'rdlogmanager/list_clocks.cpp' that was causing
	segfaults after editing a clock.
2005-09-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'rdlogmanager/generate_log.cpp' that was causing
	events near midnight to fail to be imported when used with non-zero 
	slop times.
2005-09-20 Fred Gleason <fredg@salemradiolabs.com>
	* Fixed a bug in 'lib/rdsvc.cpp' that was causing import events to
	be used more than once in the same import.
	* Added code to flag unused import events in RDLogManager's
	exception report.
2005-09-21 Fred Gleason <fredg@salemradiolabs.com>
	* Added 'RECORDINGS.ALLOW_MULT_RECS' and
	'RECORDINGS.MAX_GPI_REC_LENGTH' fields to the database.
	* Incremented the database version to 88.
	* Added 'RDRecording::allowMultipleRecordings()',
	'RDRecording::setAllowMultipleRecordings()',
